JewishCalendar Namespace

Jewish Calendar Documentation
JewishCalendar Namespace
Contains classes for the Jewish Calendar
Classes
Class Description
Public class Daf
Represents a single Daf in Shas. This class is not meant to be instantiated directly. To access the DafYomi, use GetDafYomi(IJewishDate)
Public class DafYomi
Does the calculations for ascertaining the Daf Yomi for any Jewish date since Daf Yomi was initiated. Sample of use to get todays daf:
Copy
JewishCalendar.JewishDate jd = new JewishDate(DateTime.Now);
JewishCalendar.Daf dafOfDay = JewishCalendar.DafYomi.GetDafYomi(jd);
string strDafOfDay = dafOfDay.ToStringHeb();
The algorithms was converted to C# (and tweaked) from the C code in Danny Sadinoff's HebCal - Copyright (C) 1994. The HebCal code for dafyomi was adapted by Aaron Peromsik from Bob Newell's public domain daf.el.
Public class JewishDate
Represents a single day in the Jewish calendar - Month are Nissan based.
Public class JewishDateCalculations
Static class that contains functions for Jewish calendar calculations.
Public class JewishDateMicro
Represents a single day in the Jewish Calendar.
Public class Location
Represents a place or location. Used for calculating the zmanim.
Public class Molad
Represents the molad for a single month
Public class Parsha
Represents a single parsha in the torah. The weekly sedra for any given week contains either one or two parshas.
Public class PirkeiAvos
Gets the Pirkei Avos Perek/Prakim for any given Shabbos in the summer months. The rules are: the Parshiyaos, Nasso, Pinchas and Shoftim start a new cycle and the last two weeks in Ellul get double prakim. The calculations of this class work OK for Eretz Yisroel, but Chu"l seems to be incorrect. The issue is that in Chu"l, Achron Shel Pesach and the second day of Shavuos can both fall out on Shabbos. Sample code to get the Perek for the given Shabbos:
Copy
JewishCalendar.JewishDate jd = new JewishDate(5776, 2, 13);
int[] Prakim = PirkeiAvos.GetPirkeiAvos(jd, true);
string text = String.Join(" and ", prakim.Select(p => p.ToSuffixedString()) +
    (prakim.Length > 1 ? " Prakim" : " Perek");
Public class Sedra
This class should not be instantiated publicly. It is only used internally as a container to hold the data for all the sedras of a single year. To get the sedra for any given date, use the public static function: "GetSedra"
Public class SpecialDay
Represents a single special day
Public class Utils
Contains general static arrays, some useful utility functions and other such pitchifkes.
Public class Zmanim
Computes the daily Zmanim and Yomim Tovim for a single Jewish date.
Structures
 | Structure | Description
Public structure | HourMinute | A simpler Time Span. Represents just the hour and the minute. Explicitly cast-able to and from System.TimeSpan.
Public structure | Masechta | Represents a single Masechta in Shas. This structure is not meant to be instantiated directly. To access the DafYomi, use GetDafYomi(IJewishDate)
Interfaces
 | Interface | Description
Public interface | IJewishDate | Interface for the Jewish Date classes
Enumerations
 | Enumeration | Description
Public enumeration | LocationLatitudeTypes | Latitude type
Public enumeration | LocationLongitudeTypes | Longitude type
Private enumeration | SedraYearType |
Public enumeration | SpecialDayTypes | Types of special days


Daf Class

Daf Class
Represents a single Daf in Shas. This class is not meant to be instantiated directly. To access the DafYomi, use GetDafYomi(IJewishDate)
Inheritance Hierarchy
SystemObject
JewishCalendarDaf

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Daf
Public Class Daf
public ref class Daf
type Daf =  class end
JewishCalendar.Daf = function();

Type.createClass(
    'JewishCalendar.Daf');

The Daf type exposes the following members.

Constructors
 | Name | Description
Protected method | Daf | Create a new Daf object
Top
Properties
 | Name | Description
Public property | DafNumber | The number of this daf
Public property | Masechta | The masechta this daf is in
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of the Masechta and daf number in English, For example: Sukkah, Daf 3 (Overrides ObjectToString.)
Public method | ToStringHeb | Returns the name of the Masechta and daf number in Hebrew. For example: 'סוכה דף כ.
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Daf Constructor

Daf Constructor
Create a new Daf object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
internal Daf(
    Masechta m,
    int d
)
Friend Sub New (
    m As Masechta,
    d As Integer
)
internal:
Daf(
    Masechta m,
    int d
)
new :
        m : Masechta *
        d : int -> Daf
JewishCalendar.Daf = function(m, d);

Parameters

m
Type: JewishCalendarMasechta
d
Type: SystemInt32
See Also

Reference

Daf Class


Daf Properties

Daf Properties

The Daf type exposes the following members.

Properties
 | Name | Description
Public property | DafNumber | The number of this daf
Public property | Masechta | The masechta this daf is in
Top
See Also

Reference

Daf Class


Daf.DafNumber Property

DafDafNumber Property
The number of this daf

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int DafNumber { get; private set; }
Public Property DafNumber As Integer
    Get
    Private Set
public:
property int DafNumber {
    int get ();
    private: void set (int value);
}
member DafNumber : int with get, private set

function get_DafNumber();
function set_DafNumber(value);

Property Value

Type: Int32
See Also

Reference

Daf Class


Daf.Masechta Property

DafMasechta Property
The masechta this daf is in

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Masechta Masechta { get; private set; }
Public Property Masechta As Masechta
    Get
    Private Set
public:
property Masechta Masechta {
    Masechta get ();
    private: void set (Masechta value);
}
member Masechta : Masechta with get, private set

function get_Masechta();
function set_Masechta(value);

Property Value

Type: Masechta
See Also

Reference

Daf Class


Daf Methods

Daf Methods

The Daf type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of the Masechta and daf number in English, For example: Sukkah, Daf 3 (Overrides ObjectToString.)
Public method | ToStringHeb | Returns the name of the Masechta and daf number in Hebrew. For example: 'סוכה דף כ.
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Daf Class


Daf.ToString Method

DafToString Method
Returns the name of the Masechta and daf number in English, For example: Sukkah, Daf 3

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Daf.ToString"]

See Also

Reference

Daf Class


Daf.ToStringHeb Method

DafToStringHeb Method
Returns the name of the Masechta and daf number in Hebrew. For example: 'סוכה דף כ.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToStringHeb()
Public Function ToStringHeb As String
public:
String^ ToStringHeb()
member ToStringHeb : unit -> string

function ToStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Daf.ToStringHeb"]

See Also

Reference

Daf Class


DafYomi Class

DafYomi Class
Does the calculations for ascertaining the Daf Yomi for any Jewish date since Daf Yomi was initiated. Sample of use to get todays daf:
Copy
JewishCalendar.JewishDate jd = new JewishDate(DateTime.Now);
JewishCalendar.Daf dafOfDay = JewishCalendar.DafYomi.GetDafYomi(jd);
string strDafOfDay = dafOfDay.ToStringHeb();
The algorithms was converted to C# (and tweaked) from the C code in Danny Sadinoff's HebCal - Copyright (C) 1994. The HebCal code for dafyomi was adapted by Aaron Peromsik from Bob Newell's public domain daf.el.
Inheritance Hierarchy
SystemObject
JewishCalendarDafYomi

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static class DafYomi
Public NotInheritable Class DafYomi
public ref class DafYomi abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type DafYomi =  class end
JewishCalendar.DafYomi = function();

Type.createClass(
    'JewishCalendar.DafYomi');

The DafYomi type exposes the following members.

Constructors
Name | Description
DafYomi |
Top
Methods
Name | Description
GetDafYomi | Computes the Day Yomi for the given day.
GetSingleDaf |
Top
See Also

Reference

JewishCalendar Namespace


DafYomi Constructor

DafYomi Constructor
Initializes the static fields of the DafYomi class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
static DafYomi()
Shared Sub New
private:
static DafYomi()
new : unit -> DafYomi
JewishCalendar.DafYomi = function();
See Also

Reference

DafYomi Class


DafYomi Methods

DafYomi Methods

The DafYomi type exposes the following members.

Methods
Name | Description
GetDafYomi | Computes the Day Yomi for the given day.
GetSingleDaf |
Top
See Also

Reference

DafYomi Class


DafYomi.GetDafYomi Method

DafYomiGetDafYomi Method
Computes the Day Yomi for the given day.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static Daf GetDafYomi(
    IJewishDate jewishDate
)
Public Shared Function GetDafYomi (
    jewishDate As IJewishDate
) As Daf
public:
static Daf^ GetDafYomi(
    IJewishDate^ jewishDate
)
static member GetDafYomi :
        jewishDate : IJewishDate -> Daf

JewishCalendar.DafYomi.GetDafYomi = function(jewishDate);

Parameters

jewishDate
Type: JewishCalendarIJewishDate
The Jewish date for which to get the Daf Yomi information

Return Value

Type: Daf
A Daf object containing the DafYomi information for the given day
See Also

Reference

DafYomi Class


DafYomi.GetSingleDaf Method

DafYomiGetSingleDaf Method

[Missing <summary> documentation for "M:JewishCalendar.DafYomi.GetSingleDaf(System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static Daf GetSingleDaf(
    int absoluteDate
)
Private Shared Function GetSingleDaf (
    absoluteDate As Integer
) As Daf
private:
static Daf^ GetSingleDaf(
    int absoluteDate
)
private static member GetSingleDaf :
        absoluteDate : int -> Daf

JewishCalendar.DafYomi.GetSingleDaf = function(absoluteDate);

Parameters

absoluteDate
Type: SystemInt32

[Missing <param name="absoluteDate"/> documentation for "M:JewishCalendar.DafYomi.GetSingleDaf(System.Int32)"]

Return Value

Type: Daf

[Missing <returns> documentation for "M:JewishCalendar.DafYomi.GetSingleDaf(System.Int32)"]

See Also

Reference

DafYomi Class


HourMinute Structure

HourMinute Structure
A simpler Time Span. Represents just the hour and the minute. Explicitly cast-able to and from System.TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public struct HourMinute
Public Structure HourMinute
public value class HourMinute
[<SealedAttribute>]
type HourMinute =  struct end
JavaScript supports the use of structures, but not the declaration of new ones.

The HourMinute type exposes the following members.

Properties
 | Name | Description
 | NoValue | An HourMinute that does not represent a real time. Use in the place of null or empty etc. Note: very different from TimeSpan.Zero which represents "zero hour" or midnight.
Public property | TotalMinutes | The total number of minutes represented by this HourMinute (includes the hours)
Top
Methods
 | Name | Description
Public method | Equals | Tests 2 HourMinute objects for equality. (Overrides ValueTypeEquals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | The hour and minute displayed in the format: h:MM tt (Overrides ValueTypeToString.)
Public method | ToString24H | Returns the current time in the format HH:mm
Public method | ToTimeSpan | Returns a TimeSpan representation of this HourMinute
Top
Operators
Name | Description
Addition(HourMinute, HourMinute) | Add the number of hours and minutes in the given HourMinute to the current HourMinute
Addition(HourMinute, Int32) | Add minutes
Addition(HourMinute, TimeSpan) | Add a TimeSpan to this HourMinute
Equality(HourMinute, HourMinute) | Compares 2 HourMinute objects
Equality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan
(TimeSpan to HourMinute) | Explicitly convert (cast) a TimeSpan into an HourMinute
(HourMinute to TimeSpan) | Explicitly convert (cast) an HourMinute into a TimeSpan.
GreaterThan(HourMinute, HourMinute) | Returns true if the current HourMinute is after the second one.
GreaterThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is after the TimeSpan.
GreaterThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not before the second one.
GreaterThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not before the TimeSpan.
Inequality(HourMinute, HourMinute) | Compares 2 HourMinute objects for inequality
Inequality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan for inequality
LessThan(HourMinute, HourMinute) | Returns true if the current HourMinute is before the second one.
LessThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is before the TimeSpan.
LessThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not after the second one.
LessThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not after the TimeSpan.
Subtraction(HourMinute, HourMinute) | Subtract the number of hours and minutes in the given HourMinute from the current HourMinute
Subtraction(HourMinute, Int32) | Subtract minutes.
Subtraction(HourMinute, TimeSpan) | Subtract a TimeSpan from this HourMinute
Top
Fields
 | Name | Description
Public field | Hour | The hour
Public field | Minute | The minute
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


HourMinute Properties

HourMinute Properties

The HourMinute type exposes the following members.

Properties
 | Name | Description
 | NoValue | An HourMinute that does not represent a real time. Use in the place of null or empty etc. Note: very different from TimeSpan.Zero which represents "zero hour" or midnight.
Public property | TotalMinutes | The total number of minutes represented by this HourMinute (includes the hours)
Top
See Also

Reference

HourMinute Structure


HourMinute.NoValue Property

HourMinuteNoValue Property
An HourMinute that does not represent a real time. Use in the place of null or empty etc. Note: very different from TimeSpan.Zero which represents "zero hour" or midnight.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute NoValue { get; }
Public Shared ReadOnly Property NoValue As HourMinute
    Get
public:
static property HourMinute NoValue {
    HourMinute get ();
}
static member NoValue : HourMinute with get

JewishCalendar.HourMinute.get_NoValue = function();

Property Value

Type: HourMinute
See Also

Reference

HourMinute Structure


HourMinute.TotalMinutes Property

HourMinuteTotalMinutes Property
The total number of minutes represented by this HourMinute (includes the hours)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int TotalMinutes { get; }
Public ReadOnly Property TotalMinutes As Integer
    Get
public:
property int TotalMinutes {
    int get ();
}
member TotalMinutes : int with get

function get_TotalMinutes();

Property Value

Type: Int32
See Also

Reference

HourMinute Structure


HourMinute Methods

HourMinute Methods

The HourMinute type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Tests 2 HourMinute objects for equality. (Overrides ValueTypeEquals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance (Overrides ValueTypeGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | The hour and minute displayed in the format: h:MM tt (Overrides ValueTypeToString.)
Public method | ToString24H | Returns the current time in the format HH:mm
Public method | ToTimeSpan | Returns a TimeSpan representation of this HourMinute
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

HourMinute Structure


HourMinute.Equals Method

HourMinuteEquals Method
Tests 2 HourMinute objects for equality.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool
function Equals(obj);

Parameters

obj
Type: SystemObject

[Missing <param name="obj"/> documentation for "M:JewishCalendar.HourMinute.Equals(System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.Equals(System.Object)"]

See Also

Reference

HourMinute Structure


HourMinute.GetHashCode Method

HourMinuteGetHashCode Method
Returns the hashcode for this instance

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int
function GetHashCode();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.GetHashCode"]

See Also

Reference

HourMinute Structure


HourMinute.ToString Method

HourMinuteToString Method
The hour and minute displayed in the format: h:MM tt

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.ToString"]

See Also

Reference

HourMinute Structure


HourMinute.ToString24H Method

HourMinuteToString24H Method
Returns the current time in the format HH:mm

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToString24H()
Public Function ToString24H As String
public:
String^ ToString24H()
member ToString24H : unit -> string

function ToString24H();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.ToString24H"]

See Also

Reference

HourMinute Structure


HourMinute.ToTimeSpan Method

HourMinuteToTimeSpan Method
Returns a TimeSpan representation of this HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public TimeSpan ToTimeSpan()
Public Function ToTimeSpan As TimeSpan
public:
TimeSpan ToTimeSpan()
member ToTimeSpan : unit -> TimeSpan

function ToTimeSpan();

Return Value

Type: TimeSpan

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.ToTimeSpan"]

See Also

Reference

HourMinute Structure


HourMinute Operators and Type Conversions

HourMinute Operators and Type Conversions
Operators
Name | Description
Addition(HourMinute, HourMinute) | Add the number of hours and minutes in the given HourMinute to the current HourMinute
Addition(HourMinute, Int32) | Add minutes
Addition(HourMinute, TimeSpan) | Add a TimeSpan to this HourMinute
Equality(HourMinute, HourMinute) | Compares 2 HourMinute objects
Equality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan
(TimeSpan to HourMinute) | Explicitly convert (cast) a TimeSpan into an HourMinute
(HourMinute to TimeSpan) | Explicitly convert (cast) an HourMinute into a TimeSpan.
GreaterThan(HourMinute, HourMinute) | Returns true if the current HourMinute is after the second one.
GreaterThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is after the TimeSpan.
GreaterThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not before the second one.
GreaterThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not before the TimeSpan.
Inequality(HourMinute, HourMinute) | Compares 2 HourMinute objects for inequality
Inequality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan for inequality
LessThan(HourMinute, HourMinute) | Returns true if the current HourMinute is before the second one.
LessThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is before the TimeSpan.
LessThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not after the second one.
LessThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not after the TimeSpan.
Subtraction(HourMinute, HourMinute) | Subtract the number of hours and minutes in the given HourMinute from the current HourMinute
Subtraction(HourMinute, Int32) | Subtract minutes.
Subtraction(HourMinute, TimeSpan) | Subtract a TimeSpan from this HourMinute
Top
See Also

Reference

HourMinute Structure


HourMinute.Addition Operator

HourMinuteAddition Operator
Overload List
Name | Description
Addition(HourMinute, HourMinute) | Add the number of hours and minutes in the given HourMinute to the current HourMinute
Addition(HourMinute, Int32) | Add minutes
Addition(HourMinute, TimeSpan) | Add a TimeSpan to this HourMinute
Top
See Also

Reference

HourMinute Structure


HourMinute.Addition Operator (HourMinute, HourMinute)

HourMinuteAddition Operator (HourMinute, HourMinute)
Add the number of hours and minutes in the given HourMinute to the current HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator +(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator + (
    t1 As HourMinute,
    t2 As HourMinute
) As HourMinute
public:
static HourMinute operator +(
    HourMinute t1,
    HourMinute t2
)
static let inline (+)
        t1 : HourMinute *
        t2 : HourMinute  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
Addition Overload


HourMinute.Addition Operator (HourMinute, Int32)

HourMinuteAddition Operator (HourMinute, Int32)
Add minutes

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator +(
    HourMinute t,
    int min
)
Public Shared Operator + (
    t As HourMinute,
    min As Integer
) As HourMinute
public:
static HourMinute operator +(
    HourMinute t,
    int min
)
static let inline (+)
        t : HourMinute *
        min : int  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t
Type: JewishCalendarHourMinute

[Missing <param name="t"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.Int32)"]

min
Type: SystemInt32

[Missing <param name="min"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.Int32)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.Int32)"]

See Also

Reference

HourMinute Structure
Addition Overload


HourMinute.Addition Operator (HourMinute, TimeSpan)

HourMinuteAddition Operator (HourMinute, TimeSpan)
Add a TimeSpan to this HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator +(
    HourMinute t,
    TimeSpan ts
)
Public Shared Operator + (
    t As HourMinute,
    ts As TimeSpan
) As HourMinute
public:
static HourMinute operator +(
    HourMinute t,
    TimeSpan ts
)
static let inline (+)
        t : HourMinute *
        ts : TimeSpan  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t
Type: JewishCalendarHourMinute

[Missing <param name="t"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Addition(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
Addition Overload


HourMinute.Equality Operator

HourMinuteEquality Operator
Overload List
Name | Description
Equality(HourMinute, HourMinute) | Compares 2 HourMinute objects
Equality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan
Top
See Also

Reference

HourMinute Structure


HourMinute.Equality Operator (HourMinute, HourMinute)

HourMinuteEquality Operator (HourMinute, HourMinute)
Compares 2 HourMinute objects

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator ==(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator = (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator ==(
    HourMinute t1,
    HourMinute t2
)
static let inline (=)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
Equality Overload


HourMinute.Equality Operator (HourMinute, TimeSpan)

HourMinuteEquality Operator (HourMinute, TimeSpan)
Compare the current HourMinute to a System.TimeSpan

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator ==(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator = (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator ==(
    HourMinute t1,
    TimeSpan ts
)
static let inline (=)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Equality(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
Equality Overload


HourMinute Explicit Conversion Operators

HourMinute Conversion Operators
Overload List
Name | Description
(TimeSpan to HourMinute) | Explicitly convert (cast) a TimeSpan into an HourMinute
(HourMinute to TimeSpan) | Explicitly convert (cast) an HourMinute into a TimeSpan.
Top
See Also

Reference

HourMinute Structure


HourMinute Explicit Conversion (TimeSpan to HourMinute)

HourMinute Conversion (TimeSpan to HourMinute)
Explicitly convert (cast) a TimeSpan into an HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static explicit operator HourMinute (
    TimeSpan ts
)
Public Shared Narrowing Operator CType (
    ts As TimeSpan
) As HourMinute
static explicit operator HourMinute (
    TimeSpan ts
)
F# does not support the declaration of new casting operators.
JavaScript does not support the declaration of new casting operators.

Parameters

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_Explicit(System.TimeSpan)~JewishCalendar.HourMinute"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Explicit(System.TimeSpan)~JewishCalendar.HourMinute"]

See Also

Reference

HourMinute Structure
Overload


HourMinute Explicit Conversion (HourMinute to TimeSpan)

HourMinute Conversion (HourMinute to TimeSpan)
Explicitly convert (cast) an HourMinute into a TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static explicit operator TimeSpan (
    HourMinute hm
)
Public Shared Narrowing Operator CType (
    hm As HourMinute
) As TimeSpan
static explicit operator TimeSpan (
    HourMinute hm
)
F# does not support the declaration of new casting operators.
JavaScript does not support the declaration of new casting operators.

Parameters

hm
Type: JewishCalendarHourMinute

[Missing <param name="hm"/> documentation for "M:JewishCalendar.HourMinute.op_Explicit(JewishCalendar.HourMinute)~System.TimeSpan"]

Return Value

Type: TimeSpan

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Explicit(JewishCalendar.HourMinute)~System.TimeSpan"]

See Also

Reference

HourMinute Structure
Overload


HourMinute.GreaterThan Operator

HourMinuteGreaterThan Operator
Overload List
Name | Description
GreaterThan(HourMinute, HourMinute) | Returns true if the current HourMinute is after the second one.
GreaterThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is after the TimeSpan.
Top
See Also

Reference

HourMinute Structure


HourMinute.GreaterThan Operator (HourMinute, HourMinute)

HourMinuteGreaterThan Operator (HourMinute, HourMinute)
Returns true if the current HourMinute is after the second one.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator > (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator >(
    HourMinute t1,
    HourMinute t2
)
static let inline (>)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
GreaterThan Overload


HourMinute.GreaterThan Operator (HourMinute, TimeSpan)

HourMinuteGreaterThan Operator (HourMinute, TimeSpan)
Returns true if the current HourMinute is after the TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator > (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator >(
    HourMinute t1,
    TimeSpan ts
)
static let inline (>)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_GreaterThan(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
GreaterThan Overload


HourMinute.GreaterThanOrEqual Operator

HourMinuteGreaterThanOrEqual Operator
Overload List
Name | Description
GreaterThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not before the second one.
GreaterThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not before the TimeSpan.
Top
See Also

Reference

HourMinute Structure


HourMinute.GreaterThanOrEqual Operator (HourMinute, HourMinute)

HourMinuteGreaterThanOrEqual Operator (HourMinute, HourMinute)
Returns true if the current HourMinute is not before the second one.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >=(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator >= (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator >=(
    HourMinute t1,
    HourMinute t2
)
static let inline (>=)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
GreaterThanOrEqual Overload


HourMinute.GreaterThanOrEqual Operator (HourMinute, TimeSpan)

HourMinuteGreaterThanOrEqual Operator (HourMinute, TimeSpan)
Returns true if the current HourMinute is not before the TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >=(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator >= (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator >=(
    HourMinute t1,
    TimeSpan ts
)
static let inline (>=)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_GreaterThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
GreaterThanOrEqual Overload


HourMinute.Inequality Operator

HourMinuteInequality Operator
Overload List
Name | Description
Inequality(HourMinute, HourMinute) | Compares 2 HourMinute objects for inequality
Inequality(HourMinute, TimeSpan) | Compare the current HourMinute to a System.TimeSpan for inequality
Top
See Also

Reference

HourMinute Structure


HourMinute.Inequality Operator (HourMinute, HourMinute)

HourMinuteInequality Operator (HourMinute, HourMinute)
Compares 2 HourMinute objects for inequality

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator !=(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator <> (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator !=(
    HourMinute t1,
    HourMinute t2
)
static let inline (<>)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
Inequality Overload


HourMinute.Inequality Operator (HourMinute, TimeSpan)

HourMinuteInequality Operator (HourMinute, TimeSpan)
Compare the current HourMinute to a System.TimeSpan for inequality

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator !=(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator <> (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator !=(
    HourMinute t1,
    TimeSpan ts
)
static let inline (<>)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Inequality(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
Inequality Overload


HourMinute.LessThan Operator

HourMinuteLessThan Operator
Overload List
Name | Description
LessThan(HourMinute, HourMinute) | Returns true if the current HourMinute is before the second one.
LessThan(HourMinute, TimeSpan) | Returns true if the current HourMinute is before the TimeSpan.
Top
See Also

Reference

HourMinute Structure


HourMinute.LessThan Operator (HourMinute, HourMinute)

HourMinuteLessThan Operator (HourMinute, HourMinute)
Returns true if the current HourMinute is before the second one.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator < (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator <(
    HourMinute t1,
    HourMinute t2
)
static let inline (<)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
LessThan Overload


HourMinute.LessThan Operator (HourMinute, TimeSpan)

HourMinuteLessThan Operator (HourMinute, TimeSpan)
Returns true if the current HourMinute is before the TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator < (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator <(
    HourMinute t1,
    TimeSpan ts
)
static let inline (<)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_LessThan(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
LessThan Overload


HourMinute.LessThanOrEqual Operator

HourMinuteLessThanOrEqual Operator
Overload List
Name | Description
LessThanOrEqual(HourMinute, HourMinute) | Returns true if the current HourMinute is not after the second one.
LessThanOrEqual(HourMinute, TimeSpan) | Returns true if the current HourMinute is not after the TimeSpan.
Top
See Also

Reference

HourMinute Structure


HourMinute.LessThanOrEqual Operator (HourMinute, HourMinute)

HourMinuteLessThanOrEqual Operator (HourMinute, HourMinute)
Returns true if the current HourMinute is not after the second one.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <=(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator <= (
    t1 As HourMinute,
    t2 As HourMinute
) As Boolean
public:
static bool operator <=(
    HourMinute t1,
    HourMinute t2
)
static let inline (<=)
        t1 : HourMinute *
        t2 : HourMinute  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
LessThanOrEqual Overload


HourMinute.LessThanOrEqual Operator (HourMinute, TimeSpan)

HourMinuteLessThanOrEqual Operator (HourMinute, TimeSpan)
Returns true if the current HourMinute is not after the TimeSpan.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <=(
    HourMinute t1,
    TimeSpan ts
)
Public Shared Operator <= (
    t1 As HourMinute,
    ts As TimeSpan
) As Boolean
public:
static bool operator <=(
    HourMinute t1,
    TimeSpan ts
)
static let inline (<=)
        t1 : HourMinute *
        ts : TimeSpan  : bool
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_LessThanOrEqual(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
LessThanOrEqual Overload


HourMinute.Subtraction Operator

HourMinuteSubtraction Operator
Overload List
Name | Description
Subtraction(HourMinute, HourMinute) | Subtract the number of hours and minutes in the given HourMinute from the current HourMinute
Subtraction(HourMinute, Int32) | Subtract minutes.
Subtraction(HourMinute, TimeSpan) | Subtract a TimeSpan from this HourMinute
Top
See Also

Reference

HourMinute Structure


HourMinute.Subtraction Operator (HourMinute, HourMinute)

HourMinuteSubtraction Operator (HourMinute, HourMinute)
Subtract the number of hours and minutes in the given HourMinute from the current HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator -(
    HourMinute t1,
    HourMinute t2
)
Public Shared Operator - (
    t1 As HourMinute,
    t2 As HourMinute
) As HourMinute
public:
static HourMinute operator -(
    HourMinute t1,
    HourMinute t2
)
static let inline (-)
        t1 : HourMinute *
        t2 : HourMinute  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t1
Type: JewishCalendarHourMinute

[Missing <param name="t1"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

t2
Type: JewishCalendarHourMinute

[Missing <param name="t2"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,JewishCalendar.HourMinute)"]

See Also

Reference

HourMinute Structure
Subtraction Overload


HourMinute.Subtraction Operator (HourMinute, Int32)

HourMinuteSubtraction Operator (HourMinute, Int32)
Subtract minutes.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator -(
    HourMinute t,
    int min
)
Public Shared Operator - (
    t As HourMinute,
    min As Integer
) As HourMinute
public:
static HourMinute operator -(
    HourMinute t,
    int min
)
static let inline (-)
        t : HourMinute *
        min : int  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t
Type: JewishCalendarHourMinute

[Missing <param name="t"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.Int32)"]

min
Type: SystemInt32

[Missing <param name="min"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.Int32)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.Int32)"]

See Also

Reference

HourMinute Structure
Subtraction Overload


HourMinute.Subtraction Operator (HourMinute, TimeSpan)

HourMinuteSubtraction Operator (HourMinute, TimeSpan)
Subtract a TimeSpan from this HourMinute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute operator -(
    HourMinute t,
    TimeSpan ts
)
Public Shared Operator - (
    t As HourMinute,
    ts As TimeSpan
) As HourMinute
public:
static HourMinute operator -(
    HourMinute t,
    TimeSpan ts
)
static let inline (-)
        t : HourMinute *
        ts : TimeSpan  : HourMinute
JavaScript does not support overloaded operators.

Parameters

t
Type: JewishCalendarHourMinute

[Missing <param name="t"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.TimeSpan)"]

ts
Type: SystemTimeSpan

[Missing <param name="ts"/> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.TimeSpan)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.HourMinute.op_Subtraction(JewishCalendar.HourMinute,System.TimeSpan)"]

See Also

Reference

HourMinute Structure
Subtraction Overload


HourMinute Fields

HourMinute Fields

The HourMinute type exposes the following members.

Fields
 | Name | Description
Public field | Hour | The hour
Public field | Minute | The minute
Top
See Also

Reference

HourMinute Structure


HourMinute.Hour Field

HourMinuteHour Field
The hour

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Hour
Public Hour As Integer
public:
int Hour
val mutable Hour: int
var Hour

Field Value

Type: Int32
See Also

Reference

HourMinute Structure


HourMinute.Minute Field

HourMinuteMinute Field
The minute

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Minute
Public Minute As Integer
public:
int Minute
val mutable Minute: int
var Minute

Field Value

Type: Int32
See Also

Reference

HourMinute Structure


IJewishDate Interface

IJewishDate Interface
Interface for the Jewish Date classes

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public interface IJewishDate
Public Interface IJewishDate
public interface class IJewishDate
type IJewishDate =  interface end
JewishCalendar.IJewishDate = function();
JewishCalendar.IJewishDate.createInterface('JewishCalendar.IJewishDate');

The IJewishDate type exposes the following members.

Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.
Public property | DayOfWeek | The day of the week for this Jewish Date
Public property | GregorianDate | The secular date on this Jewish Date
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.
Public method | GetDayOfOmer | Returns the day of the Omer for this Jewish date. If it is not during Sefirah, 0 is returned
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775
Top
Extension Methods
 | Name | Description
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
See Also

Reference

JewishCalendar Namespace


IJewishDate Properties

IJewishDate Properties

The IJewishDate type exposes the following members.

Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.
Public property | DayOfWeek | The day of the week for this Jewish Date
Public property | GregorianDate | The secular date on this Jewish Date
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
See Also

Reference

IJewishDate Interface


IJewishDate.AbsoluteDate Property

IJewishDateAbsoluteDate Property
The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int AbsoluteDate { get; }
ReadOnly Property AbsoluteDate As Integer
    Get
property int AbsoluteDate {
    int get ();
}
abstract AbsoluteDate : int with get

function get_AbsoluteDate();

Property Value

Type: Int32
See Also

Reference

IJewishDate Interface


IJewishDate.Day Property

IJewishDateDay Property
The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int Day { get; }
ReadOnly Property Day As Integer
    Get
property int Day {
    int get ();
}
abstract Day : int with get

function get_Day();

Property Value

Type: Int32
See Also

Reference

IJewishDate Interface


IJewishDate.DayOfWeek Property

IJewishDateDayOfWeek Property
The day of the week for this Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
DayOfWeek DayOfWeek { get; }
ReadOnly Property DayOfWeek As DayOfWeek
    Get
property DayOfWeek DayOfWeek {
    DayOfWeek get ();
}
abstract DayOfWeek : DayOfWeek with get

function get_DayOfWeek();

Property Value

Type: DayOfWeek
See Also

Reference

IJewishDate Interface


IJewishDate.GregorianDate Property

IJewishDateGregorianDate Property
The secular date on this Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
DateTime GregorianDate { get; set; }
Property GregorianDate As DateTime
    Get
    Set
property DateTime GregorianDate {
    DateTime get ();
    void set (DateTime value);
}
abstract GregorianDate : DateTime with get, set

function get_GregorianDate();
function set_GregorianDate(value);

Property Value

Type: DateTime
See Also

Reference

IJewishDate Interface


IJewishDate.Month Property

IJewishDateMonth Property
The Jewish Month. As in the Torah, Nissan is month 1

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int Month { get; }
ReadOnly Property Month As Integer
    Get
property int Month {
    int get ();
}
abstract Month : int with get

function get_Month();

Property Value

Type: Int32
See Also

Reference

IJewishDate Interface


IJewishDate.MonthName Property

IJewishDateMonthName Property
The name of the current Jewish Month (in English)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string MonthName { get; }
ReadOnly Property MonthName As String
    Get
property String^ MonthName {
    String^ get ();
}
abstract MonthName : string with get

function get_MonthName();

Property Value

Type: String
See Also

Reference

IJewishDate Interface


IJewishDate.Year Property

IJewishDateYear Property
The number of years since creation

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int Year { get; }
ReadOnly Property Year As Integer
    Get
property int Year {
    int get ();
}
abstract Year : int with get

function get_Year();

Property Value

Type: Int32
See Also

Reference

IJewishDate Interface


IJewishDate Methods

IJewishDate Methods

The IJewishDate type exposes the following members.

Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.
Public method | GetDayOfOmer | Returns the day of the Omer for this Jewish date. If it is not during Sefirah, 0 is returned
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775
Top
Extension Methods
 | Name | Description
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
See Also

Reference

IJewishDate Interface


IJewishDate.AddMonths Method

IJewishDateAddMonths Method
Adds the given number of months to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
IJewishDate AddMonths(
    int months
)
Function AddMonths (
    months As Integer
) As IJewishDate
IJewishDate^ AddMonths(
    int months
)
abstract AddMonths :
        months : int -> IJewishDate

function AddMonths(months);

Parameters

months
Type: SystemInt32

[Missing <param name="months"/> documentation for "M:JewishCalendar.IJewishDate.AddMonths(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.AddMonths(System.Int32)"]

See Also

Reference

IJewishDate Interface


IJewishDate.AddYears Method

IJewishDateAddYears Method
Adds the given number of years to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
IJewishDate AddYears(
    int years
)
Function AddYears (
    years As Integer
) As IJewishDate
IJewishDate^ AddYears(
    int years
)
abstract AddYears :
        years : int -> IJewishDate

function AddYears(years);

Parameters

years
Type: SystemInt32

[Missing <param name="years"/> documentation for "M:JewishCalendar.IJewishDate.AddYears(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.AddYears(System.Int32)"]

Remarks
If the current month is Adar Sheini and the new year is not a leap year, the month is set to Adar. If the current Day is the 30th of Cheshvan or Kislev and in the new year that month only has 29 days, the day is set to the 1st of the following month.
See Also

Reference

IJewishDate Interface


IJewishDate.DateDiffMonth Method

IJewishDateDateDiffMonth Method
Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int DateDiffMonth(
    IJewishDate jd
)
Function DateDiffMonth (
    jd As IJewishDate
) As Integer
int DateDiffMonth(
    IJewishDate^ jd
)
abstract DateDiffMonth :
        jd : IJewishDate -> int

function DateDiffMonth(jd);

Parameters

jd
Type: JewishCalendarIJewishDate

[Missing <param name="jd"/> documentation for "M:JewishCalendar.IJewishDate.DateDiffMonth(JewishCalendar.IJewishDate)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.DateDiffMonth(JewishCalendar.IJewishDate)"]

Remarks
Ignores Day part. For example, from 29 Kislev to 1 Teves will return 1 even though they are only a day or two apart
See Also

Reference

IJewishDate Interface


IJewishDate.GetDayOfOmer Method

IJewishDateGetDayOfOmer Method
Returns the day of the Omer for this Jewish date. If it is not during Sefirah, 0 is returned

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
int GetDayOfOmer()
Function GetDayOfOmer As Integer
int GetDayOfOmer()
abstract GetDayOfOmer : unit -> int

function GetDayOfOmer();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.GetDayOfOmer"]

See Also

Reference

IJewishDate Interface


IJewishDate.ToLongDateString Method

IJewishDateToLongDateString Method
Returns the Jewish date in the format: The 14th day of Adar, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string ToLongDateString()
Function ToLongDateString As String
String^ ToLongDateString()
abstract ToLongDateString : unit -> string

function ToLongDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.ToLongDateString"]

See Also

Reference

IJewishDate Interface


IJewishDate.ToLongDateStringHeb Method

IJewishDateToLongDateStringHeb Method
Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string ToLongDateStringHeb()
Function ToLongDateStringHeb As String
String^ ToLongDateStringHeb()
abstract ToLongDateStringHeb : unit -> string

function ToLongDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.ToLongDateStringHeb"]

See Also

Reference

IJewishDate Interface


IJewishDate.ToShortDateString Method

IJewishDateToShortDateString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string ToShortDateString()
Function ToShortDateString As String
String^ ToShortDateString()
abstract ToShortDateString : unit -> string

function ToShortDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.ToShortDateString"]

See Also

Reference

IJewishDate Interface


IJewishDate.ToShortDateStringHeb Method

IJewishDateToShortDateStringHeb Method
Returns the Jewish date in the format: כ"ו אלול תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string ToShortDateStringHeb()
Function ToShortDateStringHeb As String
String^ ToShortDateStringHeb()
abstract ToShortDateStringHeb : unit -> string

function ToShortDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.ToShortDateStringHeb"]

See Also

Reference

IJewishDate Interface


IJewishDate.ToString Method

IJewishDateToString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
string ToString()
Function ToString As String
String^ ToString()
abstract ToString : unit -> string

function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.IJewishDate.ToString"]

See Also

Reference

IJewishDate Interface


JewishDate Class

JewishDate Class
Represents a single day in the Jewish calendar - Month are Nissan based.
Inheritance Hierarchy
SystemObject
JewishCalendarJewishDate

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
[SerializableAttribute]
public class JewishDate : IJewishDate
<SerializableAttribute>
Public Class JewishDate
    Implements IJewishDate
[SerializableAttribute]
public ref class JewishDate : IJewishDate
[<SerializableAttribute>]
type JewishDate =
    class
        interface IJewishDate
    end
JewishCalendar.JewishDate = function();

Type.createClass(
    'JewishCalendar.JewishDate',
    null,
    JewishCalendar.IJewishDate);

The JewishDate type exposes the following members.

Constructors
 | Name | Description
Public method | JewishDate | Empty constructor. Sets the date to the current system date.
Public method | JewishDate(DateTime) | Creates a Jewish date that corresponds to the given Gregorian date Note: as the location is not specified here, we cannot determine what time shkia is. So if the given time is after shkia, the Jewish date will be a Jewish Day early.
Public method | JewishDate(Location) | Get the current Jewish date in the given location. Cut-off time is sunset.
Public method | JewishDate(DateTime, Location) | Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.
Public method | JewishDate(Int32, Int32, Int32) | Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day
Public method | JewishDate(Int32, Int32, Int32, TimeSpan) | Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day and time of day
Top
Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.
Public property | DayOfWeek | The day of the week for this Jewish Date
Public property | GregorianDate | The secular date at midnight of this Jewish Date.
 | MaxDate | The maximum supported date by this class
 | MinDate | The minimum valid date supported by this class
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.
 | DaysInJewishMonth | Get the total number of days in the given Jewish Month
 | DaysInJewishYear | Get the total number of days in the given Jewish year
Public method | Equals | Compare this JewishDate to another. If the day, month and year are the same, will return true. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDayOfOmer | Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned
Public method | GetHashCode | Return the HashCode for this instance (Overrides ObjectGetHashCode.)
 | GetNissanMonth |
Public method | GetSecularDate | Returns the correct Secular Date for this JewishDate at the given Time and Location.
 | GetTishrieMonth |
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsLeapYear | Determines if the given Jewish Year is a Leap Year
 | IsLongCheshvan | Does Cheshvan have a full 30 days in the given Jewish Year?
 | IsShortKislev | Does Kislev have only 29 days for the given Jewish year?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | MonthsInYear | Compute the total number of months for the given Hebrew year
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775 (Overrides ObjectToString.)
Top
Operators
Name | Description
Addition | Add days to a Jewish date.
Equality | Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.
(JewishDateMicro to JewishDate) | Explicitly cast a JewishDateMicro to a JewishDate
GreaterThan | Returns true if the current JewishDate object is chronologically after the second iJewishDate object
GreaterThanOrEqual | Returns true if the current JewishDate object is not chronologically earlier than the second iJewishDate object
Inequality | Returns true if both objects do not have the same day, month and year
LessThan | Returns true if the current JewishDate object is chronologically before the second iJewishDate object
LessThanOrEqual | Returns true if the current JewishDate object is not chronologically later than the second iJewishDate object
Subtraction(JewishDate, JewishDate) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDate, Int32) | Subtract days from a Jewish date.
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
Remarks
The regular .NET class System.Globalization.HebrewCalendar has Tishrei as month #1. This becomes confusing, as months after Adar get a different number - depending on whether the year is a leap year or not. The Torah also instructs us to call Nissan the first month. (See Ramban in drasha for Rosh Hashana) Hence this "Nissan first" Jewish Date class - with all the underlying logic based on System.Globalization.HebrewCalendar (which was found to be very efficient). This class cannot be used with the .NET micro framework as it does not have access to System.Globalization.HebrewCalendar. To use this project with the .NET Micro Framework, you will need to remove this file before compiling. This class differs from the System.DateTime structure in that it does not directly have a time of day component. The GregorianDate property can be used to keep track of the time of day. The AddMonths, and AddYears, addition and subtraction operator functions all preserve the time of day of the original GregorianDate.
See Also

Reference

JewishCalendar Namespace


JewishDate Constructor

JewishDate Constructor
Overload List
 | Name | Description
Public method | JewishDate | Empty constructor. Sets the date to the current system date.
Public method | JewishDate(DateTime) | Creates a Jewish date that corresponds to the given Gregorian date Note: as the location is not specified here, we cannot determine what time shkia is. So if the given time is after shkia, the Jewish date will be a Jewish Day early.
Public method | JewishDate(Location) | Get the current Jewish date in the given location. Cut-off time is sunset.
Public method | JewishDate(DateTime, Location) | Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.
Public method | JewishDate(Int32, Int32, Int32) | Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day
Public method | JewishDate(Int32, Int32, Int32, TimeSpan) | Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day and time of day
Top
See Also

Reference

JewishDate Class


JewishDate Constructor

JewishDate Constructor
Empty constructor. Sets the date to the current system date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate()
Public Sub New
public:
JewishDate()
new : unit -> JewishDate
JewishCalendar.JewishDate = function();
See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Constructor (DateTime)

JewishDate Constructor (DateTime)
Creates a Jewish date that corresponds to the given Gregorian date Note: as the location is not specified here, we cannot determine what time shkia is. So if the given time is after shkia, the Jewish date will be a Jewish Day early.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate(
    DateTime dateTime
)
Public Sub New (
    dateTime As DateTime
)
public:
JewishDate(
    DateTime dateTime
)
new :
        dateTime : DateTime -> JewishDate
JewishCalendar.JewishDate = function(dateTime);

Parameters

dateTime
Type: SystemDateTime
The Gregorian date from which to create the Jewish Date
See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Constructor (Location)

JewishDate Constructor (Location)
Get the current Jewish date in the given location. Cut-off time is sunset.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate(
    Location location
)
Public Sub New (
    location As Location
)
public:
JewishDate(
    Location^ location
)
new :
        location : Location -> JewishDate
JewishCalendar.JewishDate = function(location);

Parameters

location
Type: JewishCalendarLocation
The location. This will be used to determine the time of sunset.
See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Constructor (DateTime, Location)

JewishDate Constructor (DateTime, Location)
Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate(
    DateTime date,
    Location location
)
Public Sub New (
    date As DateTime,
    location As Location
)
public:
JewishDate(
    DateTime date,
    Location^ location
)
new :
        date : DateTime *
        location : Location -> JewishDate
JewishCalendar.JewishDate = function(date, location);

Parameters

date
Type: SystemDateTime
The Gregorian date from which to create the Jewish Date
location
Type: JewishCalendarLocation
The location. This will be used to determine the time of sunset.
See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Constructor (Int32, Int32, Int32)

JewishDate Constructor (Int32, Int32, Int32)
Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate(
    int year,
    int month,
    int day
)
Public Sub New (
    year As Integer,
    month As Integer,
    day As Integer
)
public:
JewishDate(
    int year,
    int month,
    int day
)
new :
        year : int *
        month : int *
        day : int -> JewishDate
JewishCalendar.JewishDate = function(year, month, day);

Parameters

year
Type: SystemInt32
The year - counted from the creation of the world
month
Type: SystemInt32
The Jewish month. As it is in the Torah, Nissan is 1.
day
Type: SystemInt32
The day of the month
See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Constructor (Int32, Int32, Int32, TimeSpan)

JewishDate Constructor (Int32, Int32, Int32, TimeSpan)
Creates a new JewishDate object with the specified Jewish year, Jewish month and Jewish day and time of day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDate(
    int year,
    int month,
    int day,
    TimeSpan timeOfDay
)
Public Sub New (
    year As Integer,
    month As Integer,
    day As Integer,
    timeOfDay As TimeSpan
)
public:
JewishDate(
    int year,
    int month,
    int day,
    TimeSpan timeOfDay
)
new :
        year : int *
        month : int *
        day : int *
        timeOfDay : TimeSpan -> JewishDate
JewishCalendar.JewishDate = function(year, month, day, timeOfDay);

Parameters

year
Type: SystemInt32
The year - counted from the creation of the world
month
Type: SystemInt32
The Jewish month. As it is in the Torah, Nissan is 1.
day
Type: SystemInt32
The day of the month
timeOfDay
Type: SystemTimeSpan

[Missing <param name="timeOfDay"/> documentation for "M:JewishCalendar.JewishDate.#ctor(System.Int32,System.Int32,System.Int32,System.TimeSpan)"]

See Also

Reference

JewishDate Class
JewishDate Overload


JewishDate Properties

JewishDate Properties

The JewishDate type exposes the following members.

Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.
Public property | DayOfWeek | The day of the week for this Jewish Date
Public property | GregorianDate | The secular date at midnight of this Jewish Date.
 | MaxDate | The maximum supported date by this class
 | MinDate | The minimum valid date supported by this class
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
See Also

Reference

JewishDate Class


JewishDate.AbsoluteDate Property

JewishDateAbsoluteDate Property
The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int AbsoluteDate { get; }
Public ReadOnly Property AbsoluteDate As Integer
    Get
public:
virtual property int AbsoluteDate {
    int get () sealed;
}
abstract AbsoluteDate : int with get
override AbsoluteDate : int with get
function get_AbsoluteDate();

Property Value

Type: Int32

Implements

IJewishDateAbsoluteDate
See Also

Reference

JewishDate Class


JewishDate.Day Property

JewishDateDay Property
The Day in the month for this Jewish Date. NOTE: If location was not supplied in the constructor the Jewish Day may not be correct as from nightfall until midnight should really be the next Jewish day.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Day { get; }
Public ReadOnly Property Day As Integer
    Get
public:
virtual property int Day {
    int get () sealed;
}
abstract Day : int with get
override Day : int with get
function get_Day();

Property Value

Type: Int32

Implements

IJewishDateDay
See Also

Reference

JewishDate Class


JewishDate.DayOfWeek Property

JewishDateDayOfWeek Property
The day of the week for this Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DayOfWeek DayOfWeek { get; }
Public ReadOnly Property DayOfWeek As DayOfWeek
    Get
public:
virtual property DayOfWeek DayOfWeek {
    DayOfWeek get () sealed;
}
abstract DayOfWeek : DayOfWeek with get
override DayOfWeek : DayOfWeek with get
function get_DayOfWeek();

Property Value

Type: DayOfWeek

Implements

IJewishDateDayOfWeek
See Also

Reference

JewishDate Class


JewishDate.GregorianDate Property

JewishDateGregorianDate Property
The secular date at midnight of this Jewish Date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DateTime GregorianDate { get; set; }
Public Property GregorianDate As DateTime
    Get
    Set
public:
virtual property DateTime GregorianDate {
    DateTime get () sealed;
    void set (DateTime value) sealed;
}
abstract GregorianDate : DateTime with get, set
override GregorianDate : DateTime with get, set
function get_GregorianDate();
function set_GregorianDate(value);

Property Value

Type: DateTime

Implements

IJewishDateGregorianDate
Remarks
If the current object was constructed with a constructor that takes a "Location" and the DateTime used by the constructor was after sunset but before midnight, the GregorianDate will be a day late as a day was added by the constructor. This anomaly is caused by the following un-mixable elements: 1. The correct Jewish date changes at sunset - so in Jewish, it is the next day. 2. The JewishDate class's calculations are based on the System.Globalization.HebrewCalendar functions - which use System DateTime and do not consider sunset as a factor.... So in order to change the Jewish Date to the next day, we need to add a day to the GregorianDate property as this class's connection to the functions of System.Globalization.HebrewCalendar are all through it's GregorianDate property. To get the correct and proper Secular Date, use the GetSecularDate(HourMinute, Location) function.
See Also

Reference

JewishDate Class


JewishDate.MaxDate Property

JewishDateMaxDate Property
The maximum supported date by this class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDate MaxDate { get; }
Public Shared ReadOnly Property MaxDate As JewishDate
    Get
public:
static property JewishDate^ MaxDate {
    JewishDate^ get ();
}
static member MaxDate : JewishDate with get

JewishCalendar.JewishDate.get_MaxDate = function();

Property Value

Type: JewishDate
See Also

Reference

JewishDate Class


JewishDate.MinDate Property

JewishDateMinDate Property
The minimum valid date supported by this class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDate MinDate { get; }
Public Shared ReadOnly Property MinDate As JewishDate
    Get
public:
static property JewishDate^ MinDate {
    JewishDate^ get ();
}
static member MinDate : JewishDate with get

JewishCalendar.JewishDate.get_MinDate = function();

Property Value

Type: JewishDate
See Also

Reference

JewishDate Class


JewishDate.Month Property

JewishDateMonth Property
The Jewish Month. As in the Torah, Nissan is month 1

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Month { get; }
Public ReadOnly Property Month As Integer
    Get
public:
virtual property int Month {
    int get () sealed;
}
abstract Month : int with get
override Month : int with get
function get_Month();

Property Value

Type: Int32

Implements

IJewishDateMonth
See Also

Reference

JewishDate Class


JewishDate.MonthName Property

JewishDateMonthName Property
The name of the current Jewish Month (in English)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string MonthName { get; }
Public ReadOnly Property MonthName As String
    Get
public:
virtual property String^ MonthName {
    String^ get () sealed;
}
abstract MonthName : string with get
override MonthName : string with get
function get_MonthName();

Property Value

Type: String

Implements

IJewishDateMonthName
See Also

Reference

JewishDate Class


JewishDate.Year Property

JewishDateYear Property
The number of years since creation

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Year { get; }
Public ReadOnly Property Year As Integer
    Get
public:
virtual property int Year {
    int get () sealed;
}
abstract Year : int with get
override Year : int with get
function get_Year();

Property Value

Type: Int32

Implements

IJewishDateYear
See Also

Reference

JewishDate Class


JewishDate Methods

JewishDate Methods

The JewishDate type exposes the following members.

Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.
 | DaysInJewishMonth | Get the total number of days in the given Jewish Month
 | DaysInJewishYear | Get the total number of days in the given Jewish year
Public method | Equals | Compare this JewishDate to another. If the day, month and year are the same, will return true. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDayOfOmer | Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned
Public method | GetHashCode | Return the HashCode for this instance (Overrides ObjectGetHashCode.)
 | GetNissanMonth |
Public method | GetSecularDate | Returns the correct Secular Date for this JewishDate at the given Time and Location.
 | GetTishrieMonth |
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsLeapYear | Determines if the given Jewish Year is a Leap Year
 | IsLongCheshvan | Does Cheshvan have a full 30 days in the given Jewish Year?
 | IsShortKislev | Does Kislev have only 29 days for the given Jewish year?
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | MonthsInYear | Compute the total number of months for the given Hebrew year
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
See Also

Reference

JewishDate Class


JewishDate.AddMonths Method

JewishDateAddMonths Method
Adds the given number of months to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public IJewishDate AddMonths(
    int months
)
Public Function AddMonths (
    months As Integer
) As IJewishDate
public:
virtual IJewishDate^ AddMonths(
    int months
) sealed
abstract AddMonths :
        months : int -> IJewishDate
override AddMonths :
        months : int -> IJewishDate
function AddMonths(months);

Parameters

months
Type: SystemInt32

[Missing <param name="months"/> documentation for "M:JewishCalendar.JewishDate.AddMonths(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.AddMonths(System.Int32)"]

Implements

IJewishDateAddMonths(Int32)
See Also

Reference

JewishDate Class


JewishDate.AddYears Method

JewishDateAddYears Method
Adds the given number of years to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public IJewishDate AddYears(
    int years
)
Public Function AddYears (
    years As Integer
) As IJewishDate
public:
virtual IJewishDate^ AddYears(
    int years
) sealed
abstract AddYears :
        years : int -> IJewishDate
override AddYears :
        years : int -> IJewishDate
function AddYears(years);

Parameters

years
Type: SystemInt32

[Missing <param name="years"/> documentation for "M:JewishCalendar.JewishDate.AddYears(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.AddYears(System.Int32)"]

Implements

IJewishDateAddYears(Int32)
Remarks
If the current month is Adar Sheini and the new year is not a leap year, the month is set to Adar. If the current Day is the 30th of Cheshvan or Kislev and in the new year that month only has 29 days, the day is set to the 1st of the following month.
See Also

Reference

JewishDate Class


JewishDate.DateDiffMonth Method

JewishDateDateDiffMonth Method
Gets the difference in months between two JewishDates If the second date is before this one, the number will be negative.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int DateDiffMonth(
    IJewishDate jd
)
Public Function DateDiffMonth (
    jd As IJewishDate
) As Integer
public:
virtual int DateDiffMonth(
    IJewishDate^ jd
) sealed
abstract DateDiffMonth :
        jd : IJewishDate -> int
override DateDiffMonth :
        jd : IJewishDate -> int
function DateDiffMonth(jd);

Parameters

jd
Type: JewishCalendarIJewishDate

[Missing <param name="jd"/> documentation for "M:JewishCalendar.JewishDate.DateDiffMonth(JewishCalendar.IJewishDate)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.DateDiffMonth(JewishCalendar.IJewishDate)"]

Implements

IJewishDateDateDiffMonth(IJewishDate)
Remarks
Ignores Day part. For example, from 29 Kislev to 1 Teves will return 1 even though they are only a day or two apart
See Also

Reference

JewishDate Class


JewishDate.DaysInJewishMonth Method

JewishDateDaysInJewishMonth Method
Get the total number of days in the given Jewish Month

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int DaysInJewishMonth(
    int year,
    int month
)
Public Shared Function DaysInJewishMonth (
    year As Integer,
    month As Integer
) As Integer
public:
static int DaysInJewishMonth(
    int year,
    int month
)
static member DaysInJewishMonth :
        year : int *
        month : int -> int

JewishCalendar.JewishDate.DaysInJewishMonth = function(year, month);

Parameters

year
Type: SystemInt32
month
Type: SystemInt32
The Nissan based Jewish month

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.DaysInJewishMonth(System.Int32,System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.DaysInJewishMonth, but internally uses System.Globalization.HebrewCalendar to retrieve its value. When using the JewishDate class which itself is based on System.Globalization.HebrewCalendar, using the class specific version of the function is more efficient.
See Also

Reference

JewishDate Class


JewishDate.DaysInJewishYear Method

JewishDateDaysInJewishYear Method
Get the total number of days in the given Jewish year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int DaysInJewishYear(
    int year
)
Public Shared Function DaysInJewishYear (
    year As Integer
) As Integer
public:
static int DaysInJewishYear(
    int year
)
static member DaysInJewishYear :
        year : int -> int

JewishCalendar.JewishDate.DaysInJewishYear = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.DaysInJewishYear(System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.DaysInJewishYear, but internally uses System.Globalization.HebrewCalendar to retrieve its value. When using the JewishDate class which itself is based on System.Globalization.HebrewCalendar, using the class specific version of the function is more efficient.
See Also

Reference

JewishDate Class


JewishDate.Equals Method

JewishDateEquals Method
Compare this JewishDate to another. If the day, month and year are the same, will return true.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override bool Equals(
    Object jd2
)
Public Overrides Function Equals (
    jd2 As Object
) As Boolean
public:
virtual bool Equals(
    Object^ jd2
) override
abstract Equals :
        jd2 : Object -> bool
override Equals :
        jd2 : Object -> bool
function Equals(jd2);

Parameters

jd2
Type: SystemObject

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.Equals(System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.Equals(System.Object)"]

See Also

Reference

JewishDate Class


JewishDate.GetDayOfOmer Method

JewishDateGetDayOfOmer Method
Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int GetDayOfOmer()
Public Function GetDayOfOmer As Integer
public:
virtual int GetDayOfOmer() sealed
abstract GetDayOfOmer : unit -> int
override GetDayOfOmer : unit -> int
function GetDayOfOmer();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.GetDayOfOmer"]

Implements

IJewishDateGetDayOfOmer
See Also

Reference

JewishDate Class


JewishDate.GetHashCode Method

JewishDateGetHashCode Method
Return the HashCode for this instance

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int
function GetHashCode();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.GetHashCode"]

See Also

Reference

JewishDate Class


JewishDate.GetNissanMonth Method

JewishDateGetNissanMonth Method

[Missing <summary> documentation for "M:JewishCalendar.JewishDate.GetNissanMonth(System.Int32,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetNissanMonth(
    int tishrieMonth,
    int year
)
Private Shared Function GetNissanMonth (
    tishrieMonth As Integer,
    year As Integer
) As Integer
private:
static int GetNissanMonth(
    int tishrieMonth,
    int year
)
private static member GetNissanMonth :
        tishrieMonth : int *
        year : int -> int

JewishCalendar.JewishDate.GetNissanMonth = function(tishrieMonth, year);

Parameters

tishrieMonth
Type: SystemInt32

[Missing <param name="tishrieMonth"/> documentation for "M:JewishCalendar.JewishDate.GetNissanMonth(System.Int32,System.Int32)"]

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.JewishDate.GetNissanMonth(System.Int32,System.Int32)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.GetNissanMonth(System.Int32,System.Int32)"]

See Also

Reference

JewishDate Class


JewishDate.GetSecularDate Method

JewishDateGetSecularDate Method
Returns the correct Secular Date for this JewishDate at the given Time and Location.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DateTime GetSecularDate(
    HourMinute timeOfDay,
    Location location
)
Public Function GetSecularDate (
    timeOfDay As HourMinute,
    location As Location
) As DateTime
public:
DateTime GetSecularDate(
    HourMinute timeOfDay,
    Location^ location
)
member GetSecularDate :
        timeOfDay : HourMinute *
        location : Location -> DateTime

function GetSecularDate(timeOfDay, location);

Parameters

timeOfDay
Type: JewishCalendarHourMinute

[Missing <param name="timeOfDay"/> documentation for "M:JewishCalendar.JewishDate.GetSecularDate(JewishCalendar.HourMinute,JewishCalendar.Location)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.JewishDate.GetSecularDate(JewishCalendar.HourMinute,JewishCalendar.Location)"]

Return Value

Type: DateTime

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.GetSecularDate(JewishCalendar.HourMinute,JewishCalendar.Location)"]

Remarks
When using a JewishDate constructor that takes a "Location" object, if the initializing DateTime was after sunset, the date was set to the next day. The GregorianDate property will therefore not properly reflect the true Secular date until midnight. This function returns the correct GregorianDate for this JewishDate at the given time and place.
See Also

Reference

JewishDate Class


JewishDate.GetTishrieMonth Method

JewishDateGetTishrieMonth Method

[Missing <summary> documentation for "M:JewishCalendar.JewishDate.GetTishrieMonth(System.Int32,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetTishrieMonth(
    int nissanMonth,
    int year
)
Private Shared Function GetTishrieMonth (
    nissanMonth As Integer,
    year As Integer
) As Integer
private:
static int GetTishrieMonth(
    int nissanMonth,
    int year
)
private static member GetTishrieMonth :
        nissanMonth : int *
        year : int -> int

JewishCalendar.JewishDate.GetTishrieMonth = function(nissanMonth, year);

Parameters

nissanMonth
Type: SystemInt32

[Missing <param name="nissanMonth"/> documentation for "M:JewishCalendar.JewishDate.GetTishrieMonth(System.Int32,System.Int32)"]

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.JewishDate.GetTishrieMonth(System.Int32,System.Int32)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.GetTishrieMonth(System.Int32,System.Int32)"]

See Also

Reference

JewishDate Class


JewishDate.IsLeapYear Method

JewishDateIsLeapYear Method
Determines if the given Jewish Year is a Leap Year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsLeapYear(
    int year
)
Public Shared Function IsLeapYear (
    year As Integer
) As Boolean
public:
static bool IsLeapYear(
    int year
)
static member IsLeapYear :
        year : int -> bool

JewishCalendar.JewishDate.IsLeapYear = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.IsLeapYear(System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.IsJewishLeapYear, but internally uses System.Globalization.HebrewCalendar to retrieve its value. The algorithm for both functions are identical with the single difference being, that the HebrewCalendar version does a check to make sure that the year is within the range of years that it can represent.
See Also

Reference

JewishDate Class


JewishDate.IsLongCheshvan Method

JewishDateIsLongCheshvan Method
Does Cheshvan have a full 30 days in the given Jewish Year?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsLongCheshvan(
    int year
)
Public Shared Function IsLongCheshvan (
    year As Integer
) As Boolean
public:
static bool IsLongCheshvan(
    int year
)
static member IsLongCheshvan :
        year : int -> bool

JewishCalendar.JewishDate.IsLongCheshvan = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.IsLongCheshvan(System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.IsLongCheshvan, but internally uses System.Globalization.HebrewCalendar to retrieve its value. When using the JewishDate class which itself is based on System.Globalization.HebrewCalendar, using the class specific version of the function is more efficient.
See Also

Reference

JewishDate Class


JewishDate.IsShortKislev Method

JewishDateIsShortKislev Method
Does Kislev have only 29 days for the given Jewish year?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsShortKislev(
    int year
)
Public Shared Function IsShortKislev (
    year As Integer
) As Boolean
public:
static bool IsShortKislev(
    int year
)
static member IsShortKislev :
        year : int -> bool

JewishCalendar.JewishDate.IsShortKislev = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.IsShortKislev(System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.IsShortKislev, but internally uses System.Globalization.HebrewCalendar to retrieve its value. When using the JewishDate class which itself is based on System.Globalization.HebrewCalendar, using the class specific version of the function is more efficient.
See Also

Reference

JewishDate Class


JewishDate.MonthsInYear Method

JewishDateMonthsInYear Method
Compute the total number of months for the given Hebrew year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int MonthsInYear(
    int year
)
Public Shared Function MonthsInYear (
    year As Integer
) As Integer
public:
static int MonthsInYear(
    int year
)
static member MonthsInYear :
        year : int -> int

JewishCalendar.JewishDate.MonthsInYear = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.MonthsInYear(System.Int32)"]

Remarks
This function will return the same value as JewishDateCalculations.MonthsInJewishYear, but internally uses HebrewCalendar.GetMonthsInYear which in turn uses HebrewCalendar.IsLeapYear to determine if the year is a leap year or not.
See Also

Reference

JewishDate Class


JewishDate.ToLongDateString Method

JewishDateToLongDateString Method
Returns the Jewish date in the format: The 14th day of Adar, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToLongDateString()
Public Function ToLongDateString As String
public:
virtual String^ ToLongDateString() sealed
abstract ToLongDateString : unit -> string
override ToLongDateString : unit -> string
function ToLongDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.ToLongDateString"]

Implements

IJewishDateToLongDateString
See Also

Reference

JewishDate Class


JewishDate.ToLongDateStringHeb Method

JewishDateToLongDateStringHeb Method
Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToLongDateStringHeb()
Public Function ToLongDateStringHeb As String
public:
virtual String^ ToLongDateStringHeb() sealed
abstract ToLongDateStringHeb : unit -> string
override ToLongDateStringHeb : unit -> string
function ToLongDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.ToLongDateStringHeb"]

Implements

IJewishDateToLongDateStringHeb
See Also

Reference

JewishDate Class


JewishDate.ToShortDateString Method

JewishDateToShortDateString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToShortDateString()
Public Function ToShortDateString As String
public:
virtual String^ ToShortDateString() sealed
abstract ToShortDateString : unit -> string
override ToShortDateString : unit -> string
function ToShortDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.ToShortDateString"]

Implements

IJewishDateToShortDateString
See Also

Reference

JewishDate Class


JewishDate.ToShortDateStringHeb Method

JewishDateToShortDateStringHeb Method
Returns the Jewish date in the format: כ"ו אלול תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToShortDateStringHeb()
Public Function ToShortDateStringHeb As String
public:
virtual String^ ToShortDateStringHeb() sealed
abstract ToShortDateStringHeb : unit -> string
override ToShortDateStringHeb : unit -> string
function ToShortDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.ToShortDateStringHeb"]

Implements

IJewishDateToShortDateStringHeb
See Also

Reference

JewishDate Class


JewishDate.ToString Method

JewishDateToString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.ToString"]

Implements

IJewishDateToString
See Also

Reference

JewishDate Class


JewishDate Operators and Type Conversions

JewishDate Operators and Type Conversions

The JewishDate type exposes the following members.

Operators
Name | Description
Addition | Add days to a Jewish date.
Equality | Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.
(JewishDateMicro to JewishDate) | Explicitly cast a JewishDateMicro to a JewishDate
GreaterThan | Returns true if the current JewishDate object is chronologically after the second iJewishDate object
GreaterThanOrEqual | Returns true if the current JewishDate object is not chronologically earlier than the second iJewishDate object
Inequality | Returns true if both objects do not have the same day, month and year
LessThan | Returns true if the current JewishDate object is chronologically before the second iJewishDate object
LessThanOrEqual | Returns true if the current JewishDate object is not chronologically later than the second iJewishDate object
Subtraction(JewishDate, JewishDate) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDate, Int32) | Subtract days from a Jewish date.
Top
See Also

Reference

JewishDate Class


JewishDate.Addition Operator

JewishDateAddition Operator
Add days to a Jewish date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDate operator +(
    JewishDate hd,
    int days
)
Public Shared Operator + (
    hd As JewishDate,
    days As Integer
) As JewishDate
public:
static JewishDate^ operator +(
    JewishDate^ hd,
    int days
)
static let inline (+)
        hd : JewishDate *
        days : int  : JewishDate
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDate

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDate.op_Addition(JewishCalendar.JewishDate,System.Int32)"]

days
Type: SystemInt32

[Missing <param name="days"/> documentation for "M:JewishCalendar.JewishDate.op_Addition(JewishCalendar.JewishDate,System.Int32)"]

Return Value

Type: JewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Addition(JewishCalendar.JewishDate,System.Int32)"]

See Also

Reference

JewishDate Class


JewishDate.Equality Operator

JewishDateEquality Operator
Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator ==(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator = (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator ==(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (=)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_Equality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_Equality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Equality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate Explicit Conversion (JewishDateMicro to JewishDate)

JewishDate Conversion (JewishDateMicro to JewishDate)
Explicitly cast a JewishDateMicro to a JewishDate

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static explicit operator JewishDate (
    JewishDateMicro jd
)
Public Shared Narrowing Operator CType (
    jd As JewishDateMicro
) As JewishDate
static explicit operator JewishDate^ (
    JewishDateMicro^ jd
)
F# does not support the declaration of new casting operators.
JavaScript does not support the declaration of new casting operators.

Parameters

jd
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd"/> documentation for "M:JewishCalendar.JewishDate.op_Explicit(JewishCalendar.JewishDateMicro)~JewishCalendar.JewishDate"]

Return Value

Type: JewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Explicit(JewishCalendar.JewishDateMicro)~JewishCalendar.JewishDate"]

See Also

Reference

JewishDate Class


JewishDate.GreaterThan Operator

JewishDateGreaterThan Operator
Returns true if the current JewishDate object is chronologically after the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator > (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator >(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (>)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_GreaterThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_GreaterThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_GreaterThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate.GreaterThanOrEqual Operator

JewishDateGreaterThanOrEqual Operator
Returns true if the current JewishDate object is not chronologically earlier than the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >=(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator >= (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator >=(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (>=)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_GreaterThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_GreaterThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_GreaterThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate.Inequality Operator

JewishDateInequality Operator
Returns true if both objects do not have the same day, month and year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator !=(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator <> (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator !=(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (<>)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_Inequality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_Inequality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Inequality(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate.LessThan Operator

JewishDateLessThan Operator
Returns true if the current JewishDate object is chronologically before the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator < (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator <(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (<)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_LessThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_LessThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_LessThan(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate.LessThanOrEqual Operator

JewishDateLessThanOrEqual Operator
Returns true if the current JewishDate object is not chronologically later than the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <=(
    JewishDate jd1,
    IJewishDate jd2
)
Public Shared Operator <= (
    jd1 As JewishDate,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator <=(
    JewishDate^ jd1,
    IJewishDate^ jd2
)
static let inline (<=)
        jd1 : JewishDate *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDate

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDate.op_LessThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDate.op_LessThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_LessThanOrEqual(JewishCalendar.JewishDate,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDate Class


JewishDate.Subtraction Operator

JewishDateSubtraction Operator
Overload List
Name | Description
Subtraction(JewishDate, JewishDate) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDate, Int32) | Subtract days from a Jewish date.
Top
See Also

Reference

JewishDate Class


JewishDate.Subtraction Operator (JewishDate, JewishDate)

JewishDateSubtraction Operator (JewishDate, JewishDate)
Gets the difference in days between two Jewish dates.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int operator -(
    JewishDate hd,
    JewishDate hd2
)
Public Shared Operator - (
    hd As JewishDate,
    hd2 As JewishDate
) As Integer
public:
static int operator -(
    JewishDate^ hd,
    JewishDate^ hd2
)
static let inline (-)
        hd : JewishDate *
        hd2 : JewishDate  : int
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDate

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,JewishCalendar.JewishDate)"]

hd2
Type: JewishCalendarJewishDate

[Missing <param name="hd2"/> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,JewishCalendar.JewishDate)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,JewishCalendar.JewishDate)"]

See Also

Reference

JewishDate Class
Subtraction Overload


JewishDate.Subtraction Operator (JewishDate, Int32)

JewishDateSubtraction Operator (JewishDate, Int32)
Subtract days from a Jewish date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDate operator -(
    JewishDate hd,
    int days
)
Public Shared Operator - (
    hd As JewishDate,
    days As Integer
) As JewishDate
public:
static JewishDate^ operator -(
    JewishDate^ hd,
    int days
)
static let inline (-)
        hd : JewishDate *
        days : int  : JewishDate
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDate

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,System.Int32)"]

days
Type: SystemInt32

[Missing <param name="days"/> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,System.Int32)"]

Return Value

Type: JewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDate.op_Subtraction(JewishCalendar.JewishDate,System.Int32)"]

See Also

Reference

JewishDate Class
Subtraction Overload


JewishDateCalculations Class

JewishDateCalculations Class
Static class that contains functions for Jewish calendar calculations.
Inheritance Hierarchy
SystemObject
JewishCalendarJewishDateCalculations

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static class JewishDateCalculations
<ExtensionAttribute>
Public NotInheritable Class JewishDateCalculations
[ExtensionAttribute]
public ref class JewishDateCalculations abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type JewishDateCalculations =  class end
JewishCalendar.JewishDateCalculations = function();

Type.createClass(
    'JewishCalendar.JewishDateCalculations');

The JewishDateCalculations type exposes the following members.

Methods
Name | Description
DaysInGregorianMonth | Compute the number of days in the given month of the Gregorian calendar. NOTE: If you are not using the .NET Micro framework, do not use this function! Use the GregorianCalendar.GetDaysInMonth function instead
DaysInJewishMonth | Compute the number of days in the given Jewish month
DaysInJewishYear | Get the total number of days in the given Jewish year. From Rosh Hashana of the given year until the next Rosh Hashana.
GetAbsoluteFromGregorianDate | Computed the absolute date for the given Gregorian Year, Month and Day NOTE: If you are not using the .NET micro framework, do not use this function! Use the following instead: (int)((YOUR_DATETIME.Subtract(new DateTime(1, 1, 1)).TotalDays + 1));
GetAbsoluteFromJewishDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1. NOTE: This function should only be used if you don't have access to System.Globalization.HebrewCalendar.
GetElapsedDays | Computes the number of days elapsed from the Sunday prior to the start of the Jewish calendar to the mean conjunction of Tishrei of the given Jewish year.
IsJewishLeapYear | Determines if the given Jewish Year is a Leap Year
IsLongCheshvan | Does Cheshvan have a full 30 days in the given Jewish Year?
IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date.
IsShortKislev | Does Kislev have 29 days for the given Jewish year?
MonthsInJewishYear | Gets the number of months in the given Jewish year
Top
Fields
Name | Description
HEBREW_EPOCH | Absolute date of start of Jewish calendar
Top
Remarks
This class does much of the actual Jewish Date calculations for the JewishDateMicro class. The calculations do not use System.Globalization.HebrewCalendar so they can be used with .NET micro projects. Most of the Jewish date logic and calculations were translated from the C code which in turn were translated from the Lisp code in "Calendrical Calculations" by Nachum Dershowitz and Edward M. Reingold in Software---Practice & Experience, vol. 20, no. 9 (September, 1990), pp. 899--928.
See Also

Reference

JewishCalendar Namespace


JewishDateCalculations Methods

JewishDateCalculations Methods

The JewishDateCalculations type exposes the following members.

Methods
Name | Description
DaysInGregorianMonth | Compute the number of days in the given month of the Gregorian calendar. NOTE: If you are not using the .NET Micro framework, do not use this function! Use the GregorianCalendar.GetDaysInMonth function instead
DaysInJewishMonth | Compute the number of days in the given Jewish month
DaysInJewishYear | Get the total number of days in the given Jewish year. From Rosh Hashana of the given year until the next Rosh Hashana.
GetAbsoluteFromGregorianDate | Computed the absolute date for the given Gregorian Year, Month and Day NOTE: If you are not using the .NET micro framework, do not use this function! Use the following instead: (int)((YOUR_DATETIME.Subtract(new DateTime(1, 1, 1)).TotalDays + 1));
GetAbsoluteFromJewishDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1. NOTE: This function should only be used if you don't have access to System.Globalization.HebrewCalendar.
GetElapsedDays | Computes the number of days elapsed from the Sunday prior to the start of the Jewish calendar to the mean conjunction of Tishrei of the given Jewish year.
IsJewishLeapYear | Determines if the given Jewish Year is a Leap Year
IsLongCheshvan | Does Cheshvan have a full 30 days in the given Jewish Year?
IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date.
IsShortKislev | Does Kislev have 29 days for the given Jewish year?
MonthsInJewishYear | Gets the number of months in the given Jewish year
Top
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.DaysInGregorianMonth Method

JewishDateCalculationsDaysInGregorianMonth Method
Compute the number of days in the given month of the Gregorian calendar. NOTE: If you are not using the .NET Micro framework, do not use this function! Use the GregorianCalendar.GetDaysInMonth function instead

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int DaysInGregorianMonth(
    int month,
    int year
)
Public Shared Function DaysInGregorianMonth (
    month As Integer,
    year As Integer
) As Integer
public:
static int DaysInGregorianMonth(
    int month,
    int year
)
static member DaysInGregorianMonth :
        month : int *
        year : int -> int

JewishCalendar.JewishDateCalculations.DaysInGregorianMonth = function(month, year);

Parameters

month
Type: SystemInt32
The Gregorian Month
year
Type: SystemInt32
The Gregorian Year

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateCalculations.DaysInGregorianMonth(System.Int32,System.Int32)"]

See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.DaysInJewishMonth Method

JewishDateCalculationsDaysInJewishMonth Method
Compute the number of days in the given Jewish month

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int DaysInJewishMonth(
    int year,
    int month
)
Public Shared Function DaysInJewishMonth (
    year As Integer,
    month As Integer
) As Integer
public:
static int DaysInJewishMonth(
    int year,
    int month
)
static member DaysInJewishMonth :
        year : int *
        month : int -> int

JewishCalendar.JewishDateCalculations.DaysInJewishMonth = function(year, month);

Parameters

year
Type: SystemInt32
The Jewish year
month
Type: SystemInt32
The Nissan based Jewish Month (Nissan is 1 and Adar Sheini is 13)

Return Value

Type: Int32
The number of days in the given Jewish Month
Remarks
If you are not using the .NET micro framework, use JewishDate.DaysInJewishMonth instead of this function.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.DaysInJewishYear Method

JewishDateCalculationsDaysInJewishYear Method
Get the total number of days in the given Jewish year. From Rosh Hashana of the given year until the next Rosh Hashana.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int DaysInJewishYear(
    int year
)
Public Shared Function DaysInJewishYear (
    year As Integer
) As Integer
public:
static int DaysInJewishYear(
    int year
)
static member DaysInJewishYear :
        year : int -> int

JewishCalendar.JewishDateCalculations.DaysInJewishYear = function(year);

Parameters

year
Type: SystemInt32
The given Jewish Year

Return Value

Type: Int32
The number of days in the given Jewish Year
Remarks
If you are not using the .NET micro framework, use JewishDate.DaysInHebrewYear instead of this function.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.GetAbsoluteFromGregorianDate Method

JewishDateCalculationsGetAbsoluteFromGregorianDate Method
Computed the absolute date for the given Gregorian Year, Month and Day NOTE: If you are not using the .NET micro framework, do not use this function! Use the following instead: (int)((YOUR_DATETIME.Subtract(new DateTime(1, 1, 1)).TotalDays + 1));

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int GetAbsoluteFromGregorianDate(
    int year,
    int month,
    int day
)
Public Shared Function GetAbsoluteFromGregorianDate (
    year As Integer,
    month As Integer,
    day As Integer
) As Integer
public:
static int GetAbsoluteFromGregorianDate(
    int year,
    int month,
    int day
)
static member GetAbsoluteFromGregorianDate :
        year : int *
        month : int *
        day : int -> int

JewishCalendar.JewishDateCalculations.GetAbsoluteFromGregorianDate = function(year, month, day);

Parameters

year
Type: SystemInt32
The Gregorian Year
month
Type: SystemInt32
The Gregorian Month
day
Type: SystemInt32
The Gregorian Day

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateCalculations.GetAbsoluteFromGregorianDate(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.GetAbsoluteFromJewishDate Method

JewishDateCalculationsGetAbsoluteFromJewishDate Method
The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1. NOTE: This function should only be used if you don't have access to System.Globalization.HebrewCalendar.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int GetAbsoluteFromJewishDate(
    int year,
    int month,
    int day
)
Public Shared Function GetAbsoluteFromJewishDate (
    year As Integer,
    month As Integer,
    day As Integer
) As Integer
public:
static int GetAbsoluteFromJewishDate(
    int year,
    int month,
    int day
)
static member GetAbsoluteFromJewishDate :
        year : int *
        month : int *
        day : int -> int

JewishCalendar.JewishDateCalculations.GetAbsoluteFromJewishDate = function(year, month, day);

Parameters

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.JewishDateCalculations.GetAbsoluteFromJewishDate(System.Int32,System.Int32,System.Int32)"]

month
Type: SystemInt32

[Missing <param name="month"/> documentation for "M:JewishCalendar.JewishDateCalculations.GetAbsoluteFromJewishDate(System.Int32,System.Int32,System.Int32)"]

day
Type: SystemInt32

[Missing <param name="day"/> documentation for "M:JewishCalendar.JewishDateCalculations.GetAbsoluteFromJewishDate(System.Int32,System.Int32,System.Int32)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateCalculations.GetAbsoluteFromJewishDate(System.Int32,System.Int32,System.Int32)"]

See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.GetElapsedDays Method

JewishDateCalculationsGetElapsedDays Method
Computes the number of days elapsed from the Sunday prior to the start of the Jewish calendar to the mean conjunction of Tishrei of the given Jewish year.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetElapsedDays(
    int year
)
Private Shared Function GetElapsedDays (
    year As Integer
) As Integer
private:
static int GetElapsedDays(
    int year
)
private static member GetElapsedDays :
        year : int -> int

JewishCalendar.JewishDateCalculations.GetElapsedDays = function(year);

Parameters

year
Type: SystemInt32
The Jewish Year

Return Value

Type: Int32
The number of days elapsed
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.IsJewishLeapYear Method

JewishDateCalculationsIsJewishLeapYear Method
Determines if the given Jewish Year is a Leap Year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsJewishLeapYear(
    int year
)
Public Shared Function IsJewishLeapYear (
    year As Integer
) As Boolean
public:
static bool IsJewishLeapYear(
    int year
)
static member IsJewishLeapYear :
        year : int -> bool

JewishCalendar.JewishDateCalculations.IsJewishLeapYear = function(year);

Parameters

year
Type: SystemInt32

Return Value

Type: Boolean
True if the year is a leap year and False if not
Remarks
This function is identical to JewishDate.IsLeapYear. The only difference is, the JewishDate class's version uses Globalization.HebrewCalendars.IsLeapYear which adds a check to make sure that the year is within the range of the HebrewCalendar class.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.IsLongCheshvan Method

JewishDateCalculationsIsLongCheshvan Method
Does Cheshvan have a full 30 days in the given Jewish Year?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsLongCheshvan(
    int year
)
Public Shared Function IsLongCheshvan (
    year As Integer
) As Boolean
public:
static bool IsLongCheshvan(
    int year
)
static member IsLongCheshvan :
        year : int -> bool

JewishCalendar.JewishDateCalculations.IsLongCheshvan = function(year);

Parameters

year
Type: SystemInt32
The given Jewish Year

Return Value

Type: Boolean
Whether or not Cheshvan has 30 days in the given year
Remarks
If you are not using the .NET micro framework, use JewishDate.IsLongCheshvan instead of this function.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.IsSameDate Method

JewishDateCalculationsIsSameDate Method
Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsSameDate(
    this IJewishDate jd1,
    IJewishDate jd2
)
<ExtensionAttribute>
Public Shared Function IsSameDate (
    jd1 As IJewishDate,
    jd2 As IJewishDate
) As Boolean
public:
[ExtensionAttribute]
static bool IsSameDate(
    IJewishDate^ jd1,
    IJewishDate^ jd2
)
[<ExtensionAttribute>]
static member IsSameDate :
        jd1 : IJewishDate *
        jd2 : IJewishDate -> bool

JewishCalendar.JewishDateCalculations.IsSameDate = function(jd1, jd2);

Parameters

jd1
Type: JewishCalendarIJewishDate
This JewishDate
jd2
Type: JewishCalendarIJewishDate
The JewishDate to test against this one

Return Value

Type: Boolean
Whether or not the two represent the same Jewish calendar date

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IJewishDate. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.IsShortKislev Method

JewishDateCalculationsIsShortKislev Method
Does Kislev have 29 days for the given Jewish year?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsShortKislev(
    int year
)
Public Shared Function IsShortKislev (
    year As Integer
) As Boolean
public:
static bool IsShortKislev(
    int year
)
static member IsShortKislev :
        year : int -> bool

JewishCalendar.JewishDateCalculations.IsShortKislev = function(year);

Parameters

year
Type: SystemInt32
The given Jewish Year

Return Value

Type: Boolean
Whether or not Kislev has 29 days in the given year
Remarks
If you are not using the .NET micro framework, use JewishDate.IsShortKislev instead of this function.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.MonthsInJewishYear Method

JewishDateCalculationsMonthsInJewishYear Method
Gets the number of months in the given Jewish year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int MonthsInJewishYear(
    int year
)
Public Shared Function MonthsInJewishYear (
    year As Integer
) As Integer
public:
static int MonthsInJewishYear(
    int year
)
static member MonthsInJewishYear :
        year : int -> int

JewishCalendar.JewishDateCalculations.MonthsInJewishYear = function(year);

Parameters

year
Type: SystemInt32
The Jewish Year for which to get the number of months for

Return Value

Type: Int32
The number of months in the given year
Remarks
If you are not using the .NET micro framework, you can also use JewishDate.MonthsInYear.
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations Fields

JewishDateCalculations Fields

The JewishDateCalculations type exposes the following members.

Fields
Name | Description
HEBREW_EPOCH | Absolute date of start of Jewish calendar
Top
See Also

Reference

JewishDateCalculations Class


JewishDateCalculations.HEBREW_EPOCH Field

JewishDateCalculationsHEBREW_EPOCH Field
Absolute date of start of Jewish calendar

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public const int HEBREW_EPOCH = -1373429
Public Const HEBREW_EPOCH As Integer = -1373429
public:
literal int HEBREW_EPOCH = -1373429
static val mutable HEBREW_EPOCH: int
var JewishCalendar.JewishDateCalculations.HEBREW_EPOCH

Field Value

Type: Int32
See Also

Reference

JewishDateCalculations Class


JewishDateMicro Class

JewishDateMicro Class
Represents a single day in the Jewish Calendar.
Inheritance Hierarchy
SystemObject
JewishCalendarJewishDateMicro

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
[SerializableAttribute]
public class JewishDateMicro : IJewishDate
<SerializableAttribute>
Public Class JewishDateMicro
    Implements IJewishDate
[SerializableAttribute]
public ref class JewishDateMicro : IJewishDate
[<SerializableAttribute>]
type JewishDateMicro =
    class
        interface IJewishDate
    end
JewishCalendar.JewishDateMicro = function();

Type.createClass(
    'JewishCalendar.JewishDateMicro',
    null,
    JewishCalendar.IJewishDate);

The JewishDateMicro type exposes the following members.

Constructors
 | Name | Description
Public method | JewishDateMicro | Empty constructor. Sets the date to the current system date.
Public method | JewishDateMicro(DateTime) | Creates a Jewish date that corresponds to the given Gregorian date
Public method | JewishDateMicro(Int32) | Creates a Hebrew date from the "absolute date". In other words, the Hebrew date on the day that is the given number of days after/before December 31st, 1 BCE
Public method | JewishDateMicro(Location) | Get the current Jewish date in the given location. Cut-off time is sunset.
Public method | JewishDateMicro(DateTime, Location) | Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.
Public method | JewishDateMicro(Int32, Int32, Int32) | Creates a new JewishDate with the specified Hebrew year, month and day
Public method | JewishDateMicro(Int32, Int32, Int32, Int32) | Creates a new JewishDate with the specified Hebrew year, month, day and absolute day. This is the quickest constructor as it does no calculations at all. Caution: If the absolute day doesn't correctly match the given year/month/day, weird things will happen.
Top
Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: Not always correct; from nightfall until midnight should really be the next Jewish day.
Public property | DayInWeek | The index of the day of the week for this Jewish Date. Sunday is 0.
Public property | DayOfWeek | The day of the week for this Jewish Date (from Midnight to Midnight)
Public property | GregorianDate | Get the Gregorian Date for the current Hebrew Date
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates. If the second date is before this one, the number will be negative.
Public method | Equals | Returns true if both objects have the same day, month and year. You can also use the == operator or the extension method IsSameDate(iJewishDate js) for the same purpose. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDayOfOmer | Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned
Public method | GetHashCode | Returns the HashCode for this instance (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Private method | SetFromAbsoluteDate | Sets the current Jewish date to the date represented by the given "Absolute Date" - which is the number of days after/before December 31st, 1 BCE. The logic here was translated from the C code - which in turn were translated from the Lisp code in ''Calendrical Calculations'' by Nachum Dershowitz and Edward M. Reingold in Software---Practice & Experience, vol. 20, no. 9 (September, 1990), pp. 899--928.
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775 (Overrides ObjectToString.)
Top
Operators
Name | Description
Addition | Add days to a Jewish date.
Equality | Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.
GreaterThan | Returns true if the current JewishDateMicro object is chronologically after the second iJewishDate object
GreaterThanOrEqual | Returns true if the current JewishDateMicro object is not chronologically earlier than the second iJewishDate object
Inequality | Returns true if both objects do not have the same day, month and year
LessThan | Returns true if the current JewishDateMicro object is chronologically before the second iJewishDate object
LessThanOrEqual | Returns true if the current JewishDateMicro object is not chronologically later than the second iJewishDate object
Subtraction(JewishDateMicro, JewishDateMicro) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDateMicro, Int32) | Subtract days from a Jewish date.
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
Remarks
System.Globalization.HebrewCalendar is not available in the .NET Micro Framework, so this class was created for use in MF projects. The calculations and functions used by this class's representation of the Jewish Date are based on open source algorithms. This class does not have a time of day component. The GregorianDate property can not be used to keep track of the time of day as the System.DateTime object is generated anew for each call to the GregorianDate property and it will always have a time of day of 12 AM. IMPORTANT NOTE: for all other projects besides for Micro Framework projects, you should use the JewishCalendar.JewishDate class which being based on System.Globalization.HebrewCalendar, is way more efficient - in benchmark testing we found it to be up to 20% quicker than this class. When using the JewishCalendar dll with the .NET Micro Framework, the following items needs to be removed before compiling: 1. The entire file "JewishDate.cs" 2. The following line in "Utils.cs": public static HebrewCalendar HebrewCalendar = new HebrewCalendar(); 3. The following line in "Utils.cs": HebrewCultureInfo.DateTimeFormat.Calendar = HebrewCalendar;
See Also

Reference

JewishCalendar Namespace


JewishDateMicro Constructor

JewishDateMicro Constructor
Overload List
 | Name | Description
Public method | JewishDateMicro | Empty constructor. Sets the date to the current system date.
Public method | JewishDateMicro(DateTime) | Creates a Jewish date that corresponds to the given Gregorian date
Public method | JewishDateMicro(Int32) | Creates a Hebrew date from the "absolute date". In other words, the Hebrew date on the day that is the given number of days after/before December 31st, 1 BCE
Public method | JewishDateMicro(Location) | Get the current Jewish date in the given location. Cut-off time is sunset.
Public method | JewishDateMicro(DateTime, Location) | Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.
Public method | JewishDateMicro(Int32, Int32, Int32) | Creates a new JewishDate with the specified Hebrew year, month and day
Public method | JewishDateMicro(Int32, Int32, Int32, Int32) | Creates a new JewishDate with the specified Hebrew year, month, day and absolute day. This is the quickest constructor as it does no calculations at all. Caution: If the absolute day doesn't correctly match the given year/month/day, weird things will happen.
Top
See Also

Reference

JewishDateMicro Class


JewishDateMicro Constructor

JewishDateMicro Constructor
Empty constructor. Sets the date to the current system date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro()
Public Sub New
public:
JewishDateMicro()
new : unit -> JewishDateMicro
JewishCalendar.JewishDateMicro = function();
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (DateTime)

JewishDateMicro Constructor (DateTime)
Creates a Jewish date that corresponds to the given Gregorian date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    DateTime date
)
Public Sub New (
    date As DateTime
)
public:
JewishDateMicro(
    DateTime date
)
new :
        date : DateTime -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(date);

Parameters

date
Type: SystemDateTime
The Gregorian date from which to create the Jewish Date
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (Int32)

JewishDateMicro Constructor (Int32)
Creates a Hebrew date from the "absolute date". In other words, the Hebrew date on the day that is the given number of days after/before December 31st, 1 BCE

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    int absoluteDate
)
Public Sub New (
    absoluteDate As Integer
)
public:
JewishDateMicro(
    int absoluteDate
)
new :
        absoluteDate : int -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(absoluteDate);

Parameters

absoluteDate
Type: SystemInt32
The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (Location)

JewishDateMicro Constructor (Location)
Get the current Jewish date in the given location. Cut-off time is sunset.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    Location location
)
Public Sub New (
    location As Location
)
public:
JewishDateMicro(
    Location^ location
)
new :
        location : Location -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(location);

Parameters

location
Type: JewishCalendarLocation
The location. This will be used to determine the time of sunset.
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (DateTime, Location)

JewishDateMicro Constructor (DateTime, Location)
Creates a Jewish date that corresponds to the given Gregorian date in the given location. Cut-off time is sunset.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    DateTime date,
    Location location
)
Public Sub New (
    date As DateTime,
    location As Location
)
public:
JewishDateMicro(
    DateTime date,
    Location^ location
)
new :
        date : DateTime *
        location : Location -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(date, location);

Parameters

date
Type: SystemDateTime
The Gregorian date from which to create the Jewish Date
location
Type: JewishCalendarLocation
The location. This will be used to determine the time of sunset.
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (Int32, Int32, Int32)

JewishDateMicro Constructor (Int32, Int32, Int32)
Creates a new JewishDate with the specified Hebrew year, month and day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    int year,
    int month,
    int day
)
Public Sub New (
    year As Integer,
    month As Integer,
    day As Integer
)
public:
JewishDateMicro(
    int year,
    int month,
    int day
)
new :
        year : int *
        month : int *
        day : int -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(year, month, day);

Parameters

year
Type: SystemInt32
The year - counted from the creation of the world
month
Type: SystemInt32
The Jewish month. As it is in the Torah, Nissan is 1.
day
Type: SystemInt32
The day of the month
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Constructor (Int32, Int32, Int32, Int32)

JewishDateMicro Constructor (Int32, Int32, Int32, Int32)
Creates a new JewishDate with the specified Hebrew year, month, day and absolute day. This is the quickest constructor as it does no calculations at all. Caution: If the absolute day doesn't correctly match the given year/month/day, weird things will happen.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro(
    int year,
    int month,
    int day,
    int absoluteDay
)
Public Sub New (
    year As Integer,
    month As Integer,
    day As Integer,
    absoluteDay As Integer
)
public:
JewishDateMicro(
    int year,
    int month,
    int day,
    int absoluteDay
)
new :
        year : int *
        month : int *
        day : int *
        absoluteDay : int -> JewishDateMicro
JewishCalendar.JewishDateMicro = function(year, month, day, absoluteDay);

Parameters

year
Type: SystemInt32
The year - counted from the creation of the world
month
Type: SystemInt32
The Jewish month. As it is in the Torah, Nissan is 1.
day
Type: SystemInt32
The day of the month
absoluteDay
Type: SystemInt32
The "absolute day"
See Also

Reference

JewishDateMicro Class
JewishDateMicro Overload


JewishDateMicro Properties

JewishDateMicro Properties

The JewishDateMicro type exposes the following members.

Properties
 | Name | Description
Public property | AbsoluteDate | The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.
Public property | Day | The Day in the month for this Jewish Date. NOTE: Not always correct; from nightfall until midnight should really be the next Jewish day.
Public property | DayInWeek | The index of the day of the week for this Jewish Date. Sunday is 0.
Public property | DayOfWeek | The day of the week for this Jewish Date (from Midnight to Midnight)
Public property | GregorianDate | Get the Gregorian Date for the current Hebrew Date
Public property | Month | The Jewish Month. As in the Torah, Nissan is month 1
Public property | MonthName | The name of the current Jewish Month (in English)
Public property | Year | The number of years since creation
Top
See Also

Reference

JewishDateMicro Class


JewishDateMicro.AbsoluteDate Property

JewishDateMicroAbsoluteDate Property
The number of days elapsed since the theoretical Gregorian date Sunday, December 31, 1 BCE. Since there is no year 0 in the calendar, the year following 1 BCE is 1 CE. So, the Gregorian date January 1, 1 CE is absolute date number 1.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int AbsoluteDate { get; private set; }
Public Property AbsoluteDate As Integer
    Get
    Private Set
public:
virtual property int AbsoluteDate {
    int get () sealed;
    private: void set (int value) sealed;
}
abstract AbsoluteDate : int with get, private set
override AbsoluteDate : int with get, private set
function get_AbsoluteDate();
function set_AbsoluteDate(value);

Property Value

Type: Int32

Implements

IJewishDateAbsoluteDate
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Day Property

JewishDateMicroDay Property
The Day in the month for this Jewish Date. NOTE: Not always correct; from nightfall until midnight should really be the next Jewish day.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Day { get; private set; }
Public Property Day As Integer
    Get
    Private Set
public:
virtual property int Day {
    int get () sealed;
    private: void set (int value) sealed;
}
abstract Day : int with get, private set
override Day : int with get, private set
function get_Day();
function set_Day(value);

Property Value

Type: Int32

Implements

IJewishDateDay
See Also

Reference

JewishDateMicro Class


JewishDateMicro.DayInWeek Property

JewishDateMicroDayInWeek Property
The index of the day of the week for this Jewish Date. Sunday is 0.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int DayInWeek { get; }
Public ReadOnly Property DayInWeek As Integer
    Get
public:
property int DayInWeek {
    int get ();
}
member DayInWeek : int with get

function get_DayInWeek();

Property Value

Type: Int32
See Also

Reference

JewishDateMicro Class


JewishDateMicro.DayOfWeek Property

JewishDateMicroDayOfWeek Property
The day of the week for this Jewish Date (from Midnight to Midnight)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DayOfWeek DayOfWeek { get; }
Public ReadOnly Property DayOfWeek As DayOfWeek
    Get
public:
virtual property DayOfWeek DayOfWeek {
    DayOfWeek get () sealed;
}
abstract DayOfWeek : DayOfWeek with get
override DayOfWeek : DayOfWeek with get
function get_DayOfWeek();

Property Value

Type: DayOfWeek

Implements

IJewishDateDayOfWeek
See Also

Reference

JewishDateMicro Class


JewishDateMicro.GregorianDate Property

JewishDateMicroGregorianDate Property
Get the Gregorian Date for the current Hebrew Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DateTime GregorianDate { get; set; }
Public Property GregorianDate As DateTime
    Get
    Set
public:
virtual property DateTime GregorianDate {
    DateTime get () sealed;
    void set (DateTime value) sealed;
}
abstract GregorianDate : DateTime with get, set
override GregorianDate : DateTime with get, set
function get_GregorianDate();
function set_GregorianDate(value);

Return Value

Type: DateTime

Implements

IJewishDateGregorianDate
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Month Property

JewishDateMicroMonth Property
The Jewish Month. As in the Torah, Nissan is month 1

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Month { get; private set; }
Public Property Month As Integer
    Get
    Private Set
public:
virtual property int Month {
    int get () sealed;
    private: void set (int value) sealed;
}
abstract Month : int with get, private set
override Month : int with get, private set
function get_Month();
function set_Month(value);

Property Value

Type: Int32

Implements

IJewishDateMonth
See Also

Reference

JewishDateMicro Class


JewishDateMicro.MonthName Property

JewishDateMicroMonthName Property
The name of the current Jewish Month (in English)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string MonthName { get; }
Public ReadOnly Property MonthName As String
    Get
public:
virtual property String^ MonthName {
    String^ get () sealed;
}
abstract MonthName : string with get
override MonthName : string with get
function get_MonthName();

Property Value

Type: String

Implements

IJewishDateMonthName
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Year Property

JewishDateMicroYear Property
The number of years since creation

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Year { get; private set; }
Public Property Year As Integer
    Get
    Private Set
public:
virtual property int Year {
    int get () sealed;
    private: void set (int value) sealed;
}
abstract Year : int with get, private set
override Year : int with get, private set
function get_Year();
function set_Year(value);

Property Value

Type: Int32

Implements

IJewishDateYear
See Also

Reference

JewishDateMicro Class


JewishDateMicro Methods

JewishDateMicro Methods

The JewishDateMicro type exposes the following members.

Methods
 | Name | Description
Public method | AddMonths | Adds the given number of months to the current date and returns the new Jewish Date
Public method | AddYears | Adds the given number of years to the current date and returns the new Jewish Date
Public method | DateDiffMonth | Gets the difference in months between two JewishDates. If the second date is before this one, the number will be negative.
Public method | Equals | Returns true if both objects have the same day, month and year. You can also use the == operator or the extension method IsSameDate(iJewishDate js) for the same purpose. (Overrides ObjectEquals(Object).)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetDayOfOmer | Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned
Public method | GetHashCode | Returns the HashCode for this instance (Overrides ObjectGetHashCode.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Private method | SetFromAbsoluteDate | Sets the current Jewish date to the date represented by the given "Absolute Date" - which is the number of days after/before December 31st, 1 BCE. The logic here was translated from the C code - which in turn were translated from the Lisp code in ''Calendrical Calculations'' by Nachum Dershowitz and Edward M. Reingold in Software---Practice & Experience, vol. 20, no. 9 (September, 1990), pp. 899--928.
Public method | ToLongDateString | Returns the Jewish date in the format: The 14th day of Adar, 5775
Public method | ToLongDateStringHeb | Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה
Public method | ToShortDateString | Returns the Jewish date in the format: Adar 14, 5775
Public method | ToShortDateStringHeb | Returns the Jewish date in the format: כ"ו אלול תשע"ה
Public method | ToString | Returns the Jewish date in the format: Adar 14, 5775 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Public Extension Method | IsSameDate | Compares this Jewish Date to another one to see if they both represent the same Jewish calendar date. (Defined by JewishDateCalculations.)
Top
See Also

Reference

JewishDateMicro Class


JewishDateMicro.AddMonths Method

JewishDateMicroAddMonths Method
Adds the given number of months to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public IJewishDate AddMonths(
    int months
)
Public Function AddMonths (
    months As Integer
) As IJewishDate
public:
virtual IJewishDate^ AddMonths(
    int months
) sealed
abstract AddMonths :
        months : int -> IJewishDate
override AddMonths :
        months : int -> IJewishDate
function AddMonths(months);

Parameters

months
Type: SystemInt32

[Missing <param name="months"/> documentation for "M:JewishCalendar.JewishDateMicro.AddMonths(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.AddMonths(System.Int32)"]

Implements

IJewishDateAddMonths(Int32)
See Also

Reference

JewishDateMicro Class


JewishDateMicro.AddYears Method

JewishDateMicroAddYears Method
Adds the given number of years to the current date and returns the new Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public IJewishDate AddYears(
    int years
)
Public Function AddYears (
    years As Integer
) As IJewishDate
public:
virtual IJewishDate^ AddYears(
    int years
) sealed
abstract AddYears :
        years : int -> IJewishDate
override AddYears :
        years : int -> IJewishDate
function AddYears(years);

Parameters

years
Type: SystemInt32

[Missing <param name="years"/> documentation for "M:JewishCalendar.JewishDateMicro.AddYears(System.Int32)"]

Return Value

Type: IJewishDate

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.AddYears(System.Int32)"]

Implements

IJewishDateAddYears(Int32)
Remarks
If the current month is Adar Sheini and the new year is not a leap year, the month is set to Adar. If the current Day is the 30th of Cheshvan or Kislev and in the new year that month only has 29 days, the day is set to the 1st of the following month.
See Also

Reference

JewishDateMicro Class


JewishDateMicro.DateDiffMonth Method

JewishDateMicroDateDiffMonth Method
Gets the difference in months between two JewishDates. If the second date is before this one, the number will be negative.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int DateDiffMonth(
    IJewishDate jd
)
Public Function DateDiffMonth (
    jd As IJewishDate
) As Integer
public:
virtual int DateDiffMonth(
    IJewishDate^ jd
) sealed
abstract DateDiffMonth :
        jd : IJewishDate -> int
override DateDiffMonth :
        jd : IJewishDate -> int
function DateDiffMonth(jd);

Parameters

jd
Type: JewishCalendarIJewishDate

[Missing <param name="jd"/> documentation for "M:JewishCalendar.JewishDateMicro.DateDiffMonth(JewishCalendar.IJewishDate)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.DateDiffMonth(JewishCalendar.IJewishDate)"]

Implements

IJewishDateDateDiffMonth(IJewishDate)
Remarks
Ignores Day part. For example, from 29 Kislev to 1 Teves will return 1 even though they are only a day or two apart
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Equals Method

JewishDateMicroEquals Method
Returns true if both objects have the same day, month and year. You can also use the == operator or the extension method IsSameDate(iJewishDate js) for the same purpose.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override bool Equals(
    Object jd2
)
Public Overrides Function Equals (
    jd2 As Object
) As Boolean
public:
virtual bool Equals(
    Object^ jd2
) override
abstract Equals :
        jd2 : Object -> bool
override Equals :
        jd2 : Object -> bool
function Equals(jd2);

Parameters

jd2
Type: SystemObject

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.Equals(System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.Equals(System.Object)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.GetDayOfOmer Method

JewishDateMicroGetDayOfOmer Method
Returns the day of the Omer for the given Jewish date. If the given day is not during Sefirah, 0 is returned

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int GetDayOfOmer()
Public Function GetDayOfOmer As Integer
public:
virtual int GetDayOfOmer() sealed
abstract GetDayOfOmer : unit -> int
override GetDayOfOmer : unit -> int
function GetDayOfOmer();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.GetDayOfOmer"]

Implements

IJewishDateGetDayOfOmer
See Also

Reference

JewishDateMicro Class


JewishDateMicro.GetHashCode Method

JewishDateMicroGetHashCode Method
Returns the HashCode for this instance

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int
function GetHashCode();

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.GetHashCode"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.SetFromAbsoluteDate Method

JewishDateMicroSetFromAbsoluteDate Method
Sets the current Jewish date to the date represented by the given "Absolute Date" - which is the number of days after/before December 31st, 1 BCE. The logic here was translated from the C code - which in turn were translated from the Lisp code in ''Calendrical Calculations'' by Nachum Dershowitz and Edward M. Reingold in Software---Practice & Experience, vol. 20, no. 9 (September, 1990), pp. 899--928.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private void SetFromAbsoluteDate(
    int absoluteDate
)
Private Sub SetFromAbsoluteDate (
    absoluteDate As Integer
)
private:
void SetFromAbsoluteDate(
    int absoluteDate
)
private member SetFromAbsoluteDate :
        absoluteDate : int -> unit

function SetFromAbsoluteDate(absoluteDate);

Parameters

absoluteDate
Type: SystemInt32

[Missing <param name="absoluteDate"/> documentation for "M:JewishCalendar.JewishDateMicro.SetFromAbsoluteDate(System.Int32)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.ToLongDateString Method

JewishDateMicroToLongDateString Method
Returns the Jewish date in the format: The 14th day of Adar, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToLongDateString()
Public Function ToLongDateString As String
public:
virtual String^ ToLongDateString() sealed
abstract ToLongDateString : unit -> string
override ToLongDateString : unit -> string
function ToLongDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.ToLongDateString"]

Implements

IJewishDateToLongDateString
See Also

Reference

JewishDateMicro Class


JewishDateMicro.ToLongDateStringHeb Method

JewishDateMicroToLongDateStringHeb Method
Returns the Jewish date in the format: יום חמישי כ"ט תשרי תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToLongDateStringHeb()
Public Function ToLongDateStringHeb As String
public:
virtual String^ ToLongDateStringHeb() sealed
abstract ToLongDateStringHeb : unit -> string
override ToLongDateStringHeb : unit -> string
function ToLongDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.ToLongDateStringHeb"]

Implements

IJewishDateToLongDateStringHeb
See Also

Reference

JewishDateMicro Class


JewishDateMicro.ToShortDateString Method

JewishDateMicroToShortDateString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToShortDateString()
Public Function ToShortDateString As String
public:
virtual String^ ToShortDateString() sealed
abstract ToShortDateString : unit -> string
override ToShortDateString : unit -> string
function ToShortDateString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.ToShortDateString"]

Implements

IJewishDateToShortDateString
See Also

Reference

JewishDateMicro Class


JewishDateMicro.ToShortDateStringHeb Method

JewishDateMicroToShortDateStringHeb Method
Returns the Jewish date in the format: כ"ו אלול תשע"ה

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToShortDateStringHeb()
Public Function ToShortDateStringHeb As String
public:
virtual String^ ToShortDateStringHeb() sealed
abstract ToShortDateStringHeb : unit -> string
override ToShortDateStringHeb : unit -> string
function ToShortDateStringHeb();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.ToShortDateStringHeb"]

Implements

IJewishDateToShortDateStringHeb
See Also

Reference

JewishDateMicro Class


JewishDateMicro.ToString Method

JewishDateMicroToString Method
Returns the Jewish date in the format: Adar 14, 5775

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.ToString"]

Implements

IJewishDateToString
See Also

Reference

JewishDateMicro Class


JewishDateMicro Operators

JewishDateMicro Operators

The JewishDateMicro type exposes the following members.

Operators
Name | Description
Addition | Add days to a Jewish date.
Equality | Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.
GreaterThan | Returns true if the current JewishDateMicro object is chronologically after the second iJewishDate object
GreaterThanOrEqual | Returns true if the current JewishDateMicro object is not chronologically earlier than the second iJewishDate object
Inequality | Returns true if both objects do not have the same day, month and year
LessThan | Returns true if the current JewishDateMicro object is chronologically before the second iJewishDate object
LessThanOrEqual | Returns true if the current JewishDateMicro object is not chronologically later than the second iJewishDate object
Subtraction(JewishDateMicro, JewishDateMicro) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDateMicro, Int32) | Subtract days from a Jewish date.
Top
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Addition Operator

JewishDateMicroAddition Operator
Add days to a Jewish date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDateMicro operator +(
    JewishDateMicro hd,
    int days
)
Public Shared Operator + (
    hd As JewishDateMicro,
    days As Integer
) As JewishDateMicro
public:
static JewishDateMicro^ operator +(
    JewishDateMicro^ hd,
    int days
)
static let inline (+)
        hd : JewishDateMicro *
        days : int  : JewishDateMicro
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDateMicro

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Addition(JewishCalendar.JewishDateMicro,System.Int32)"]

days
Type: SystemInt32

[Missing <param name="days"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Addition(JewishCalendar.JewishDateMicro,System.Int32)"]

Return Value

Type: JewishDateMicro

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_Addition(JewishCalendar.JewishDateMicro,System.Int32)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.Equality Operator

JewishDateMicroEquality Operator
Returns true if both objects have the same day, month and year. You can also use the Equals function or the extension method IsSameDate(iJewishDate js) for the same purpose.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator ==(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator = (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator ==(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (=)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Equality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Equality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_Equality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.GreaterThan Operator

JewishDateMicroGreaterThan Operator
Returns true if the current JewishDateMicro object is chronologically after the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator > (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator >(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (>)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.GreaterThanOrEqual Operator

JewishDateMicroGreaterThanOrEqual Operator
Returns true if the current JewishDateMicro object is not chronologically earlier than the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator >=(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator >= (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator >=(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (>=)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_GreaterThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.Inequality Operator

JewishDateMicroInequality Operator
Returns true if both objects do not have the same day, month and year

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator !=(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator <> (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator !=(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (<>)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Inequality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Inequality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_Inequality(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.LessThan Operator

JewishDateMicroLessThan Operator
Returns true if the current JewishDateMicro object is chronologically before the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator < (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator <(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (<)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThan(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.LessThanOrEqual Operator

JewishDateMicroLessThanOrEqual Operator
Returns true if the current JewishDateMicro object is not chronologically later than the second iJewishDate object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool operator <=(
    JewishDateMicro jd1,
    IJewishDate jd2
)
Public Shared Operator <= (
    jd1 As JewishDateMicro,
    jd2 As IJewishDate
) As Boolean
public:
static bool operator <=(
    JewishDateMicro^ jd1,
    IJewishDate^ jd2
)
static let inline (<=)
        jd1 : JewishDateMicro *
        jd2 : IJewishDate  : bool
JavaScript does not support overloaded operators.

Parameters

jd1
Type: JewishCalendarJewishDateMicro

[Missing <param name="jd1"/> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

jd2
Type: JewishCalendarIJewishDate

[Missing <param name="jd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_LessThanOrEqual(JewishCalendar.JewishDateMicro,JewishCalendar.IJewishDate)"]

See Also

Reference

JewishDateMicro Class


JewishDateMicro.Subtraction Operator

JewishDateMicroSubtraction Operator
Overload List
Name | Description
Subtraction(JewishDateMicro, JewishDateMicro) | Gets the difference in days between two Jewish dates.
Subtraction(JewishDateMicro, Int32) | Subtract days from a Jewish date.
Top
See Also

Reference

JewishDateMicro Class


JewishDateMicro.Subtraction Operator (JewishDateMicro, JewishDateMicro)

JewishDateMicroSubtraction Operator (JewishDateMicro, JewishDateMicro)
Gets the difference in days between two Jewish dates.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int operator -(
    JewishDateMicro hd,
    JewishDateMicro hd2
)
Public Shared Operator - (
    hd As JewishDateMicro,
    hd2 As JewishDateMicro
) As Integer
public:
static int operator -(
    JewishDateMicro^ hd,
    JewishDateMicro^ hd2
)
static let inline (-)
        hd : JewishDateMicro *
        hd2 : JewishDateMicro  : int
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDateMicro

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,JewishCalendar.JewishDateMicro)"]

hd2
Type: JewishCalendarJewishDateMicro

[Missing <param name="hd2"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,JewishCalendar.JewishDateMicro)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,JewishCalendar.JewishDateMicro)"]

See Also

Reference

JewishDateMicro Class
Subtraction Overload


JewishDateMicro.Subtraction Operator (JewishDateMicro, Int32)

JewishDateMicroSubtraction Operator (JewishDateMicro, Int32)
Subtract days from a Jewish date.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static JewishDateMicro operator -(
    JewishDateMicro hd,
    int days
)
Public Shared Operator - (
    hd As JewishDateMicro,
    days As Integer
) As JewishDateMicro
public:
static JewishDateMicro^ operator -(
    JewishDateMicro^ hd,
    int days
)
static let inline (-)
        hd : JewishDateMicro *
        days : int  : JewishDateMicro
JavaScript does not support overloaded operators.

Parameters

hd
Type: JewishCalendarJewishDateMicro

[Missing <param name="hd"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,System.Int32)"]

days
Type: SystemInt32

[Missing <param name="days"/> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,System.Int32)"]

Return Value

Type: JewishDateMicro

[Missing <returns> documentation for "M:JewishCalendar.JewishDateMicro.op_Subtraction(JewishCalendar.JewishDateMicro,System.Int32)"]

See Also

Reference

JewishDateMicro Class
Subtraction Overload


Location Class

Location Class
Represents a place or location. Used for calculating the zmanim.
Inheritance Hierarchy
SystemObject
JewishCalendarLocation

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Location
Public Class Location
public ref class Location
type Location =  class end
JewishCalendar.Location = function();

Type.createClass(
    'JewishCalendar.Location');

The Location type exposes the following members.

Constructors
 | Name | Description
Public method | Location | Empty constructor
Public method | Location(String, Int32, Double, Double) | Create a new location.
Top
Properties
 | Name | Description
Public property | CandleLighting | Number of minutes before sunset is candle lighting. The default for this is, in Israel 30 minutes and in Chutz La'aretz 18 minutes.
Public property | Elevation | Elevation of this location in meters
Public property | IsInIsrael | Is this location in Israel?
Public property | LatitudeDegrees | Number of latitude degrees
Public property | LatitudeMinutes | Number of latitude minutes
Public property | LatitudeType | Is this place above or below the equator?
Public property | LongitudeDegrees | Number of longitude degrees
Public property | LongitudeMinutes | Number of longitude minutes
Public property | LongitudeType | Is this east or West of Greenwich England
Public property | Name | The english name for this place
Public property | NameHebrew | The name of this place in Hebrew
Public property | TimeZone | Time zone in relation to GMT
Public property | TimeZoneInfo | Needed for figuring out date of transition to DST.
Public property | TimeZoneName | Needed for figuring out date of transition to DST.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of this Location in English. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Location Constructor

Location Constructor
Overload List
 | Name | Description
Public method | Location | Empty constructor
Public method | Location(String, Int32, Double, Double) | Create a new location.
Top
See Also

Reference

Location Class


Location Constructor

Location Constructor
Empty constructor

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Location()
Public Sub New
public:
Location()
new : unit -> Location
JewishCalendar.Location = function();
See Also

Reference

Location Class
Location Overload


Location Constructor (String, Int32, Double, Double)

Location Constructor (String, Int32, Double, Double)
Create a new location.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Location(
    string name,
    int timeZone,
    double latitude,
    double longitute
)
Public Sub New (
    name As String,
    timeZone As Integer,
    latitude As Double,
    longitute As Double
)
public:
Location(
    String^ name,
    int timeZone,
    double latitude,
    double longitute
)
new :
        name : string *
        timeZone : int *
        latitude : float *
        longitute : float -> Location
JewishCalendar.Location = function(name, timeZone, latitude, longitute);

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:JewishCalendar.Location.#ctor(System.String,System.Int32,System.Double,System.Double)"]

timeZone
Type: SystemInt32

[Missing <param name="timeZone"/> documentation for "M:JewishCalendar.Location.#ctor(System.String,System.Int32,System.Double,System.Double)"]

latitude
Type: SystemDouble

[Missing <param name="latitude"/> documentation for "M:JewishCalendar.Location.#ctor(System.String,System.Int32,System.Double,System.Double)"]

longitute
Type: SystemDouble

[Missing <param name="longitute"/> documentation for "M:JewishCalendar.Location.#ctor(System.String,System.Int32,System.Double,System.Double)"]

See Also

Reference

Location Class
Location Overload


Location Properties

Location Properties

The Location type exposes the following members.

Properties
 | Name | Description
Public property | CandleLighting | Number of minutes before sunset is candle lighting. The default for this is, in Israel 30 minutes and in Chutz La'aretz 18 minutes.
Public property | Elevation | Elevation of this location in meters
Public property | IsInIsrael | Is this location in Israel?
Public property | LatitudeDegrees | Number of latitude degrees
Public property | LatitudeMinutes | Number of latitude minutes
Public property | LatitudeType | Is this place above or below the equator?
Public property | LongitudeDegrees | Number of longitude degrees
Public property | LongitudeMinutes | Number of longitude minutes
Public property | LongitudeType | Is this east or West of Greenwich England
Public property | Name | The english name for this place
Public property | NameHebrew | The name of this place in Hebrew
Public property | TimeZone | Time zone in relation to GMT
Public property | TimeZoneInfo | Needed for figuring out date of transition to DST.
Public property | TimeZoneName | Needed for figuring out date of transition to DST.
Top
See Also

Reference

Location Class


Location.CandleLighting Property

LocationCandleLighting Property
Number of minutes before sunset is candle lighting. The default for this is, in Israel 30 minutes and in Chutz La'aretz 18 minutes.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int CandleLighting { get; set; }
Public Property CandleLighting As Integer
    Get
    Set
public:
property int CandleLighting {
    int get ();
    void set (int value);
}
member CandleLighting : int with get, set

function get_CandleLighting();
function set_CandleLighting(value);

Property Value

Type: Int32
See Also

Reference

Location Class


Location.Elevation Property

LocationElevation Property
Elevation of this location in meters

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Elevation { get; set; }
Public Property Elevation As Integer
    Get
    Set
public:
property int Elevation {
    int get ();
    void set (int value);
}
member Elevation : int with get, set

function get_Elevation();
function set_Elevation(value);

Property Value

Type: Int32
See Also

Reference

Location Class


Location.IsInIsrael Property

LocationIsInIsrael Property
Is this location in Israel?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public bool IsInIsrael { get; set; }
Public Property IsInIsrael As Boolean
    Get
    Set
public:
property bool IsInIsrael {
    bool get ();
    void set (bool value);
}
member IsInIsrael : bool with get, set

function get_IsInIsrael();
function set_IsInIsrael(value);

Property Value

Type: Boolean
See Also

Reference

Location Class


Location.LatitudeDegrees Property

LocationLatitudeDegrees Property
Number of latitude degrees

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int LatitudeDegrees { get; set; }
Public Property LatitudeDegrees As Integer
    Get
    Set
public:
property int LatitudeDegrees {
    int get ();
    void set (int value);
}
member LatitudeDegrees : int with get, set

function get_LatitudeDegrees();
function set_LatitudeDegrees(value);

Property Value

Type: Int32
See Also

Reference

Location Class


Location.LatitudeMinutes Property

LocationLatitudeMinutes Property
Number of latitude minutes

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public double LatitudeMinutes { get; set; }
Public Property LatitudeMinutes As Double
    Get
    Set
public:
property double LatitudeMinutes {
    double get ();
    void set (double value);
}
member LatitudeMinutes : float with get, set

function get_LatitudeMinutes();
function set_LatitudeMinutes(value);

Property Value

Type: Double
See Also

Reference

Location Class


Location.LatitudeType Property

LocationLatitudeType Property
Is this place above or below the equator?

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public LocationLatitudeTypes LatitudeType { get; set; }
Public Property LatitudeType As LocationLatitudeTypes
    Get
    Set
public:
property LocationLatitudeTypes LatitudeType {
    LocationLatitudeTypes get ();
    void set (LocationLatitudeTypes value);
}
member LatitudeType : LocationLatitudeTypes with get, set

function get_LatitudeType();
function set_LatitudeType(value);

Property Value

Type: LocationLatitudeTypes
See Also

Reference

Location Class


Location.LongitudeDegrees Property

LocationLongitudeDegrees Property
Number of longitude degrees

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int LongitudeDegrees { get; set; }
Public Property LongitudeDegrees As Integer
    Get
    Set
public:
property int LongitudeDegrees {
    int get ();
    void set (int value);
}
member LongitudeDegrees : int with get, set

function get_LongitudeDegrees();
function set_LongitudeDegrees(value);

Property Value

Type: Int32
See Also

Reference

Location Class


Location.LongitudeMinutes Property

LocationLongitudeMinutes Property
Number of longitude minutes

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public double LongitudeMinutes { get; set; }
Public Property LongitudeMinutes As Double
    Get
    Set
public:
property double LongitudeMinutes {
    double get ();
    void set (double value);
}
member LongitudeMinutes : float with get, set

function get_LongitudeMinutes();
function set_LongitudeMinutes(value);

Property Value

Type: Double
See Also

Reference

Location Class


Location.LongitudeType Property

LocationLongitudeType Property
Is this east or West of Greenwich England

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public LocationLongitudeTypes LongitudeType { get; set; }
Public Property LongitudeType As LocationLongitudeTypes
    Get
    Set
public:
property LocationLongitudeTypes LongitudeType {
    LocationLongitudeTypes get ();
    void set (LocationLongitudeTypes value);
}
member LongitudeType : LocationLongitudeTypes with get, set

function get_LongitudeType();
function set_LongitudeType(value);

Property Value

Type: LocationLongitudeTypes
See Also

Reference

Location Class


Location.Name Property

LocationName Property
The english name for this place

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

function get_Name();
function set_Name(value);

Property Value

Type: String
See Also

Reference

Location Class


Location.NameHebrew Property

LocationNameHebrew Property
The name of this place in Hebrew

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string NameHebrew { get; set; }
Public Property NameHebrew As String
    Get
    Set
public:
property String^ NameHebrew {
    String^ get ();
    void set (String^ value);
}
member NameHebrew : string with get, set

function get_NameHebrew();
function set_NameHebrew(value);

Property Value

Type: String
See Also

Reference

Location Class


Location.TimeZone Property

LocationTimeZone Property
Time zone in relation to GMT

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int TimeZone { get; set; }
Public Property TimeZone As Integer
    Get
    Set
public:
property int TimeZone {
    int get ();
    void set (int value);
}
member TimeZone : int with get, set

function get_TimeZone();
function set_TimeZone(value);

Property Value

Type: Int32
See Also

Reference

Location Class


Location.TimeZoneInfo Property

LocationTimeZoneInfo Property
Needed for figuring out date of transition to DST.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public TimeZoneInfo TimeZoneInfo { get; set; }
Public Property TimeZoneInfo As TimeZoneInfo
    Get
    Set
public:
property TimeZoneInfo^ TimeZoneInfo {
    TimeZoneInfo^ get ();
    void set (TimeZoneInfo^ value);
}
member TimeZoneInfo : TimeZoneInfo with get, set

function get_TimeZoneInfo();
function set_TimeZoneInfo(value);

Property Value

Type: TimeZoneInfo
See Also

Reference

Location Class


Location.TimeZoneName Property

LocationTimeZoneName Property
Needed for figuring out date of transition to DST.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string TimeZoneName { set; }
Public WriteOnly Property TimeZoneName As String
    Set
public:
property String^ TimeZoneName {
    void set (String^ value);
}
member TimeZoneName : string with set

function set_TimeZoneName(value);

Property Value

Type: String
See Also

Reference

Location Class


Location Methods

Location Methods

The Location type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of this Location in English. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Location Class


Location.ToString Method

LocationToString Method
Returns the name of this Location in English.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Location.ToString"]

See Also

Reference

Location Class


Location.LatitudeTypes Enumeration

LocationLatitudeTypes Enumeration
Latitude type

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public enum LatitudeTypes
Public Enumeration LatitudeTypes
public enum class LatitudeTypes
type LatitudeTypes
JewishCalendar.LatitudeTypes = function();
JewishCalendar.LatitudeTypes.createEnum('JewishCalendar.LatitudeTypes', false);
Members
Member name | Value | Description
North | 0 | North of the equator
South | 1 | South of the equator
See Also

Reference

JewishCalendar Namespace


Location.LongitudeTypes Enumeration

LocationLongitudeTypes Enumeration
Longitude type

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public enum LongitudeTypes
Public Enumeration LongitudeTypes
public enum class LongitudeTypes
type LongitudeTypes
JewishCalendar.LongitudeTypes = function();
JewishCalendar.LongitudeTypes.createEnum('JewishCalendar.LongitudeTypes', false);
Members
Member name | Value | Description
East | 0 | East of Greenwich England
West | 1 | West of Greenwich England
See Also

Reference

JewishCalendar Namespace


Masechta Structure

Masechta Structure
Represents a single Masechta in Shas. This structure is not meant to be instantiated directly. To access the DafYomi, use GetDafYomi(IJewishDate)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public struct Masechta
Public Structure Masechta
public value class Masechta
[<SealedAttribute>]
type Masechta =  struct end
JavaScript supports the use of structures, but not the declaration of new ones.

The Masechta type exposes the following members.

Constructors
 | Name | Description
Protected method | Masechta | Create a new Masechta
Top
Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Fields
 | Name | Description
Public field | Dappim | The number of dappim in the current masechta
Public field | NameEnglish | The name of the masechta in English
Public field | NameHebrew | The name of the masechta in Hebrew
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Masechta Constructor

Masechta Constructor
Create a new Masechta

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
internal Masechta(
    string eng,
    string heb,
    int dappim
)
Friend Sub New (
    eng As String,
    heb As String,
    dappim As Integer
)
internal:
Masechta(
    String^ eng,
    String^ heb,
    int dappim
)
new :
        eng : string *
        heb : string *
        dappim : int -> Masechta
JewishCalendar.Masechta = function(eng, heb, dappim);

Parameters

eng
Type: SystemString
heb
Type: SystemString
dappim
Type: SystemInt32
See Also

Reference

Masechta Structure


Masechta Methods

Masechta Methods

The Masechta type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
Public method | GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Masechta Structure


Masechta Fields

Masechta Fields

The Masechta type exposes the following members.

Fields
 | Name | Description
Public field | Dappim | The number of dappim in the current masechta
Public field | NameEnglish | The name of the masechta in English
Public field | NameHebrew | The name of the masechta in Hebrew
Top
See Also

Reference

Masechta Structure


Masechta.Dappim Field

MasechtaDappim Field
The number of dappim in the current masechta

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Dappim
Public Dappim As Integer
public:
int Dappim
val mutable Dappim: int
var Dappim

Field Value

Type: Int32
See Also

Reference

Masechta Structure


Masechta.NameEnglish Field

MasechtaNameEnglish Field
The name of the masechta in English

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string NameEnglish
Public NameEnglish As String
public:
String^ NameEnglish
val mutable NameEnglish: string
var NameEnglish

Field Value

Type: String
See Also

Reference

Masechta Structure


Masechta.NameHebrew Field

MasechtaNameHebrew Field
The name of the masechta in Hebrew

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string NameHebrew
Public NameHebrew As String
public:
String^ NameHebrew
val mutable NameHebrew: string
var NameHebrew

Field Value

Type: String
See Also

Reference

Masechta Structure


Molad Class

Molad Class
Represents the molad for a single month
Inheritance Hierarchy
SystemObject
JewishCalendarMolad

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Molad
Public Class Molad
public ref class Molad
type Molad =  class end
JewishCalendar.Molad = function();

Type.createClass(
    'JewishCalendar.Molad');

The Molad type exposes the following members.

Constructors
 | Name | Description
Public method | Molad | Initializes a new instance of the Molad class
Top
Properties
 | Name | Description
Public property | Chalakim | Represents the Chalakim (1/1080 of an hour) part of the molad
Public property | JewishDate | The date of the molad
Public property | Time | Represents the time of the molad - not including the chalakim
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetMolad | Returns the molad for the given year and month
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim NOTE: the cutoff time to be considered "night" is 8 PM. To specify another nightfall time (such as the real sunset time), use the function: ToString(HourMinute nightfall) (Overrides ObjectToString.)
Public method | ToString(HourMinute) | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim
Public method | ToStringHeb | Returns the time of the molad as a string in the format: ליל שני 20:33 12 חלקים
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Molad Constructor

Molad Constructor
Initializes a new instance of the Molad class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Molad()
Public Sub New
public:
Molad()
new : unit -> Molad
JewishCalendar.Molad = function();
See Also

Reference

Molad Class


Molad Properties

Molad Properties

The Molad type exposes the following members.

Properties
 | Name | Description
Public property | Chalakim | Represents the Chalakim (1/1080 of an hour) part of the molad
Public property | JewishDate | The date of the molad
Public property | Time | Represents the time of the molad - not including the chalakim
Top
See Also

Reference

Molad Class


Molad.Chalakim Property

MoladChalakim Property
Represents the Chalakim (1/1080 of an hour) part of the molad

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public int Chalakim { get; set; }
Public Property Chalakim As Integer
    Get
    Set
public:
property int Chalakim {
    int get ();
    void set (int value);
}
member Chalakim : int with get, set

function get_Chalakim();
function set_Chalakim(value);

Property Value

Type: Int32
See Also

Reference

Molad Class


Molad.JewishDate Property

MoladJewishDate Property
The date of the molad

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public JewishDateMicro JewishDate { get; set; }
Public Property JewishDate As JewishDateMicro
    Get
    Set
public:
property JewishDateMicro^ JewishDate {
    JewishDateMicro^ get ();
    void set (JewishDateMicro^ value);
}
member JewishDate : JewishDateMicro with get, set

function get_JewishDate();
function set_JewishDate(value);

Property Value

Type: JewishDateMicro
See Also

Reference

Molad Class


Molad.Time Property

MoladTime Property
Represents the time of the molad - not including the chalakim

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public HourMinute Time { get; set; }
Public Property Time As HourMinute
    Get
    Set
public:
property HourMinute Time {
    HourMinute get ();
    void set (HourMinute value);
}
member Time : HourMinute with get, set

function get_Time();
function set_Time(value);

Property Value

Type: HourMinute
See Also

Reference

Molad Class


Molad Methods

Molad Methods

The Molad type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetMolad | Returns the molad for the given year and month
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim NOTE: the cutoff time to be considered "night" is 8 PM. To specify another nightfall time (such as the real sunset time), use the function: ToString(HourMinute nightfall) (Overrides ObjectToString.)
Public method | ToString(HourMinute) | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim
Public method | ToStringHeb | Returns the time of the molad as a string in the format: ליל שני 20:33 12 חלקים
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Molad Class


Molad.GetMolad Method

MoladGetMolad Method
Returns the molad for the given year and month

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static Molad GetMolad(
    int month,
    int year
)
Public Shared Function GetMolad (
    month As Integer,
    year As Integer
) As Molad
public:
static Molad^ GetMolad(
    int month,
    int year
)
static member GetMolad :
        month : int *
        year : int -> Molad

JewishCalendar.Molad.GetMolad = function(month, year);

Parameters

month
Type: SystemInt32

[Missing <param name="month"/> documentation for "M:JewishCalendar.Molad.GetMolad(System.Int32,System.Int32)"]

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.Molad.GetMolad(System.Int32,System.Int32)"]

Return Value

Type: Molad

[Missing <returns> documentation for "M:JewishCalendar.Molad.GetMolad(System.Int32,System.Int32)"]

See Also

Reference

Molad Class


Molad.ToString Method

MoladToString Method
Overload List
 | Name | Description
Public method | ToString | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim NOTE: the cutoff time to be considered "night" is 8 PM. To specify another nightfall time (such as the real sunset time), use the function: ToString(HourMinute nightfall) (Overrides ObjectToString.)
Public method | ToString(HourMinute) | Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim
Top
See Also

Reference

Molad Class


Molad.ToString Method

MoladToString Method
Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim NOTE: the cutoff time to be considered "night" is 8 PM. To specify another nightfall time (such as the real sunset time), use the function: ToString(HourMinute nightfall)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Molad.ToString"]

See Also

Reference

Molad Class
ToString Overload


Molad.ToString Method (HourMinute)

MoladToString Method (HourMinute)
Returns the time of the molad as a string in the format: Monday Night, 8:33 PM and 12 Chalakim

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToString(
    HourMinute nightfall
)
Public Function ToString (
    nightfall As HourMinute
) As String
public:
String^ ToString(
    HourMinute nightfall
)
member ToString :
        nightfall : HourMinute -> string

function ToString(nightfall);

Parameters

nightfall
Type: JewishCalendarHourMinute
Used to determine when to display "Night" or "Motzai Shabbos" etc.

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Molad.ToString(JewishCalendar.HourMinute)"]

See Also

Reference

Molad Class
ToString Overload


Molad.ToStringHeb Method

MoladToStringHeb Method
Returns the time of the molad as a string in the format: ליל שני 20:33 12 חלקים

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string ToStringHeb(
    HourMinute nightfall
)
Public Function ToStringHeb (
    nightfall As HourMinute
) As String
public:
String^ ToStringHeb(
    HourMinute nightfall
)
member ToStringHeb :
        nightfall : HourMinute -> string

function ToStringHeb(nightfall);

Parameters

nightfall
Type: JewishCalendarHourMinute
Used to determine when to display "ליל/יום" or "מוצאי שב"ק" etc.

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Molad.ToStringHeb(JewishCalendar.HourMinute)"]

See Also

Reference

Molad Class


Parsha Class

Parsha Class
Represents a single parsha in the torah. The weekly sedra for any given week contains either one or two parshas.
Inheritance Hierarchy
SystemObject
JewishCalendarParsha

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Parsha
Public Class Parsha
public ref class Parsha
type Parsha =  class end
JewishCalendar.Parsha = function();

Type.createClass(
    'JewishCalendar.Parsha');

The Parsha type exposes the following members.

Constructors
 | Name | Description
Public method | Parsha | Create a new Parsha object
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | nameEng | Name of this parsha in English
Public field | nameHebrew | Name of this parsha in Hebrew
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Parsha Constructor

Parsha Constructor
Create a new Parsha object

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Parsha(
    string eng,
    string heb
)
Public Sub New (
    eng As String,
    heb As String
)
public:
Parsha(
    String^ eng,
    String^ heb
)
new :
        eng : string *
        heb : string -> Parsha
JewishCalendar.Parsha = function(eng, heb);

Parameters

eng
Type: SystemString

[Missing <param name="eng"/> documentation for "M:JewishCalendar.Parsha.#ctor(System.String,System.String)"]

heb
Type: SystemString

[Missing <param name="heb"/> documentation for "M:JewishCalendar.Parsha.#ctor(System.String,System.String)"]

See Also

Reference

Parsha Class


Parsha Methods

Parsha Methods

The Parsha type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Parsha Class


Parsha Fields

Parsha Fields

The Parsha type exposes the following members.

Fields
 | Name | Description
Public field | nameEng | Name of this parsha in English
Public field | nameHebrew | Name of this parsha in Hebrew
Top
See Also

Reference

Parsha Class


Parsha.nameEng Field

ParshanameEng Field
Name of this parsha in English

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string nameEng
Public nameEng As String
public:
String^ nameEng
val mutable nameEng: string
var nameEng

Field Value

Type: String
See Also

Reference

Parsha Class


Parsha.nameHebrew Field

ParshanameHebrew Field
Name of this parsha in Hebrew

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string nameHebrew
Public nameHebrew As String
public:
String^ nameHebrew
val mutable nameHebrew: string
var nameHebrew

Field Value

Type: String
See Also

Reference

Parsha Class


PirkeiAvos Class

PirkeiAvos Class
Gets the Pirkei Avos Perek/Prakim for any given Shabbos in the summer months. The rules are: the Parshiyaos, Nasso, Pinchas and Shoftim start a new cycle and the last two weeks in Ellul get double prakim. The calculations of this class work OK for Eretz Yisroel, but Chu"l seems to be incorrect. The issue is that in Chu"l, Achron Shel Pesach and the second day of Shavuos can both fall out on Shabbos. Sample code to get the Perek for the given Shabbos:
Copy
JewishCalendar.JewishDate jd = new JewishDate(5776, 2, 13);
int[] Prakim = PirkeiAvos.GetPirkeiAvos(jd, true);
string text = String.Join(" and ", prakim.Select(p => p.ToSuffixedString()) +
    (prakim.Length > 1 ? " Prakim" : " Perek");
Inheritance Hierarchy
SystemObject
JewishCalendarPirkeiAvos

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static class PirkeiAvos
Public NotInheritable Class PirkeiAvos
public ref class PirkeiAvos abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PirkeiAvos =  class end
JewishCalendar.PirkeiAvos = function();

Type.createClass(
    'JewishCalendar.PirkeiAvos');

The PirkeiAvos type exposes the following members.

Methods
Name | Description
GetEllulPrakim | Gets the double Prakim for the weeks in Ellul.
GetPirkeiAvos | Returns an array of Perek number/s for the given Jewish Date and location. If the given day does not have Pirkei Avos, an empty array is returned.
GetSinglePerek | Gets the single Perek for a typical Summer Shabbos day.
Top
See Also

Reference

JewishCalendar Namespace


PirkeiAvos Methods

PirkeiAvos Methods

The PirkeiAvos type exposes the following members.

Methods
Name | Description
GetEllulPrakim | Gets the double Prakim for the weeks in Ellul.
GetPirkeiAvos | Returns an array of Perek number/s for the given Jewish Date and location. If the given day does not have Pirkei Avos, an empty array is returned.
GetSinglePerek | Gets the single Perek for a typical Summer Shabbos day.
Top
See Also

Reference

PirkeiAvos Class


PirkeiAvos.GetEllulPrakim Method

PirkeiAvosGetEllulPrakim Method
Gets the double Prakim for the weeks in Ellul.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int[] GetEllulPrakim(
    IJewishDate jDate,
    bool inIsrael
)
Private Shared Function GetEllulPrakim (
    jDate As IJewishDate,
    inIsrael As Boolean
) As Integer()
private:
static array<int>^ GetEllulPrakim(
    IJewishDate^ jDate,
    bool inIsrael
)
private static member GetEllulPrakim :
        jDate : IJewishDate *
        inIsrael : bool -> int[]

JewishCalendar.PirkeiAvos.GetEllulPrakim = function(jDate, inIsrael);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.PirkeiAvos.GetEllulPrakim(JewishCalendar.IJewishDate,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.PirkeiAvos.GetEllulPrakim(JewishCalendar.IJewishDate,System.Boolean)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.PirkeiAvos.GetEllulPrakim(JewishCalendar.IJewishDate,System.Boolean)"]

See Also

Reference

PirkeiAvos Class


PirkeiAvos.GetPirkeiAvos Method

PirkeiAvosGetPirkeiAvos Method
Returns an array of Perek number/s for the given Jewish Date and location. If the given day does not have Pirkei Avos, an empty array is returned.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static int[] GetPirkeiAvos(
    IJewishDate jDate,
    bool inIsrael
)
Public Shared Function GetPirkeiAvos (
    jDate As IJewishDate,
    inIsrael As Boolean
) As Integer()
public:
static array<int>^ GetPirkeiAvos(
    IJewishDate^ jDate,
    bool inIsrael
)
static member GetPirkeiAvos :
        jDate : IJewishDate *
        inIsrael : bool -> int[]

JewishCalendar.PirkeiAvos.GetPirkeiAvos = function(jDate, inIsrael);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.PirkeiAvos.GetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.PirkeiAvos.GetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean)"]

Return Value

Type: Int32
An array of integers representing the Perek/Prakim of the given Shabbos. If the given day does not have Pirkei Avos, an empty array is returned.
See Also

Reference

PirkeiAvos Class


PirkeiAvos.GetSinglePerek Method

PirkeiAvosGetSinglePerek Method
Gets the single Perek for a typical Summer Shabbos day.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetSinglePerek(
    IJewishDate jDate,
    bool inIsrael
)
Private Shared Function GetSinglePerek (
    jDate As IJewishDate,
    inIsrael As Boolean
) As Integer
private:
static int GetSinglePerek(
    IJewishDate^ jDate,
    bool inIsrael
)
private static member GetSinglePerek :
        jDate : IJewishDate *
        inIsrael : bool -> int

JewishCalendar.PirkeiAvos.GetSinglePerek = function(jDate, inIsrael);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.PirkeiAvos.GetSinglePerek(JewishCalendar.IJewishDate,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.PirkeiAvos.GetSinglePerek(JewishCalendar.IJewishDate,System.Boolean)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.PirkeiAvos.GetSinglePerek(JewishCalendar.IJewishDate,System.Boolean)"]

See Also

Reference

PirkeiAvos Class


Sedra Class

Sedra Class
This class should not be instantiated publicly. It is only used internally as a container to hold the data for all the sedras of a single year. To get the sedra for any given date, use the public static function: "GetSedra"
Inheritance Hierarchy
SystemObject
JewishCalendarSedra

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Sedra
Public Class Sedra
public ref class Sedra
type Sedra =  class end
JewishCalendar.Sedra = function();

Type.createClass(
    'JewishCalendar.Sedra');

The Sedra type exposes the following members.

Constructors
 | Name | Description
 | Sedra |
Private method | Sedra | Initializes a new instance of the Sedra class
Top
Properties
 | Name | Description
Private property | _sedraNumWeeks |
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
 | GetDayOnOrBefore |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetSedra | Gets the Parsha/s for the given Jewish date
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


Sedra Constructor

Sedra Constructor
Initializes a new instance of the Sedra class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private Sedra(
    int year,
    bool inIsrael
)
Private Sub New (
    year As Integer,
    inIsrael As Boolean
)
private:
Sedra(
    int year,
    bool inIsrael
)
new :
        year : int *
        inIsrael : bool -> Sedra
JewishCalendar.Sedra = function(year, inIsrael);

Parameters

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.Sedra.#ctor(System.Int32,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Sedra.#ctor(System.Int32,System.Boolean)"]

See Also

Reference

Sedra Class


Sedra Constructor

Sedra Constructor
Initializes the static fields of the Sedra class

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
static Sedra()
Shared Sub New
private:
static Sedra()
new : unit -> Sedra
JewishCalendar.Sedra = function();
See Also

Reference

Sedra Class


Sedra Properties

Sedra Properties
Properties
 | Name | Description
Private property | _sedraNumWeeks |
Top
See Also

Reference

Sedra Class


Sedra._sedraNumWeeks Property

Sedra_sedraNumWeeks Property

[Missing <summary> documentation for "P:JewishCalendar.Sedra._sedraNumWeeks"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private int _sedraNumWeeks { get; }
Private ReadOnly Property _sedraNumWeeks As Integer
    Get
private:
property int _sedraNumWeeks {
    int get ();
}
private member _sedraNumWeeks : int with get

function get__sedraNumWeeks();

Property Value

Type: Int32
See Also

Reference

Sedra Class


Sedra Methods

Sedra Methods

The Sedra type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
 | GetDayOnOrBefore |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetSedra | Gets the Parsha/s for the given Jewish date
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Sedra Class


Sedra.GetDayOnOrBefore Method

SedraGetDayOnOrBefore Method

[Missing <summary> documentation for "M:JewishCalendar.Sedra.GetDayOnOrBefore(System.Int32,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetDayOnOrBefore(
    int day_of_week,
    int date
)
Private Shared Function GetDayOnOrBefore (
    day_of_week As Integer,
    date As Integer
) As Integer
private:
static int GetDayOnOrBefore(
    int day_of_week,
    int date
)
private static member GetDayOnOrBefore :
        day_of_week : int *
        date : int -> int

JewishCalendar.Sedra.GetDayOnOrBefore = function(day_of_week, date);

Parameters

day_of_week
Type: SystemInt32

[Missing <param name="day_of_week"/> documentation for "M:JewishCalendar.Sedra.GetDayOnOrBefore(System.Int32,System.Int32)"]

date
Type: SystemInt32

[Missing <param name="date"/> documentation for "M:JewishCalendar.Sedra.GetDayOnOrBefore(System.Int32,System.Int32)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.Sedra.GetDayOnOrBefore(System.Int32,System.Int32)"]

See Also

Reference

Sedra Class


Sedra.GetSedra Method

SedraGetSedra Method
Gets the Parsha/s for the given Jewish date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static Parsha[] GetSedra(
    IJewishDate date,
    bool inIsrael
)
Public Shared Function GetSedra (
    date As IJewishDate,
    inIsrael As Boolean
) As Parsha()
public:
static array<Parsha^>^ GetSedra(
    IJewishDate^ date,
    bool inIsrael
)
static member GetSedra :
        date : IJewishDate *
        inIsrael : bool -> Parsha[]

JewishCalendar.Sedra.GetSedra = function(date, inIsrael);

Parameters

date
Type: JewishCalendarIJewishDate

[Missing <param name="date"/> documentation for "M:JewishCalendar.Sedra.GetSedra(JewishCalendar.IJewishDate,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Sedra.GetSedra(JewishCalendar.IJewishDate,System.Boolean)"]

Return Value

Type: Parsha

[Missing <returns> documentation for "M:JewishCalendar.Sedra.GetSedra(JewishCalendar.IJewishDate,System.Boolean)"]

See Also

Reference

Sedra Class


Sedra.YearType Enumeration

SedraYearType Enumeration

[Missing <summary> documentation for "T:JewishCalendar.Sedra.YearType"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private enum YearType
Private Enumeration YearType
private enum class YearType
type private YearType
JewishCalendar.YearType = function();
JewishCalendar.YearType.createEnum('JewishCalendar.YearType', false);
Members
Member name | Value | Description
Incomplete | 0 |
Regular | 1 |
Complete | 2 |
See Also

Reference

JewishCalendar Namespace


SpecialDay Class

SpecialDay Class
Represents a single special day
Inheritance Hierarchy
SystemObject
JewishCalendarSpecialDay

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class SpecialDay
Public Class SpecialDay
public ref class SpecialDay
type SpecialDay =  class end
JewishCalendar.SpecialDay = function();

Type.createClass(
    'JewishCalendar.SpecialDay');

The SpecialDay type exposes the following members.

Constructors
 | Name | Description
Public method | SpecialDay(String, String) | Create a new SpecialDay of DayType SpecialDayTypes.Information.
Public method | SpecialDay(String, String, SpecialDayTypes) | Create a new SpecialDay instance.
Top
Properties
 | Name | Description
Public property | DayType | Type of special day. Can have multiple values.
Public property | NameEnglish | Name of this special day in English
Public property | NameHebrew | Name of this special day in Hebrew
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of this special day in English. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

JewishCalendar Namespace


SpecialDay Constructor

SpecialDay Constructor
Overload List
 | Name | Description
Public method | SpecialDay(String, String) | Create a new SpecialDay of DayType SpecialDayTypes.Information.
Public method | SpecialDay(String, String, SpecialDayTypes) | Create a new SpecialDay instance.
Top
See Also

Reference

SpecialDay Class


SpecialDay Constructor (String, String)

SpecialDay Constructor (String, String)
Create a new SpecialDay of DayType SpecialDayTypes.Information.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public SpecialDay(
    string nameEnglish,
    string nameHebrew
)
Public Sub New (
    nameEnglish As String,
    nameHebrew As String
)
public:
SpecialDay(
    String^ nameEnglish,
    String^ nameHebrew
)
new :
        nameEnglish : string *
        nameHebrew : string -> SpecialDay
JewishCalendar.SpecialDay = function(nameEnglish, nameHebrew);

Parameters

nameEnglish
Type: SystemString

[Missing <param name="nameEnglish"/> documentation for "M:JewishCalendar.SpecialDay.#ctor(System.String,System.String)"]

nameHebrew
Type: SystemString

[Missing <param name="nameHebrew"/> documentation for "M:JewishCalendar.SpecialDay.#ctor(System.String,System.String)"]

See Also

Reference

SpecialDay Class
SpecialDay Overload


SpecialDay Constructor (String, String, SpecialDayTypes)

SpecialDay Constructor (String, String, SpecialDayTypes)
Create a new SpecialDay instance.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public SpecialDay(
    string nameEnglish,
    string nameHebrew,
    SpecialDayTypes dayTypes
)
Public Sub New (
    nameEnglish As String,
    nameHebrew As String,
    dayTypes As SpecialDayTypes
)
public:
SpecialDay(
    String^ nameEnglish,
    String^ nameHebrew,
    SpecialDayTypes dayTypes
)
new :
        nameEnglish : string *
        nameHebrew : string *
        dayTypes : SpecialDayTypes -> SpecialDay
JewishCalendar.SpecialDay = function(nameEnglish, nameHebrew, dayTypes);

Parameters

nameEnglish
Type: SystemString

[Missing <param name="nameEnglish"/> documentation for "M:JewishCalendar.SpecialDay.#ctor(System.String,System.String,JewishCalendar.SpecialDayTypes)"]

nameHebrew
Type: SystemString

[Missing <param name="nameHebrew"/> documentation for "M:JewishCalendar.SpecialDay.#ctor(System.String,System.String,JewishCalendar.SpecialDayTypes)"]

dayTypes
Type: JewishCalendarSpecialDayTypes

[Missing <param name="dayTypes"/> documentation for "M:JewishCalendar.SpecialDay.#ctor(System.String,System.String,JewishCalendar.SpecialDayTypes)"]

See Also

Reference

SpecialDay Class
SpecialDay Overload


SpecialDay Properties

SpecialDay Properties

The SpecialDay type exposes the following members.

Properties
 | Name | Description
Public property | DayType | Type of special day. Can have multiple values.
Public property | NameEnglish | Name of this special day in English
Public property | NameHebrew | Name of this special day in Hebrew
Top
See Also

Reference

SpecialDay Class


SpecialDay.DayType Property

SpecialDayDayType Property
Type of special day. Can have multiple values.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public SpecialDayTypes DayType { get; set; }
Public Property DayType As SpecialDayTypes
    Get
    Set
public:
property SpecialDayTypes DayType {
    SpecialDayTypes get ();
    void set (SpecialDayTypes value);
}
member DayType : SpecialDayTypes with get, set

function get_DayType();
function set_DayType(value);

Property Value

Type: SpecialDayTypes
See Also

Reference

SpecialDay Class


SpecialDay.NameEnglish Property

SpecialDayNameEnglish Property
Name of this special day in English

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string NameEnglish { get; set; }
Public Property NameEnglish As String
    Get
    Set
public:
property String^ NameEnglish {
    String^ get ();
    void set (String^ value);
}
member NameEnglish : string with get, set

function get_NameEnglish();
function set_NameEnglish(value);

Property Value

Type: String
See Also

Reference

SpecialDay Class


SpecialDay.NameHebrew Property

SpecialDayNameHebrew Property
Name of this special day in Hebrew

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public string NameHebrew { get; set; }
Public Property NameHebrew As String
    Get
    Set
public:
property String^ NameHebrew {
    String^ get ();
    void set (String^ value);
}
member NameHebrew : string with get, set

function get_NameHebrew();
function set_NameHebrew(value);

Property Value

Type: String
See Also

Reference

SpecialDay Class


SpecialDay Methods

SpecialDay Methods

The SpecialDay type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns the name of this special day in English. (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

SpecialDay Class


SpecialDay.ToString Method

SpecialDayToString Method
Returns the name of this special day in English.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string
function ToString();

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.SpecialDay.ToString"]

See Also

Reference

SpecialDay Class


SpecialDayTypes Enumeration

SpecialDayTypes Enumeration
Types of special days

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
[FlagsAttribute]
public enum SpecialDayTypes
<FlagsAttribute>
Public Enumeration SpecialDayTypes
[FlagsAttribute]
public enum class SpecialDayTypes
[<FlagsAttribute>]
type SpecialDayTypes
JewishCalendar.SpecialDayTypes = function();
JewishCalendar.SpecialDayTypes.createEnum('JewishCalendar.SpecialDayTypes', true);
Members
Member name | Value | Description
Shabbos | 0 | Shabbos
MajorYomTov | 1 | Major Yom Tov - where melacha is prohibited
MinorYomtov | 2 | Minor Yom Tov - where Melacha is permitted
CholHamoed | 4 | Chol Hamoed
FastDay | 8 | A fast day
Information | 16 | Extra day information
HasCandleLighting | 32 | Erev shabbos or yomtov
EruvTavshilin | 64 | Erev Yomtov - when Yomtov contains a Friday
See Also

Reference

JewishCalendar Namespace


Utils Class

Utils Class
Contains general static arrays, some useful utility functions and other such pitchifkes.
Inheritance Hierarchy
SystemObject
JewishCalendarUtils

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static class Utils
<ExtensionAttribute>
Public NotInheritable Class Utils
[ExtensionAttribute]
public ref class Utils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type Utils =  class end
JewishCalendar.Utils = function();

Type.createClass(
    'JewishCalendar.Utils');

The Utils type exposes the following members.

Constructors
Name | Description
Utils | static constructor
Top
Methods
Name | Description
getDOW | Get day of week using Zellers algorithm.
GetOmerNusach | Returns the nusach for Sefiras Ha'omer for the given day and minhag
GetProperMonthName | Gets the "proper" name for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.
GetProperMonthNameHeb | Gets the "proper" name in Hebrew for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.
In | Determine if this object is contained in a list of objects
IsDateTimeDST | Determines if the given Gregorian date and time is within the rules for DST. If no time zone info is available; if the location is in Israel, the current Israeli rules are used. Otherwise, the local system rules are used. [This may be very incorrect if the user is viewing any other location but the local system one]
IsIsraelDst | Determine if the given secular date and time is during Daylight Savings Time using the (current [2015]) Israeli rules.
IsSpecialDayType | Determine if the given SpecialDayType contains the given type. Equivalent to Enum.HasFlag.
IsUsaDst | Determine if the given secular date and time is during Daylight Savings Time using the USA rules.
ToNumberHeb | Converts a number into its Jewish number equivalent. I.E. 254 is רכ"ד NOTE: The exact thousands numbers (1000, 2000, 3000 etc.) will look awfully similar to the single digits, but will be formatted with a double apostrophe I.E. 2000 = "''ב"
ToSuffixedString | Add two character suffix to number. e.g. 21st, 102nd, 93rd, 500th
Top
Fields
Name | Description
DaysOfWeek | The Jewish names for the days of the week in English as an array. For example, DaysOfWeek[5] is Erev Shabbos
HebrewCalendar | A .NET Hebrew calendar. IMPORTANT NOTE: For using this file with a .NET Micro Framework project, the following must be removed.
HebrewCultureInfo | The hebrew culture info
JewishDOWNames | Names of days of week in Hebrew. יום ראשון is JewishDOWNames[0].
JewishMonthNamesEnglish | Array of name of the Jewish Months. Month numbers correspond to the array index, so Nissan is JewishMonthNamesEnglish[1] etc.
JewishMonthNamesHebrew | Array of Hebrew names of the Jewish Months. Month numbers correspond to the array index, so ניסן is JewishMonthNamesHebrew[1] etc.
Top
See Also

Reference

JewishCalendar Namespace


Utils Constructor

Utils Constructor
static constructor

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
static Utils()
Shared Sub New
private:
static Utils()
new : unit -> Utils
JewishCalendar.Utils = function();
See Also

Reference

Utils Class


Utils Methods

Utils Methods

The Utils type exposes the following members.

Methods
Name | Description
getDOW | Get day of week using Zellers algorithm.
GetOmerNusach | Returns the nusach for Sefiras Ha'omer for the given day and minhag
GetProperMonthName | Gets the "proper" name for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.
GetProperMonthNameHeb | Gets the "proper" name in Hebrew for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.
In | Determine if this object is contained in a list of objects
IsDateTimeDST | Determines if the given Gregorian date and time is within the rules for DST. If no time zone info is available; if the location is in Israel, the current Israeli rules are used. Otherwise, the local system rules are used. [This may be very incorrect if the user is viewing any other location but the local system one]
IsIsraelDst | Determine if the given secular date and time is during Daylight Savings Time using the (current [2015]) Israeli rules.
IsSpecialDayType | Determine if the given SpecialDayType contains the given type. Equivalent to Enum.HasFlag.
IsUsaDst | Determine if the given secular date and time is during Daylight Savings Time using the USA rules.
ToNumberHeb | Converts a number into its Jewish number equivalent. I.E. 254 is רכ"ד NOTE: The exact thousands numbers (1000, 2000, 3000 etc.) will look awfully similar to the single digits, but will be formatted with a double apostrophe I.E. 2000 = "''ב"
ToSuffixedString | Add two character suffix to number. e.g. 21st, 102nd, 93rd, 500th
Top
See Also

Reference

Utils Class


Utils.getDOW Method

UtilsgetDOW Method
Get day of week using Zellers algorithm.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int getDOW(
    int year,
    int month,
    int day
)
Private Shared Function getDOW (
    year As Integer,
    month As Integer,
    day As Integer
) As Integer
private:
static int getDOW(
    int year,
    int month,
    int day
)
private static member getDOW :
        year : int *
        month : int *
        day : int -> int

JewishCalendar.Utils.getDOW = function(year, month, day);

Parameters

year
Type: SystemInt32
The secular year
month
Type: SystemInt32
The secular month
day
Type: SystemInt32
The secular day

Return Value

Type: Int32
The day of week index. Sunday is 0.
Remarks
Day zero is Sunday
See Also

Reference

Utils Class


Utils.GetOmerNusach Method

UtilsGetOmerNusach Method
Returns the nusach for Sefiras Ha'omer for the given day and minhag

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetOmerNusach(
    int dayOfOmer,
    bool laOmer,
    bool sfardi
)
Public Shared Function GetOmerNusach (
    dayOfOmer As Integer,
    laOmer As Boolean,
    sfardi As Boolean
) As String
public:
static String^ GetOmerNusach(
    int dayOfOmer,
    bool laOmer,
    bool sfardi
)
static member GetOmerNusach :
        dayOfOmer : int *
        laOmer : bool *
        sfardi : bool -> string

JewishCalendar.Utils.GetOmerNusach = function(dayOfOmer, laOmer, sfardi);

Parameters

dayOfOmer
Type: SystemInt32
The day of the Omer for which to get the nusach for
laOmer
Type: SystemBoolean
Should it be La'Omer (Nusach Sefard) or Ba'Omer (Nusach Ashkenaz)?
sfardi
Type: SystemBoolean
Should the Nusach be the Sfardi Nusach (Eidot Hamizrach) or the Ashkenazi one (Nusach Sefard and Ashkenaz)?

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Utils.GetOmerNusach(System.Int32,System.Boolean,System.Boolean)"]

See Also

Reference

Utils Class


Utils.GetProperMonthName Method

UtilsGetProperMonthName Method
Gets the "proper" name for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetProperMonthName(
    int jYear,
    int jMonth
)
Public Shared Function GetProperMonthName (
    jYear As Integer,
    jMonth As Integer
) As String
public:
static String^ GetProperMonthName(
    int jYear,
    int jMonth
)
static member GetProperMonthName :
        jYear : int *
        jMonth : int -> string

JewishCalendar.Utils.GetProperMonthName = function(jYear, jMonth);

Parameters

jYear
Type: SystemInt32

[Missing <param name="jYear"/> documentation for "M:JewishCalendar.Utils.GetProperMonthName(System.Int32,System.Int32)"]

jMonth
Type: SystemInt32

[Missing <param name="jMonth"/> documentation for "M:JewishCalendar.Utils.GetProperMonthName(System.Int32,System.Int32)"]

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Utils.GetProperMonthName(System.Int32,System.Int32)"]

See Also

Reference

Utils Class


Utils.GetProperMonthNameHeb Method

UtilsGetProperMonthNameHeb Method
Gets the "proper" name in Hebrew for the given Jewish Month. This means for a leap year, labeling each of the the 2 Adars.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetProperMonthNameHeb(
    int jYear,
    int jMonth
)
Public Shared Function GetProperMonthNameHeb (
    jYear As Integer,
    jMonth As Integer
) As String
public:
static String^ GetProperMonthNameHeb(
    int jYear,
    int jMonth
)
static member GetProperMonthNameHeb :
        jYear : int *
        jMonth : int -> string

JewishCalendar.Utils.GetProperMonthNameHeb = function(jYear, jMonth);

Parameters

jYear
Type: SystemInt32

[Missing <param name="jYear"/> documentation for "M:JewishCalendar.Utils.GetProperMonthNameHeb(System.Int32,System.Int32)"]

jMonth
Type: SystemInt32

[Missing <param name="jMonth"/> documentation for "M:JewishCalendar.Utils.GetProperMonthNameHeb(System.Int32,System.Int32)"]

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Utils.GetProperMonthNameHeb(System.Int32,System.Int32)"]

See Also

Reference

Utils Class


Utils.In Method

UtilsIn Method
Determine if this object is contained in a list of objects

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool In(
    this Object obj,
    params Object[] list
)
<ExtensionAttribute>
Public Shared Function In (
    obj As Object,
    ParamArray list As Object()
) As Boolean
public:
[ExtensionAttribute]
static bool In(
    Object^ obj,
    ... array<Object^>^ list
)
[<ExtensionAttribute>]
static member In :
        obj : Object *
        list : Object[] -> bool

JewishCalendar.Utils.In = function(obj, ... list);

Parameters

obj
Type: SystemObject
The object to test
list
Type: SystemObject
Any number of parameters which together make up the list of objects to look through

Return Value

Type: Boolean
True; if the item is in the parameter list. Otherwise, False

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

Utils Class


Utils.IsDateTimeDST Method

UtilsIsDateTimeDST Method
Determines if the given Gregorian date and time is within the rules for DST. If no time zone info is available; if the location is in Israel, the current Israeli rules are used. Otherwise, the local system rules are used. [This may be very incorrect if the user is viewing any other location but the local system one]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsDateTimeDST(
    DateTime date,
    Location location
)
Public Shared Function IsDateTimeDST (
    date As DateTime,
    location As Location
) As Boolean
public:
static bool IsDateTimeDST(
    DateTime date,
    Location^ location
)
static member IsDateTimeDST :
        date : DateTime *
        location : Location -> bool

JewishCalendar.Utils.IsDateTimeDST = function(date, location);

Parameters

date
Type: SystemDateTime
The secular date
location
Type: JewishCalendarLocation
Where in the world?

Return Value

Type: Boolean
True if the given date and time is DST for the given location, otherwise False.
See Also

Reference

Utils Class


Utils.IsIsraelDst Method

UtilsIsIsraelDst Method
Determine if the given secular date and time is during Daylight Savings Time using the (current [2015]) Israeli rules.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsIsraelDst(
    DateTime date
)
Public Shared Function IsIsraelDst (
    date As DateTime
) As Boolean
public:
static bool IsIsraelDst(
    DateTime date
)
static member IsIsraelDst :
        date : DateTime -> bool

JewishCalendar.Utils.IsIsraelDst = function(date);

Parameters

date
Type: SystemDateTime
The given date and time

Return Value

Type: Boolean
Whether or not the given DateTime is during Daylight Savings Time
See Also

Reference

Utils Class


Utils.IsSpecialDayType Method

UtilsIsSpecialDayType Method
Determine if the given SpecialDayType contains the given type. Equivalent to Enum.HasFlag.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsSpecialDayType(
    this SpecialDayTypes specialDayType,
    SpecialDayTypes value
)
<ExtensionAttribute>
Public Shared Function IsSpecialDayType (
    specialDayType As SpecialDayTypes,
    value As SpecialDayTypes
) As Boolean
public:
[ExtensionAttribute]
static bool IsSpecialDayType(
    SpecialDayTypes specialDayType,
    SpecialDayTypes value
)
[<ExtensionAttribute>]
static member IsSpecialDayType :
        specialDayType : SpecialDayTypes *
        value : SpecialDayTypes -> bool

JewishCalendar.Utils.IsSpecialDayType = function(specialDayType, value);

Parameters

specialDayType
Type: JewishCalendarSpecialDayTypes

[Missing <param name="specialDayType"/> documentation for "M:JewishCalendar.Utils.IsSpecialDayType(JewishCalendar.SpecialDayTypes,JewishCalendar.SpecialDayTypes)"]

value
Type: JewishCalendarSpecialDayTypes

[Missing <param name="value"/> documentation for "M:JewishCalendar.Utils.IsSpecialDayType(JewishCalendar.SpecialDayTypes,JewishCalendar.SpecialDayTypes)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.Utils.IsSpecialDayType(JewishCalendar.SpecialDayTypes,JewishCalendar.SpecialDayTypes)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type SpecialDayTypes. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

Utils Class


Utils.IsUsaDst Method

UtilsIsUsaDst Method
Determine if the given secular date and time is during Daylight Savings Time using the USA rules.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static bool IsUsaDst(
    DateTime date
)
Public Shared Function IsUsaDst (
    date As DateTime
) As Boolean
public:
static bool IsUsaDst(
    DateTime date
)
static member IsUsaDst :
        date : DateTime -> bool

JewishCalendar.Utils.IsUsaDst = function(date);

Parameters

date
Type: SystemDateTime
The given date and time

Return Value

Type: Boolean
Whether or not the given DateTime is during Daylight Savings Time
See Also

Reference

Utils Class


Utils.ToNumberHeb Method

UtilsToNumberHeb Method
Converts a number into its Jewish number equivalent. I.E. 254 is רכ"ד NOTE: The exact thousands numbers (1000, 2000, 3000 etc.) will look awfully similar to the single digits, but will be formatted with a double apostrophe I.E. 2000 = "''ב"

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string ToNumberHeb(
    this int number
)
<ExtensionAttribute>
Public Shared Function ToNumberHeb (
    number As Integer
) As String
public:
[ExtensionAttribute]
static String^ ToNumberHeb(
    int number
)
[<ExtensionAttribute>]
static member ToNumberHeb :
        number : int -> string

JewishCalendar.Utils.ToNumberHeb = function(number);

Parameters

number
Type: SystemInt32
The number to convert

Return Value

Type: String
A Hebrew string representation of the number

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Int32. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

Utils Class


Utils.ToSuffixedString Method

UtilsToSuffixedString Method
Add two character suffix to number. e.g. 21st, 102nd, 93rd, 500th

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string ToSuffixedString(
    this int num
)
<ExtensionAttribute>
Public Shared Function ToSuffixedString (
    num As Integer
) As String
public:
[ExtensionAttribute]
static String^ ToSuffixedString(
    int num
)
[<ExtensionAttribute>]
static member ToSuffixedString :
        num : int -> string

JewishCalendar.Utils.ToSuffixedString = function(num);

Parameters

num
Type: SystemInt32
The number to add the suffix to

Return Value

Type: String
A string representation of the number as a sequence item

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Int32. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

Utils Class


Utils Fields

Utils Fields

The Utils type exposes the following members.

Fields
Name | Description
DaysOfWeek | The Jewish names for the days of the week in English as an array. For example, DaysOfWeek[5] is Erev Shabbos
HebrewCalendar | A .NET Hebrew calendar. IMPORTANT NOTE: For using this file with a .NET Micro Framework project, the following must be removed.
HebrewCultureInfo | The hebrew culture info
JewishDOWNames | Names of days of week in Hebrew. יום ראשון is JewishDOWNames[0].
JewishMonthNamesEnglish | Array of name of the Jewish Months. Month numbers correspond to the array index, so Nissan is JewishMonthNamesEnglish[1] etc.
JewishMonthNamesHebrew | Array of Hebrew names of the Jewish Months. Month numbers correspond to the array index, so ניסן is JewishMonthNamesHebrew[1] etc.
Top
See Also

Reference

Utils Class


Utils.DaysOfWeek Field

UtilsDaysOfWeek Field
The Jewish names for the days of the week in English as an array. For example, DaysOfWeek[5] is Erev Shabbos

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string[] DaysOfWeek
Public Shared DaysOfWeek As String()
public:
static array<String^>^ DaysOfWeek
static val mutable DaysOfWeek: string[]
var JewishCalendar.Utils.DaysOfWeek

Field Value

Type: String
See Also

Reference

Utils Class


Utils.HebrewCalendar Field

UtilsHebrewCalendar Field
A .NET Hebrew calendar. IMPORTANT NOTE: For using this file with a .NET Micro Framework project, the following must be removed.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HebrewCalendar HebrewCalendar
Public Shared HebrewCalendar As HebrewCalendar
public:
static HebrewCalendar^ HebrewCalendar
static val mutable HebrewCalendar: HebrewCalendar
var JewishCalendar.Utils.HebrewCalendar

Field Value

Type: HebrewCalendar
See Also

Reference

Utils Class


Utils.HebrewCultureInfo Field

UtilsHebrewCultureInfo Field
The hebrew culture info

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static CultureInfo HebrewCultureInfo
Public Shared HebrewCultureInfo As CultureInfo
public:
static CultureInfo^ HebrewCultureInfo
static val mutable HebrewCultureInfo: CultureInfo
var JewishCalendar.Utils.HebrewCultureInfo

Field Value

Type: CultureInfo
See Also

Reference

Utils Class


Utils.JewishDOWNames Field

UtilsJewishDOWNames Field
Names of days of week in Hebrew. יום ראשון is JewishDOWNames[0].

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string[] JewishDOWNames
Public Shared JewishDOWNames As String()
public:
static array<String^>^ JewishDOWNames
static val mutable JewishDOWNames: string[]
var JewishCalendar.Utils.JewishDOWNames

Field Value

Type: String
See Also

Reference

Utils Class


Utils.JewishMonthNamesEnglish Field

UtilsJewishMonthNamesEnglish Field
Array of name of the Jewish Months. Month numbers correspond to the array index, so Nissan is JewishMonthNamesEnglish[1] etc.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string[] JewishMonthNamesEnglish
Public Shared JewishMonthNamesEnglish As String()
public:
static array<String^>^ JewishMonthNamesEnglish
static val mutable JewishMonthNamesEnglish: string[]
var JewishCalendar.Utils.JewishMonthNamesEnglish

Field Value

Type: String
See Also

Reference

Utils Class


Utils.JewishMonthNamesHebrew Field

UtilsJewishMonthNamesHebrew Field
Array of Hebrew names of the Jewish Months. Month numbers correspond to the array index, so ניסן is JewishMonthNamesHebrew[1] etc.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string[] JewishMonthNamesHebrew
Public Shared JewishMonthNamesHebrew As String()
public:
static array<String^>^ JewishMonthNamesHebrew
static val mutable JewishMonthNamesHebrew: string[]
var JewishCalendar.Utils.JewishMonthNamesHebrew

Field Value

Type: String
See Also

Reference

Utils Class


Zmanim Class

Zmanim Class
Computes the daily Zmanim and Yomim Tovim for a single Jewish date.
Inheritance Hierarchy
SystemObject
JewishCalendarZmanim

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public class Zmanim
Public Class Zmanim
public ref class Zmanim
type Zmanim =  class end
JewishCalendar.Zmanim = function();

Type.createClass(
    'JewishCalendar.Zmanim');

The Zmanim type exposes the following members.

Constructors
 | Name | Description
Public method | Zmanim(DateTime, Location) | Create a new Zmanim instance for the given secular day and Location
Public method | Zmanim(IJewishDate, Location) | Create a new Zmanim instance for the given Jewish day and Location
Top
Properties
 | Name | Description
Public property | Location | The Location to cheshbon the zmanim for
Public property | SecularDate | Zmanim are by the secular date
Top
Methods
 | Name | Description
 | AddAdarSpecialDays |
 | AddAvSpecialDays |
 | AddCheshvanSpecialDays |
 | AddEllulSpecialDays |
 | AddIyarSpecialDays |
 | AddKislevSpecialDays |
 | AddNissanSpecialDays |
 | AddRoshChodeshSpecialDays |
 | AddShabbosSpecialDays |
 | AddShvatSpecialDays |
 | AddSivanSpecialDays |
 | AddTamuzSpecialDays |
 | AddTevesSpecialDays |
 | AddTishreiSpecialDays |
 | Adj |
 | DegToDec |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetChatzos | Gets chatzos of both day and night for current location. Configured from netz to shkia at sea level
 | GetChatzos(DateTime, Location) | Gets chatzos of both day and night for given date and location. Configured from netz to shkia at sea level
 | GetDayOfYear |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetHolidays | Gets a list of special days and information about the given Jewish Date
 | GetHolidaysText(ArrayList, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
 | GetHolidaysText(IJewishDate, Boolean, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
 | GetHolidaysText(SpecialDay, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
Public method | GetNetz | Gets sunrise for current location (at the locations altitude)
 | GetNetz(DateTime, Location, Boolean) | Get time of sunrise for the given location and date
Public method | GetNetzShkia(Boolean) | Gets an array of two HourMinute structures. The first is the time of Netz for the current date and location and the second is the time of shkia.
 | GetNetzShkia(DateTime, Location, Boolean) | Gets an array of two HourMinute structures. The first is the time of sunrise for the given date and location and the second is the time of sunset.
Public method | GetShaaZmanis(Int32) | Gets length of Shaa zmanis in minutes for current location. Configured from netz to shkia at sea level.
 | GetShaaZmanis(DateTime, Location, Int32) | Gets length of Shaa zmanis in minutes for given date and location. Configured from netz to shkia at sea level.
Public method | GetShkia | Gets sunset for current location (at the locations altitude)
 | GetShkia(DateTime, Location, Boolean) | Get time of sunset for the given location and date
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsSecularLeapYear |
 | L |
 | M |
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | RadToDeg |
 | SetPirkeiAvos |
 | TimeAdj |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
Remarks
Most of the astronomical mathematical calculations were directly adapted from the excellent Jewish calendar calculation in C# Copyright © by Ulrich and Ziporah Greve (2005)
See Also

Reference

JewishCalendar Namespace


Zmanim Constructor

Zmanim Constructor
Overload List
 | Name | Description
Public method | Zmanim(DateTime, Location) | Create a new Zmanim instance for the given secular day and Location
Public method | Zmanim(IJewishDate, Location) | Create a new Zmanim instance for the given Jewish day and Location
Top
See Also

Reference

Zmanim Class


Zmanim Constructor (DateTime, Location)

Zmanim Constructor (DateTime, Location)
Create a new Zmanim instance for the given secular day and Location

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Zmanim(
    DateTime d,
    Location loc
)
Public Sub New (
    d As DateTime,
    loc As Location
)
public:
Zmanim(
    DateTime d,
    Location^ loc
)
new :
        d : DateTime *
        loc : Location -> Zmanim
JewishCalendar.Zmanim = function(d, loc);

Parameters

d
Type: SystemDateTime

[Missing <param name="d"/> documentation for "M:JewishCalendar.Zmanim.#ctor(System.DateTime,JewishCalendar.Location)"]

loc
Type: JewishCalendarLocation

[Missing <param name="loc"/> documentation for "M:JewishCalendar.Zmanim.#ctor(System.DateTime,JewishCalendar.Location)"]

See Also

Reference

Zmanim Class
Zmanim Overload


Zmanim Constructor (IJewishDate, Location)

Zmanim Constructor (IJewishDate, Location)
Create a new Zmanim instance for the given Jewish day and Location

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Zmanim(
    IJewishDate hd,
    Location loc
)
Public Sub New (
    hd As IJewishDate,
    loc As Location
)
public:
Zmanim(
    IJewishDate^ hd,
    Location^ loc
)
new :
        hd : IJewishDate *
        loc : Location -> Zmanim
JewishCalendar.Zmanim = function(hd, loc);

Parameters

hd
Type: JewishCalendarIJewishDate

[Missing <param name="hd"/> documentation for "M:JewishCalendar.Zmanim.#ctor(JewishCalendar.IJewishDate,JewishCalendar.Location)"]

loc
Type: JewishCalendarLocation

[Missing <param name="loc"/> documentation for "M:JewishCalendar.Zmanim.#ctor(JewishCalendar.IJewishDate,JewishCalendar.Location)"]

See Also

Reference

Zmanim Class
Zmanim Overload


Zmanim Properties

Zmanim Properties

The Zmanim type exposes the following members.

Properties
 | Name | Description
Public property | Location | The Location to cheshbon the zmanim for
Public property | SecularDate | Zmanim are by the secular date
Top
See Also

Reference

Zmanim Class


Zmanim.Location Property

ZmanimLocation Property
The Location to cheshbon the zmanim for

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public Location Location { get; set; }
Public Property Location As Location
    Get
    Set
public:
property Location^ Location {
    Location^ get ();
    void set (Location^ value);
}
member Location : Location with get, set

function get_Location();
function set_Location(value);

Property Value

Type: Location
See Also

Reference

Zmanim Class


Zmanim.SecularDate Property

ZmanimSecularDate Property
Zmanim are by the secular date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public DateTime SecularDate { get; set; }
Public Property SecularDate As DateTime
    Get
    Set
public:
property DateTime SecularDate {
    DateTime get ();
    void set (DateTime value);
}
member SecularDate : DateTime with get, set

function get_SecularDate();
function set_SecularDate(value);

Property Value

Type: DateTime
See Also

Reference

Zmanim Class


Zmanim Methods

Zmanim Methods

The Zmanim type exposes the following members.

Methods
 | Name | Description
 | AddAdarSpecialDays |
 | AddAvSpecialDays |
 | AddCheshvanSpecialDays |
 | AddEllulSpecialDays |
 | AddIyarSpecialDays |
 | AddKislevSpecialDays |
 | AddNissanSpecialDays |
 | AddRoshChodeshSpecialDays |
 | AddShabbosSpecialDays |
 | AddShvatSpecialDays |
 | AddSivanSpecialDays |
 | AddTamuzSpecialDays |
 | AddTevesSpecialDays |
 | AddTishreiSpecialDays |
 | Adj |
 | DegToDec |
Public method | Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetChatzos | Gets chatzos of both day and night for current location. Configured from netz to shkia at sea level
 | GetChatzos(DateTime, Location) | Gets chatzos of both day and night for given date and location. Configured from netz to shkia at sea level
 | GetDayOfYear |
Public method | GetHashCode | Serves as the default hash function. (Inherited from Object.)
 | GetHolidays | Gets a list of special days and information about the given Jewish Date
 | GetHolidaysText(ArrayList, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
 | GetHolidaysText(IJewishDate, Boolean, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
 | GetHolidaysText(SpecialDay, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
Public method | GetNetz | Gets sunrise for current location (at the locations altitude)
 | GetNetz(DateTime, Location, Boolean) | Get time of sunrise for the given location and date
Public method | GetNetzShkia(Boolean) | Gets an array of two HourMinute structures. The first is the time of Netz for the current date and location and the second is the time of shkia.
 | GetNetzShkia(DateTime, Location, Boolean) | Gets an array of two HourMinute structures. The first is the time of sunrise for the given date and location and the second is the time of sunset.
Public method | GetShaaZmanis(Int32) | Gets length of Shaa zmanis in minutes for current location. Configured from netz to shkia at sea level.
 | GetShaaZmanis(DateTime, Location, Int32) | Gets length of Shaa zmanis in minutes for given date and location. Configured from netz to shkia at sea level.
Public method | GetShkia | Gets sunset for current location (at the locations altitude)
 | GetShkia(DateTime, Location, Boolean) | Get time of sunset for the given location and date
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsSecularLeapYear |
 | L |
 | M |
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | RadToDeg |
 | SetPirkeiAvos |
 | TimeAdj |
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Extension Methods
 | Name | Description
Public Extension Method | In | Determine if this object is contained in a list of objects (Defined by Utils.)
Top
See Also

Reference

Zmanim Class


Zmanim.AddAdarSpecialDays Method

ZmanimAddAdarSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddAdarSpecialDays(
    ArrayList list,
    int jMonth,
    int jDay,
    DayOfWeek dayOfWeek,
    bool isLeapYear
)
Private Shared Sub AddAdarSpecialDays (
    list As ArrayList,
    jMonth As Integer,
    jDay As Integer,
    dayOfWeek As DayOfWeek,
    isLeapYear As Boolean
)
private:
static void AddAdarSpecialDays(
    ArrayList^ list,
    int jMonth,
    int jDay,
    DayOfWeek dayOfWeek,
    bool isLeapYear
)
private static member AddAdarSpecialDays :
        list : ArrayList *
        jMonth : int *
        jDay : int *
        dayOfWeek : DayOfWeek *
        isLeapYear : bool -> unit

JewishCalendar.Zmanim.AddAdarSpecialDays = function(list, jMonth, jDay, dayOfWeek, isLeapYear);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

jMonth
Type: SystemInt32

[Missing <param name="jMonth"/> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

isLeapYear
Type: SystemBoolean

[Missing <param name="isLeapYear"/> documentation for "M:JewishCalendar.Zmanim.AddAdarSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.DayOfWeek,System.Boolean)"]

See Also

Reference

Zmanim Class


Zmanim.AddAvSpecialDays Method

ZmanimAddAvSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddAvSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddAvSpecialDays(
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddAvSpecialDays (
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddAvSpecialDays(
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddAvSpecialDays :
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddAvSpecialDays = function(list, jDay, dayOfWeek);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddAvSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddAvSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddAvSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddCheshvanSpecialDays Method

ZmanimAddCheshvanSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddCheshvanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddCheshvanSpecialDays(
    bool inIsrael,
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddCheshvanSpecialDays (
    inIsrael As Boolean,
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddCheshvanSpecialDays(
    bool inIsrael,
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddCheshvanSpecialDays :
        inIsrael : bool *
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddCheshvanSpecialDays = function(inIsrael, list, jDay, dayOfWeek);

Parameters

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.AddCheshvanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddCheshvanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddCheshvanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddCheshvanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddEllulSpecialDays Method

ZmanimAddEllulSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddEllulSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddEllulSpecialDays(
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddEllulSpecialDays (
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddEllulSpecialDays(
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddEllulSpecialDays :
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddEllulSpecialDays = function(list, jDay, dayOfWeek);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddEllulSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddEllulSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddEllulSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddIyarSpecialDays Method

ZmanimAddIyarSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddIyarSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddIyarSpecialDays(
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddIyarSpecialDays (
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddIyarSpecialDays(
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddIyarSpecialDays :
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddIyarSpecialDays = function(list, jDay, dayOfWeek);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddIyarSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddIyarSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddIyarSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddKislevSpecialDays Method

ZmanimAddKislevSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddKislevSpecialDays(System.Collections.ArrayList,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddKislevSpecialDays(
    ArrayList list,
    int jDay
)
Private Shared Sub AddKislevSpecialDays (
    list As ArrayList,
    jDay As Integer
)
private:
static void AddKislevSpecialDays(
    ArrayList^ list,
    int jDay
)
private static member AddKislevSpecialDays :
        list : ArrayList *
        jDay : int -> unit

JewishCalendar.Zmanim.AddKislevSpecialDays = function(list, jDay);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddKislevSpecialDays(System.Collections.ArrayList,System.Int32)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddKislevSpecialDays(System.Collections.ArrayList,System.Int32)"]

See Also

Reference

Zmanim Class


Zmanim.AddNissanSpecialDays Method

ZmanimAddNissanSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddNissanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddNissanSpecialDays(
    bool inIsrael,
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddNissanSpecialDays (
    inIsrael As Boolean,
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddNissanSpecialDays(
    bool inIsrael,
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddNissanSpecialDays :
        inIsrael : bool *
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddNissanSpecialDays = function(inIsrael, list, jDay, dayOfWeek);

Parameters

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.AddNissanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddNissanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddNissanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddNissanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddRoshChodeshSpecialDays Method

ZmanimAddRoshChodeshSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddRoshChodeshSpecialDays(
    ArrayList list,
    int jYear,
    int jMonth,
    int jDay,
    bool isLeapYear
)
Private Shared Sub AddRoshChodeshSpecialDays (
    list As ArrayList,
    jYear As Integer,
    jMonth As Integer,
    jDay As Integer,
    isLeapYear As Boolean
)
private:
static void AddRoshChodeshSpecialDays(
    ArrayList^ list,
    int jYear,
    int jMonth,
    int jDay,
    bool isLeapYear
)
private static member AddRoshChodeshSpecialDays :
        list : ArrayList *
        jYear : int *
        jMonth : int *
        jDay : int *
        isLeapYear : bool -> unit

JewishCalendar.Zmanim.AddRoshChodeshSpecialDays = function(list, jYear, jMonth, jDay, isLeapYear);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

jYear
Type: SystemInt32

[Missing <param name="jYear"/> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

jMonth
Type: SystemInt32

[Missing <param name="jMonth"/> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

isLeapYear
Type: SystemBoolean

[Missing <param name="isLeapYear"/> documentation for "M:JewishCalendar.Zmanim.AddRoshChodeshSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32,System.Int32,System.Boolean)"]

See Also

Reference

Zmanim Class


Zmanim.AddShabbosSpecialDays Method

ZmanimAddShabbosSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddShabbosSpecialDays(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList,System.Boolean)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddShabbosSpecialDays(
    IJewishDate jDate,
    bool inIsrael,
    ArrayList list,
    bool isLeapYear
)
Private Shared Sub AddShabbosSpecialDays (
    jDate As IJewishDate,
    inIsrael As Boolean,
    list As ArrayList,
    isLeapYear As Boolean
)
private:
static void AddShabbosSpecialDays(
    IJewishDate^ jDate,
    bool inIsrael,
    ArrayList^ list,
    bool isLeapYear
)
private static member AddShabbosSpecialDays :
        jDate : IJewishDate *
        inIsrael : bool *
        list : ArrayList *
        isLeapYear : bool -> unit

JewishCalendar.Zmanim.AddShabbosSpecialDays = function(jDate, inIsrael, list, isLeapYear);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.Zmanim.AddShabbosSpecialDays(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.AddShabbosSpecialDays(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList,System.Boolean)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddShabbosSpecialDays(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList,System.Boolean)"]

isLeapYear
Type: SystemBoolean

[Missing <param name="isLeapYear"/> documentation for "M:JewishCalendar.Zmanim.AddShabbosSpecialDays(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList,System.Boolean)"]

See Also

Reference

Zmanim Class


Zmanim.AddShvatSpecialDays Method

ZmanimAddShvatSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddShvatSpecialDays(System.Collections.ArrayList,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddShvatSpecialDays(
    ArrayList list,
    int jDay
)
Private Shared Sub AddShvatSpecialDays (
    list As ArrayList,
    jDay As Integer
)
private:
static void AddShvatSpecialDays(
    ArrayList^ list,
    int jDay
)
private static member AddShvatSpecialDays :
        list : ArrayList *
        jDay : int -> unit

JewishCalendar.Zmanim.AddShvatSpecialDays = function(list, jDay);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddShvatSpecialDays(System.Collections.ArrayList,System.Int32)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddShvatSpecialDays(System.Collections.ArrayList,System.Int32)"]

See Also

Reference

Zmanim Class


Zmanim.AddSivanSpecialDays Method

ZmanimAddSivanSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddSivanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddSivanSpecialDays(
    bool inIsrael,
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddSivanSpecialDays (
    inIsrael As Boolean,
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddSivanSpecialDays(
    bool inIsrael,
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddSivanSpecialDays :
        inIsrael : bool *
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddSivanSpecialDays = function(inIsrael, list, jDay, dayOfWeek);

Parameters

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.AddSivanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddSivanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddSivanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddSivanSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddTamuzSpecialDays Method

ZmanimAddTamuzSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddTamuzSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddTamuzSpecialDays(
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddTamuzSpecialDays (
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddTamuzSpecialDays(
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddTamuzSpecialDays :
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddTamuzSpecialDays = function(list, jDay, dayOfWeek);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddTamuzSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddTamuzSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddTamuzSpecialDays(System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.AddTevesSpecialDays Method

ZmanimAddTevesSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddTevesSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddTevesSpecialDays(
    ArrayList list,
    int jYear,
    int jDay
)
Private Shared Sub AddTevesSpecialDays (
    list As ArrayList,
    jYear As Integer,
    jDay As Integer
)
private:
static void AddTevesSpecialDays(
    ArrayList^ list,
    int jYear,
    int jDay
)
private static member AddTevesSpecialDays :
        list : ArrayList *
        jYear : int *
        jDay : int -> unit

JewishCalendar.Zmanim.AddTevesSpecialDays = function(list, jYear, jDay);

Parameters

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddTevesSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32)"]

jYear
Type: SystemInt32

[Missing <param name="jYear"/> documentation for "M:JewishCalendar.Zmanim.AddTevesSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddTevesSpecialDays(System.Collections.ArrayList,System.Int32,System.Int32)"]

See Also

Reference

Zmanim Class


Zmanim.AddTishreiSpecialDays Method

ZmanimAddTishreiSpecialDays Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.AddTishreiSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void AddTishreiSpecialDays(
    bool inIsrael,
    ArrayList list,
    int jDay,
    DayOfWeek dayOfWeek
)
Private Shared Sub AddTishreiSpecialDays (
    inIsrael As Boolean,
    list As ArrayList,
    jDay As Integer,
    dayOfWeek As DayOfWeek
)
private:
static void AddTishreiSpecialDays(
    bool inIsrael,
    ArrayList^ list,
    int jDay,
    DayOfWeek dayOfWeek
)
private static member AddTishreiSpecialDays :
        inIsrael : bool *
        list : ArrayList *
        jDay : int *
        dayOfWeek : DayOfWeek -> unit

JewishCalendar.Zmanim.AddTishreiSpecialDays = function(inIsrael, list, jDay, dayOfWeek);

Parameters

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.AddTishreiSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.AddTishreiSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

jDay
Type: SystemInt32

[Missing <param name="jDay"/> documentation for "M:JewishCalendar.Zmanim.AddTishreiSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

dayOfWeek
Type: SystemDayOfWeek

[Missing <param name="dayOfWeek"/> documentation for "M:JewishCalendar.Zmanim.AddTishreiSpecialDays(System.Boolean,System.Collections.ArrayList,System.Int32,System.DayOfWeek)"]

See Also

Reference

Zmanim Class


Zmanim.Adj Method

ZmanimAdj Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.Adj(System.Double)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static double Adj(
    double x
)
Private Shared Function Adj (
    x As Double
) As Double
private:
static double Adj(
    double x
)
private static member Adj :
        x : float -> float

JewishCalendar.Zmanim.Adj = function(x);

Parameters

x
Type: SystemDouble

[Missing <param name="x"/> documentation for "M:JewishCalendar.Zmanim.Adj(System.Double)"]

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.Adj(System.Double)"]

See Also

Reference

Zmanim Class


Zmanim.DegToDec Method

ZmanimDegToDec Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.DegToDec(System.Double,System.Double)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static double DegToDec(
    double deg,
    double min
)
Private Shared Function DegToDec (
    deg As Double,
    min As Double
) As Double
private:
static double DegToDec(
    double deg,
    double min
)
private static member DegToDec :
        deg : float *
        min : float -> float

JewishCalendar.Zmanim.DegToDec = function(deg, min);

Parameters

deg
Type: SystemDouble

[Missing <param name="deg"/> documentation for "M:JewishCalendar.Zmanim.DegToDec(System.Double,System.Double)"]

min
Type: SystemDouble

[Missing <param name="min"/> documentation for "M:JewishCalendar.Zmanim.DegToDec(System.Double,System.Double)"]

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.DegToDec(System.Double,System.Double)"]

See Also

Reference

Zmanim Class


Zmanim.GetChatzos Method

ZmanimGetChatzos Method
Overload List
 | Name | Description
Public method | GetChatzos | Gets chatzos of both day and night for current location. Configured from netz to shkia at sea level
 | GetChatzos(DateTime, Location) | Gets chatzos of both day and night for given date and location. Configured from netz to shkia at sea level
Top
See Also

Reference

Zmanim Class


Zmanim.GetChatzos Method

ZmanimGetChatzos Method
Gets chatzos of both day and night for current location. Configured from netz to shkia at sea level

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public HourMinute GetChatzos()
Public Function GetChatzos As HourMinute
public:
HourMinute GetChatzos()
member GetChatzos : unit -> HourMinute

function GetChatzos();

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetChatzos"]

See Also

Reference

Zmanim Class
GetChatzos Overload


Zmanim.GetChatzos Method (DateTime, Location)

ZmanimGetChatzos Method (DateTime, Location)
Gets chatzos of both day and night for given date and location. Configured from netz to shkia at sea level

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute GetChatzos(
    DateTime date,
    Location location
)
Public Shared Function GetChatzos (
    date As DateTime,
    location As Location
) As HourMinute
public:
static HourMinute GetChatzos(
    DateTime date,
    Location^ location
)
static member GetChatzos :
        date : DateTime *
        location : Location -> HourMinute

JewishCalendar.Zmanim.GetChatzos = function(date, location);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetChatzos(System.DateTime,JewishCalendar.Location)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.GetChatzos(System.DateTime,JewishCalendar.Location)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetChatzos(System.DateTime,JewishCalendar.Location)"]

See Also

Reference

Zmanim Class
GetChatzos Overload


Zmanim.GetDayOfYear Method

ZmanimGetDayOfYear Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.GetDayOfYear(System.DateTime)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static int GetDayOfYear(
    DateTime date
)
Private Shared Function GetDayOfYear (
    date As DateTime
) As Integer
private:
static int GetDayOfYear(
    DateTime date
)
private static member GetDayOfYear :
        date : DateTime -> int

JewishCalendar.Zmanim.GetDayOfYear = function(date);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetDayOfYear(System.DateTime)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetDayOfYear(System.DateTime)"]

See Also

Reference

Zmanim Class


Zmanim.GetHolidays Method

ZmanimGetHolidays Method
Gets a list of special days and information about the given Jewish Date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static ArrayList GetHolidays(
    IJewishDate jDate,
    bool inIsrael
)
Public Shared Function GetHolidays (
    jDate As IJewishDate,
    inIsrael As Boolean
) As ArrayList
public:
static ArrayList^ GetHolidays(
    IJewishDate^ jDate,
    bool inIsrael
)
static member GetHolidays :
        jDate : IJewishDate *
        inIsrael : bool -> ArrayList

JewishCalendar.Zmanim.GetHolidays = function(jDate, inIsrael);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.Zmanim.GetHolidays(JewishCalendar.IJewishDate,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.GetHolidays(JewishCalendar.IJewishDate,System.Boolean)"]

Return Value

Type: ArrayList

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetHolidays(JewishCalendar.IJewishDate,System.Boolean)"]

Remarks
We use an ArrayList rather than a generic List to accommodate the .NET Micro framework which does not support generic lists. For regular projects just use as follows: GetHolidays(jDate, inIsrael).Cast<JewishCalendar.SpecialDay>()
See Also

Reference

Zmanim Class


Zmanim.GetHolidaysText Method

ZmanimGetHolidaysText Method
Overload List
Name | Description
GetHolidaysText(ArrayList, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
GetHolidaysText(IJewishDate, Boolean, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
GetHolidaysText(SpecialDay, String, Boolean) | Gets a dash delimited list of holidays for the given Jewish Day
Top
See Also

Reference

Zmanim Class


Zmanim.GetHolidaysText Method (ArrayList, String, Boolean)

ZmanimGetHolidaysText Method (ArrayList, String, Boolean)
Gets a dash delimited list of holidays for the given Jewish Day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetHolidaysText(
    ArrayList holidayList,
    string delimiter,
    bool hebrew
)
Public Shared Function GetHolidaysText (
    holidayList As ArrayList,
    delimiter As String,
    hebrew As Boolean
) As String
public:
static String^ GetHolidaysText(
    ArrayList^ holidayList,
    String^ delimiter,
    bool hebrew
)
static member GetHolidaysText :
        holidayList : ArrayList *
        delimiter : string *
        hebrew : bool -> string

JewishCalendar.Zmanim.GetHolidaysText = function(holidayList, delimiter, hebrew);

Parameters

holidayList
Type: System.CollectionsArrayList

[Missing <param name="holidayList"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(System.Collections.ArrayList,System.String,System.Boolean)"]

delimiter
Type: SystemString

[Missing <param name="delimiter"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(System.Collections.ArrayList,System.String,System.Boolean)"]

hebrew
Type: SystemBoolean

[Missing <param name="hebrew"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(System.Collections.ArrayList,System.String,System.Boolean)"]

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(System.Collections.ArrayList,System.String,System.Boolean)"]

See Also

Reference

Zmanim Class
GetHolidaysText Overload


Zmanim.GetHolidaysText Method (IJewishDate, Boolean, Boolean)

ZmanimGetHolidaysText Method (IJewishDate, Boolean, Boolean)
Gets a dash delimited list of holidays for the given Jewish Day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetHolidaysText(
    IJewishDate jdate,
    bool inIsrael,
    bool hebrew
)
Public Shared Function GetHolidaysText (
    jdate As IJewishDate,
    inIsrael As Boolean,
    hebrew As Boolean
) As String
public:
static String^ GetHolidaysText(
    IJewishDate^ jdate,
    bool inIsrael,
    bool hebrew
)
static member GetHolidaysText :
        jdate : IJewishDate *
        inIsrael : bool *
        hebrew : bool -> string

JewishCalendar.Zmanim.GetHolidaysText = function(jdate, inIsrael, hebrew);

Parameters

jdate
Type: JewishCalendarIJewishDate

[Missing <param name="jdate"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.IJewishDate,System.Boolean,System.Boolean)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.IJewishDate,System.Boolean,System.Boolean)"]

hebrew
Type: SystemBoolean

[Missing <param name="hebrew"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.IJewishDate,System.Boolean,System.Boolean)"]

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.IJewishDate,System.Boolean,System.Boolean)"]

See Also

Reference

Zmanim Class
GetHolidaysText Overload


Zmanim.GetHolidaysText Method (SpecialDay[], String, Boolean)

ZmanimGetHolidaysText Method (SpecialDay, String, Boolean)
Gets a dash delimited list of holidays for the given Jewish Day

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static string GetHolidaysText(
    SpecialDay[] holidayList,
    string delimiter,
    bool hebrew
)
Public Shared Function GetHolidaysText (
    holidayList As SpecialDay(),
    delimiter As String,
    hebrew As Boolean
) As String
public:
static String^ GetHolidaysText(
    array<SpecialDay^>^ holidayList,
    String^ delimiter,
    bool hebrew
)
static member GetHolidaysText :
        holidayList : SpecialDay[] *
        delimiter : string *
        hebrew : bool -> string

JewishCalendar.Zmanim.GetHolidaysText = function(holidayList, delimiter, hebrew);

Parameters

holidayList
Type: JewishCalendarSpecialDay

[Missing <param name="holidayList"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.SpecialDay[],System.String,System.Boolean)"]

delimiter
Type: SystemString

[Missing <param name="delimiter"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.SpecialDay[],System.String,System.Boolean)"]

hebrew
Type: SystemBoolean

[Missing <param name="hebrew"/> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.SpecialDay[],System.String,System.Boolean)"]

Return Value

Type: String

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetHolidaysText(JewishCalendar.SpecialDay[],System.String,System.Boolean)"]

See Also

Reference

Zmanim Class
GetHolidaysText Overload


Zmanim.GetNetz Method

ZmanimGetNetz Method
Overload List
 | Name | Description
Public method | GetNetz | Gets sunrise for current location (at the locations altitude)
 | GetNetz(DateTime, Location, Boolean) | Get time of sunrise for the given location and date
Top
See Also

Reference

Zmanim Class


Zmanim.GetNetz Method

ZmanimGetNetz Method
Gets sunrise for current location (at the locations altitude)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public HourMinute GetNetz()
Public Function GetNetz As HourMinute
public:
HourMinute GetNetz()
member GetNetz : unit -> HourMinute

function GetNetz();

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetNetz"]

See Also

Reference

Zmanim Class
GetNetz Overload


Zmanim.GetNetz Method (DateTime, Location, Boolean)

ZmanimGetNetz Method (DateTime, Location, Boolean)
Get time of sunrise for the given location and date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute GetNetz(
    DateTime date,
    Location location,
    bool considerElevation = true
)
Public Shared Function GetNetz (
    date As DateTime,
    location As Location,
    Optional considerElevation As Boolean = true
) As HourMinute
public:
static HourMinute GetNetz(
    DateTime date,
    Location^ location,
    bool considerElevation = true
)
static member GetNetz :
        date : DateTime *
        location : Location *
        ?considerElevation : bool
(* Defaults:
        let _considerElevation = defaultArg considerElevation true
*)
-> HourMinute

JewishCalendar.Zmanim.GetNetz = function(date, location, considerElevation);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetNetz(System.DateTime,JewishCalendar.Location,System.Boolean)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.GetNetz(System.DateTime,JewishCalendar.Location,System.Boolean)"]

considerElevation (Optional)
Type: SystemBoolean

[Missing <param name="considerElevation"/> documentation for "M:JewishCalendar.Zmanim.GetNetz(System.DateTime,JewishCalendar.Location,System.Boolean)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetNetz(System.DateTime,JewishCalendar.Location,System.Boolean)"]

See Also

Reference

Zmanim Class
GetNetz Overload


Zmanim.GetNetzShkia Method

ZmanimGetNetzShkia Method
Overload List
 | Name | Description
Public method | GetNetzShkia(Boolean) | Gets an array of two HourMinute structures. The first is the time of Netz for the current date and location and the second is the time of shkia.
 | GetNetzShkia(DateTime, Location, Boolean) | Gets an array of two HourMinute structures. The first is the time of sunrise for the given date and location and the second is the time of sunset.
Top
See Also

Reference

Zmanim Class


Zmanim.GetNetzShkia Method (Boolean)

ZmanimGetNetzShkia Method (Boolean)
Gets an array of two HourMinute structures. The first is the time of Netz for the current date and location and the second is the time of shkia.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public HourMinute[] GetNetzShkia(
    bool considerElevation = true
)
Public Function GetNetzShkia (
    Optional considerElevation As Boolean = true
) As HourMinute()
public:
array<HourMinute>^ GetNetzShkia(
    bool considerElevation = true
)
member GetNetzShkia :
        ?considerElevation : bool
(* Defaults:
        let _considerElevation = defaultArg considerElevation true
*)
-> HourMinute[]

function GetNetzShkia(considerElevation);

Parameters

considerElevation (Optional)
Type: SystemBoolean

[Missing <param name="considerElevation"/> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.Boolean)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.Boolean)"]

See Also

Reference

Zmanim Class
GetNetzShkia Overload


Zmanim.GetNetzShkia Method (DateTime, Location, Boolean)

ZmanimGetNetzShkia Method (DateTime, Location, Boolean)
Gets an array of two HourMinute structures. The first is the time of sunrise for the given date and location and the second is the time of sunset.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute[] GetNetzShkia(
    DateTime date,
    Location location,
    bool considerElevation = true
)
Public Shared Function GetNetzShkia (
    date As DateTime,
    location As Location,
    Optional considerElevation As Boolean = true
) As HourMinute()
public:
static array<HourMinute>^ GetNetzShkia(
    DateTime date,
    Location^ location,
    bool considerElevation = true
)
static member GetNetzShkia :
        date : DateTime *
        location : Location *
        ?considerElevation : bool
(* Defaults:
        let _considerElevation = defaultArg considerElevation true
*)
-> HourMinute[]

JewishCalendar.Zmanim.GetNetzShkia = function(date, location, considerElevation);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

considerElevation (Optional)
Type: SystemBoolean

[Missing <param name="considerElevation"/> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetNetzShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

See Also

Reference

Zmanim Class
GetNetzShkia Overload


Zmanim.GetShaaZmanis Method

ZmanimGetShaaZmanis Method
Overload List
 | Name | Description
Public method | GetShaaZmanis(Int32) | Gets length of Shaa zmanis in minutes for current location. Configured from netz to shkia at sea level.
 | GetShaaZmanis(DateTime, Location, Int32) | Gets length of Shaa zmanis in minutes for given date and location. Configured from netz to shkia at sea level.
Top
See Also

Reference

Zmanim Class


Zmanim.GetShaaZmanis Method (Int32)

ZmanimGetShaaZmanis Method (Int32)
Gets length of Shaa zmanis in minutes for current location. Configured from netz to shkia at sea level.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public double GetShaaZmanis(
    int offset = 0
)
Public Function GetShaaZmanis (
    Optional offset As Integer = 0
) As Double
public:
double GetShaaZmanis(
    int offset = 0
)
member GetShaaZmanis :
        ?offset : int
(* Defaults:
        let _offset = defaultArg offset 0
*)
-> float

function GetShaaZmanis(offset);

Parameters

offset (Optional)
Type: SystemInt32
Number of minutes before/after shkia/netz to cheshbon

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetShaaZmanis(System.Int32)"]

See Also

Reference

Zmanim Class
GetShaaZmanis Overload


Zmanim.GetShaaZmanis Method (DateTime, Location, Int32)

ZmanimGetShaaZmanis Method (DateTime, Location, Int32)
Gets length of Shaa zmanis in minutes for given date and location. Configured from netz to shkia at sea level.

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static double GetShaaZmanis(
    DateTime date,
    Location location,
    int offset = 0
)
Public Shared Function GetShaaZmanis (
    date As DateTime,
    location As Location,
    Optional offset As Integer = 0
) As Double
public:
static double GetShaaZmanis(
    DateTime date,
    Location^ location,
    int offset = 0
)
static member GetShaaZmanis :
        date : DateTime *
        location : Location *
        ?offset : int
(* Defaults:
        let _offset = defaultArg offset 0
*)
-> float

JewishCalendar.Zmanim.GetShaaZmanis = function(date, location, offset);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetShaaZmanis(System.DateTime,JewishCalendar.Location,System.Int32)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.GetShaaZmanis(System.DateTime,JewishCalendar.Location,System.Int32)"]

offset (Optional)
Type: SystemInt32
Number of minutes before/after shkia/netz to cheshbon

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetShaaZmanis(System.DateTime,JewishCalendar.Location,System.Int32)"]

See Also

Reference

Zmanim Class
GetShaaZmanis Overload


Zmanim.GetShkia Method

ZmanimGetShkia Method
Overload List
 | Name | Description
Public method | GetShkia | Gets sunset for current location (at the locations altitude)
 | GetShkia(DateTime, Location, Boolean) | Get time of sunset for the given location and date
Top
See Also

Reference

Zmanim Class


Zmanim.GetShkia Method

ZmanimGetShkia Method
Gets sunset for current location (at the locations altitude)

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public HourMinute GetShkia()
Public Function GetShkia As HourMinute
public:
HourMinute GetShkia()
member GetShkia : unit -> HourMinute

function GetShkia();

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetShkia"]

See Also

Reference

Zmanim Class
GetShkia Overload


Zmanim.GetShkia Method (DateTime, Location, Boolean)

ZmanimGetShkia Method (DateTime, Location, Boolean)
Get time of sunset for the given location and date

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
public static HourMinute GetShkia(
    DateTime date,
    Location location,
    bool considerElevation = true
)
Public Shared Function GetShkia (
    date As DateTime,
    location As Location,
    Optional considerElevation As Boolean = true
) As HourMinute
public:
static HourMinute GetShkia(
    DateTime date,
    Location^ location,
    bool considerElevation = true
)
static member GetShkia :
        date : DateTime *
        location : Location *
        ?considerElevation : bool
(* Defaults:
        let _considerElevation = defaultArg considerElevation true
*)
-> HourMinute

JewishCalendar.Zmanim.GetShkia = function(date, location, considerElevation);

Parameters

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.GetShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.GetShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

considerElevation (Optional)
Type: SystemBoolean

[Missing <param name="considerElevation"/> documentation for "M:JewishCalendar.Zmanim.GetShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.GetShkia(System.DateTime,JewishCalendar.Location,System.Boolean)"]

See Also

Reference

Zmanim Class
GetShkia Overload


Zmanim.IsSecularLeapYear Method

ZmanimIsSecularLeapYear Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.IsSecularLeapYear(System.Int32)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static bool IsSecularLeapYear(
    int year
)
Private Shared Function IsSecularLeapYear (
    year As Integer
) As Boolean
private:
static bool IsSecularLeapYear(
    int year
)
private static member IsSecularLeapYear :
        year : int -> bool

JewishCalendar.Zmanim.IsSecularLeapYear = function(year);

Parameters

year
Type: SystemInt32

[Missing <param name="year"/> documentation for "M:JewishCalendar.Zmanim.IsSecularLeapYear(System.Int32)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.IsSecularLeapYear(System.Int32)"]

See Also

Reference

Zmanim Class


Zmanim.L Method

ZmanimL Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.L(System.Double)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static double L(
    double x
)
Private Shared Function L (
    x As Double
) As Double
private:
static double L(
    double x
)
private static member L :
        x : float -> float

JewishCalendar.Zmanim.L = function(x);

Parameters

x
Type: SystemDouble

[Missing <param name="x"/> documentation for "M:JewishCalendar.Zmanim.L(System.Double)"]

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.L(System.Double)"]

See Also

Reference

Zmanim Class


Zmanim.M Method

ZmanimM Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.M(System.Double)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static double M(
    double x
)
Private Shared Function M (
    x As Double
) As Double
private:
static double M(
    double x
)
private static member M :
        x : float -> float

JewishCalendar.Zmanim.M = function(x);

Parameters

x
Type: SystemDouble

[Missing <param name="x"/> documentation for "M:JewishCalendar.Zmanim.M(System.Double)"]

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.M(System.Double)"]

See Also

Reference

Zmanim Class


Zmanim.RadToDeg Method

ZmanimRadToDeg Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.RadToDeg(System.Double)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static double RadToDeg(
    double rad
)
Private Shared Function RadToDeg (
    rad As Double
) As Double
private:
static double RadToDeg(
    double rad
)
private static member RadToDeg :
        rad : float -> float

JewishCalendar.Zmanim.RadToDeg = function(rad);

Parameters

rad
Type: SystemDouble

[Missing <param name="rad"/> documentation for "M:JewishCalendar.Zmanim.RadToDeg(System.Double)"]

Return Value

Type: Double

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.RadToDeg(System.Double)"]

See Also

Reference

Zmanim Class


Zmanim.SetPirkeiAvos Method

ZmanimSetPirkeiAvos Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.SetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static void SetPirkeiAvos(
    IJewishDate jDate,
    bool inIsrael,
    ArrayList list
)
Private Shared Sub SetPirkeiAvos (
    jDate As IJewishDate,
    inIsrael As Boolean,
    list As ArrayList
)
private:
static void SetPirkeiAvos(
    IJewishDate^ jDate,
    bool inIsrael,
    ArrayList^ list
)
private static member SetPirkeiAvos :
        jDate : IJewishDate *
        inIsrael : bool *
        list : ArrayList -> unit

JewishCalendar.Zmanim.SetPirkeiAvos = function(jDate, inIsrael, list);

Parameters

jDate
Type: JewishCalendarIJewishDate

[Missing <param name="jDate"/> documentation for "M:JewishCalendar.Zmanim.SetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList)"]

inIsrael
Type: SystemBoolean

[Missing <param name="inIsrael"/> documentation for "M:JewishCalendar.Zmanim.SetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList)"]

list
Type: System.CollectionsArrayList

[Missing <param name="list"/> documentation for "M:JewishCalendar.Zmanim.SetPirkeiAvos(JewishCalendar.IJewishDate,System.Boolean,System.Collections.ArrayList)"]

See Also

Reference

Zmanim Class


Zmanim.TimeAdj Method

ZmanimTimeAdj Method

[Missing <summary> documentation for "M:JewishCalendar.Zmanim.TimeAdj(System.Double,System.DateTime,JewishCalendar.Location)"]

Namespace: JewishCalendar
Assembly: JewishCalendar (in JewishCalendar.dll) Version: 1.1.9.0 (1.1.9.0)
Syntax
C#
VB
C++
F#
JavaScript
Copy
private static HourMinute TimeAdj(
    double time,
    DateTime date,
    Location location
)
Private Shared Function TimeAdj (
    time As Double,
    date As DateTime,
    location As Location
) As HourMinute
private:
static HourMinute TimeAdj(
    double time,
    DateTime date,
    Location^ location
)
private static member TimeAdj :
        time : float *
        date : DateTime *
        location : Location -> HourMinute

JewishCalendar.Zmanim.TimeAdj = function(time, date, location);

Parameters

time
Type: SystemDouble

[Missing <param name="time"/> documentation for "M:JewishCalendar.Zmanim.TimeAdj(System.Double,System.DateTime,JewishCalendar.Location)"]

date
Type: SystemDateTime

[Missing <param name="date"/> documentation for "M:JewishCalendar.Zmanim.TimeAdj(System.Double,System.DateTime,JewishCalendar.Location)"]

location
Type: JewishCalendarLocation

[Missing <param name="location"/> documentation for "M:JewishCalendar.Zmanim.TimeAdj(System.Double,System.DateTime,JewishCalendar.Location)"]

Return Value

Type: HourMinute

[Missing <returns> documentation for "M:JewishCalendar.Zmanim.TimeAdj(System.Double,System.DateTime,JewishCalendar.Location)"]

See Also

Reference

Zmanim Class